# Generate automatically. Do not edit.

commit 1079619fac3542ef5a3d9071488feba046a60cef
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    Release 3.3.2

 NEWS |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 2343c7fcebb865c3c8ad139bac89f7b4a053cc66
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    egg: Remove usage of libtasn1.h
    
     * Copy a few definitions for using the asn1Parser generated
       definitions files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664187

 .gitignore             |    3 +-
 Makefile.decl          |    9 +++-
 egg/Makefile.am        |   23 ++++-----
 egg/egg-asn1-defs.c    |   33 +++++++++++++
 egg/egg-asn1-defs.h    |   12 +++--
 egg/egg-asn1x.c        |  123 ++++++++++++++++++++++++++++++-----------------
 egg/egg-asn1x.h        |    8 ++--
 egg/tests/Makefile.am  |   18 ++++---
 egg/tests/test-asn1.c  |    4 +-
 egg/tests/test-asn1x.c |    4 +-
 egg/tests/test-dn.c    |    1 -
 gcr/gcr-parser.c       |    2 +-
 12 files changed, 161 insertions(+), 79 deletions(-)

commit f3b9d46c75675e9b4b451164dd32ed9b1af0dfb1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-17

    Add valgrind memory checking and fix up errors
    
     * This is especially necessary after migrating to EggBytes
       since it's reference counted and an easy sourc of memory leaks
     * Remove threading from testing framework, as gcr isn't threadsafe
       in all parts.
     * Fix bugs discovered in memory checking.
     * Fix up some of the testing stuff.

 .gitignore                          |    5 +-
 Makefile.am                         |   22 +-
 Makefile.decl                       |   26 +
 build/Makefile.am                   |   28 +
 build/gcr.supp                      |   14 +
 build/gcrypt.supp                   |   39 +
 build/glib.supp                     |  384 +++
 build/glibc.supp                    |   13 +
 build/m4/.gitignore                 |    1 +
 build/p11-kit.supp                  |    6 +
 build/pixman.supp                   |    6 +
 build/pthread.supp                  |    7 +
 build/unknown.supp                  |  384 +++
 build/valgrind/memcheck.h           |  283 ++
 build/valgrind/valgrind.h           | 5344 +++++++++++++++++++++++++++++++++++
 configure.ac                        |    2 +
 egg/Makefile.am                     |    7 +-
 egg/egg-asn1x.c                     |   25 +-
 egg/egg-bytes.c                     |    1 +
 egg/egg-decimal.c                   |    2 +
 egg/egg-dh.c                        |    2 +-
 egg/egg-dn.c                        |    5 +-
 egg/egg-hkdf.c                      |    1 +
 egg/egg-openssl.c                   |    1 +
 egg/egg-secure-memory.c             |  393 ++--
 egg/egg-secure-memory.h             |   38 +-
 egg/egg-symkey.c                    |    1 -
 egg/egg-testing.c                   |  131 +-
 egg/egg-testing.h                   |   17 +-
 egg/tests/Makefile.am               |    3 +
 egg/tests/test-asn1.c               |    8 +-
 egg/tests/test-hex.c                |    6 +
 egg/tests/test-openssl.c            |    4 +
 egg/tests/test-padding.c            |    2 +
 egg/tests/test-secmem.c             |   15 +-
 egg/tests/test-symkey.c             |    7 +
 gck/Makefile.am                     |    3 +
 gck/gck-interaction.c               |    1 +
 gck/gck-mock.c                      |    6 +-
 gck/gck-session.c                   |    1 +
 gck/tests/Makefile.am               |    4 +
 gck/tests/test-gck-attributes.c     |    2 +
 gck/tests/test-gck-crypto.c         |   31 +-
 gck/tests/test-gck-enumerator.c     |   22 +-
 gck/tests/test-gck-module.c         |    3 +-
 gck/tests/test-gck-modules.c        |    2 +-
 gck/tests/test-gck-object.c         |    6 +-
 gck/tests/test-gck-session.c        |   12 +-
 gck/tests/test-gck-slot.c           |    2 +-
 gck/tests/test-gck-uri.c            |    1 +
 gcr/Makefile.am                     |    3 +
 gcr/gcr-fingerprint.c               |    7 +-
 gcr/gcr-gnupg-key.c                 |    4 +-
 gcr/gcr-gnupg-process.c             |   35 +-
 gcr/gcr-internal.h                  |    2 +
 gcr/gcr-library.c                   |   21 +
 gcr/gcr-openssh.c                   |    1 +
 gcr/gcr-parser.c                    |   14 +-
 gcr/gcr-secret-exchange.c           |    9 +-
 gcr/gcr-util.c                      |    8 +-
 gcr/tests/Makefile.am               |    3 +
 gcr/tests/test-certificate-chain.c  |    4 +-
 gcr/tests/test-gnupg-collection.c   |    2 +-
 gcr/tests/test-gnupg-key.c          |   11 +-
 gcr/tests/test-gnupg-process.c      |   71 +-
 gcr/tests/test-memory-icon.c        |   17 +-
 gcr/tests/test-openpgp.c            |    2 +-
 gcr/tests/test-openssh.c            |    2 +-
 gcr/tests/test-parser.c             |    2 +
 gcr/tests/test-pkcs11-certificate.c |    4 +-
 gcr/tests/test-secret-exchange.c    |    7 +-
 gcr/tests/test-trust.c              |    4 +-
 testing/Makefile.am                 |    4 -
 73 files changed, 7223 insertions(+), 343 deletions(-)

commit 97cd79171dfbba24394f070f3946b20c2d518d2d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-16

    gcr: Use GBytes immutable ref counted byte buffers
    
     * Copy from glib patch to EggBytes
     * This allows us to reliably build up ASN.1 structures from different
       sources, and is needed for the certificate request work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663291

 egg/Makefile.am                     |    2 +-
 egg/egg-armor.c                     |   40 ++-
 egg/egg-armor.h                     |   11 +-
 egg/egg-asn1x.c                     |  595 +++++++++++++++++++++++------------
 egg/egg-asn1x.h                     |   80 ++---
 egg/egg-byte-array.c                |   65 ----
 egg/egg-byte-array.h                |   33 --
 egg/egg-bytes.c                     |  453 ++++++++++++++++++++++++++
 egg/egg-bytes.h                     |  106 +++++++
 egg/egg-dn.c                        |   79 +++--
 egg/egg-dn.h                        |    8 +-
 egg/egg-openssl.c                   |   82 +++--
 egg/egg-openssl.h                   |   20 +-
 egg/egg-symkey.c                    |  193 +++++++-----
 egg/egg-symkey.h                    |    8 +-
 egg/tests/test-asn1.c               |  435 ++++++++++++++------------
 egg/tests/test-asn1x.c              |   17 +-
 egg/tests/test-dn.c                 |   26 ++-
 egg/tests/test-openssl.c            |   65 +++--
 gcr/gcr-certificate-extensions.c    |   54 ++--
 gcr/gcr-certificate-extensions.h    |   20 +-
 gcr/gcr-certificate-renderer.c      |  141 +++++----
 gcr/gcr-certificate.c               |  148 ++++++---
 gcr/gcr-fingerprint.c               |  115 +++++---
 gcr/gcr-openpgp.c                   |   16 +-
 gcr/gcr-openpgp.h                   |    8 +-
 gcr/gcr-openssh.c                   |   35 ++-
 gcr/gcr-openssh.h                   |    8 +-
 gcr/gcr-parser.c                    |  470 +++++++++++++++-------------
 gcr/tests/frob-openpgp.c            |   29 +-
 gcr/tests/test-fingerprint.c        |   95 +++---
 gcr/tests/test-openpgp.c            |   26 +-
 gcr/tests/test-openssh.c            |   39 ++-
 gcr/tests/test-pkcs11-certificate.c |   16 +-
 34 files changed, 2233 insertions(+), 1305 deletions(-)

commit 44aac490b6866c01d81975de2094899ed843bbc1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-15

    gck: Make gck_attributes_unref take a pointer
    
     * So it can be used as a GDestroyNotify

 gck/gck-attributes.c |   21 +++++++++++----------
 gck/gck.h            |    2 +-
 2 files changed, 12 insertions(+), 11 deletions(-)

commit 5e7f0de4dad010e2e94b525f9c77de8b683e63d5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-15

    gcr: Add missing symbols to gcr.symbols

 gcr/gcr.symbols |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit c20ca48b9822ff7f2128c5055d13a5abb337c354
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-15

    gck: Fix problem where gck_slot_open_session_async() leaked objects
    
     * Held a reference to the session and result, which kept the module

 gck/gck-mock.c               |    1 +
 gck/gck-slot.c               |   11 +++++++++--
 gck/tests/test-gck-session.c |    4 ++++
 3 files changed, 14 insertions(+), 2 deletions(-)

commit b22d39cf68a59189572006a21537018e6c5ab4d6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-15

    Ignore editor backup files

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d9b98a02bb228552244096e8ce78b2b8ebbdc202
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    gck: Fix regression in gck_slot_open_session_finish
    
     * The first argument is a slot, but we directly called
       g_async_initable_new_async, and therefore a GckSession
       was erroneously expected.

 gck/gck-slot.c |   40 +++++++++++++++++++++++++++++++++++++---
 1 files changed, 37 insertions(+), 3 deletions(-)

commit 6ec1c6ae545bdc99b821063456a111257b8110c1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-13

    Fix problem where test sources were being ignored by git.
    
     * And add test-filter-collection.c

 .gitignore                         |   17 +--
 gcr/tests/test-filter-collection.c |  274 ++++++++++++++++++++++++++++++++++++
 2 files changed, 282 insertions(+), 9 deletions(-)

commit ec6e65cf09804d91bf10b15e75b02056c02f59a0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gcr: Allow changing the collection on a GcrCollectionModel
    
     * Make the collection property writable any time
     * Add gcr_collection_model_set_collection() function
     * Try to be smart about adding/removing objects that are in
       the intersection of the old/new collections

 gcr/gcr-collection-model.c |   88 +++++++++++++++++++++++++++++++++----------
 gcr/gcr-collection-model.h |    3 +
 2 files changed, 70 insertions(+), 21 deletions(-)

commit 3bffaf39e4e32daa1942e32f68c10ff35d509bd7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gcr: Add tree and list mode for GcrCollectionModel
    
     * Way for callers to turn off the nesting behavior of GcrCollectionModel
     * Specify GCR_COLLECTION_MODEL_LIST at startup.
     * No stable software yet uses GcrCollectionModel, so changing API.

 docs/reference/gcr/gcr-sections.txt |    4 ++
 gcr/gcr-collection-model.c          |   63 +++++++++++++++++++++++++---------
 gcr/gcr-collection-model.h          |    7 ++++
 gcr/gcr-combo-selector.c            |    1 +
 gcr/gcr-list-selector.c             |    1 +
 gcr/gcr-tree-selector.c             |    1 +
 6 files changed, 60 insertions(+), 17 deletions(-)

commit c84c8f8ab0168e288e5f92a09d9dc9f4ef1d0192
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gck: Fix annotations for array and out params in GckSession

 gck/gck-session.c |   99 +++++++++++++++++++++++++++-------------------------
 1 files changed, 51 insertions(+), 48 deletions(-)

commit 23a6d43242398990e7fc46d3044883299803aafc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gck: Allow generating key without getting out key objects
    
     * Allow public_key and private_key locations to be null in
       gck_session_generate_key_pair(), -gck_session_generate_key_pair_full()
       and gck_session_generate_key_pair_finish()

 gck/gck-session.c |   50 +++++++++++++++++++++++++++++---------------------
 1 files changed, 29 insertions(+), 21 deletions(-)

commit fa095ebe11a59c9cda2a49651a0bec821e9fce30
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-09

    gcr: Add GcrFilterCollection
    
     * Adds a new collection type, which wraps another collection and
       filters out certain objects

 docs/reference/gcr/gcr-sections.txt |   21 ++
 docs/reference/gcr/gcr.interfaces   |    1 +
 docs/reference/gcr/gcr.types        |    1 +
 gcr/Makefile.am                     |    2 +
 gcr/gcr-base.h                      |    1 +
 gcr/gcr-base.symbols                |    5 +
 gcr/gcr-filter-collection.c         |  381 +++++++++++++++++++++++++++++++++++
 gcr/gcr-filter-collection.h         |   76 +++++++
 gcr/tests/Makefile.am               |    1 +
 9 files changed, 489 insertions(+), 0 deletions(-)

commit 97c5fa57007784ad11419c0828e5348c06894c21
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-07

    gck: fix symbols file

 gck/gck.symbols |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7cb2c0e109760bce566a4dfea77f2fe899e652ad
Author: Colin Walters <walters@verbum.org>
Date:   2011-11-03

    autogen.sh: Make executable

 0 files changed, 0 insertions(+), 0 deletions(-)

commit 41e66a2cc61376a82cb53423e4a8c1e03b19058e
Author: Colin Walters <walters@verbum.org>
Date:   2011-11-03

    build: Don't reference uninstalled gck
    
    The --include-uninstalled argument is sufficent; we shouldn't
    redundantly pass gck as a package or include.

 gcr/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 794ca1502a562b20ace487c23bb15884df5dd3f3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-03

    gck: gck_attribute_get_string() should not return a NULL string
    
     * Fix bug where a NULL string would be returned if the attribute
       was found but was invalid.

 gck/gck-attributes.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 8667b2f7756b42a570ef1328d3f4658da7dffb3f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-03

    gck: Add gck_attribute_hash and cleanup for use in hash table
    
     * Add gck_attribute_hash() so GckAttribute can be used as a
       hash table key.
     * Change gck_attribute_free() and gck_attribute_equal() to use
       pointers so they can be used as GEqualFunc and GDestroyNotify
       without casting

 docs/reference/gck/gck-sections.txt |    1 +
 gck/gck-attributes.c                |   47 ++++++++++++++++++++++++++--------
 gck/gck.h                           |    8 +++--
 3 files changed, 42 insertions(+), 14 deletions(-)

commit 468414442f0c4a785fcf784752cae8a1e44323c9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Chaining of enumerators
    
     * Add functions gck_enumerator_get_chained() and
       gck_enumerator_set_chained()
     * Chaining enumerator returns results from the chained enumerator
       after all results have been retrieved from the former.

 docs/reference/gck/gck-sections.txt |    2 +
 gck/gck-enumerator.c                |  198 ++++++++++++++++++++++++++++-------
 gck/gck.h                           |    5 +
 gck/gck.symbols                     |    2 +
 gck/tests/test-gck-enumerator.c     |   40 +++++++
 5 files changed, 210 insertions(+), 37 deletions(-)

commit 83c859210e66ffa5e0d7814cb822066c23c1e7bb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Allow enumerating objects on a session
    
     * Add gck_session_enumerate_objects()
     * This has several advantages such as retrieving attributes during
       the enumeration, etc.

 docs/reference/gck/gck-sections.txt |    1 +
 gck/gck-enumerator.c                |  100 ++++++++++++++++++++++++++--------
 gck/gck-modules.c                   |    4 +-
 gck/gck-private.h                   |    9 +++-
 gck/gck-session.c                   |   27 +++++++++-
 gck/gck-slot.c                      |    2 +-
 gck/gck.h                           |    3 +
 gck/gck.symbols                     |    1 +
 gck/tests/test-gck-enumerator.c     |   57 ++++++++++++++++----
 9 files changed, 163 insertions(+), 41 deletions(-)

commit b4fa5d383344c703de7c40ab6d058c8410c19220
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Fix documentation

 gck/gck-session.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 399f40a41f058a19c490cf8e5c8ba940e053510f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: GTlsInteraction is set on sessions, not slots
    
     * At least for now. We can figure out how to have a global interaction
       handler later.
     * interactions often are specific to windows which are bound to sessions
       rather than being a global deal so we need to have this level of
       granularity.

 docs/reference/gck/gck-sections.txt |    3 +-
 docs/reference/gcr/gcr.interfaces   |    1 +
 gck/gck-session.c                   |   89 ++++++++++++++++++++++++--------
 gck/gck-slot.c                      |   96 +----------------------------------
 gck/gck.h                           |    8 +--
 gck/gck.symbols                     |    3 +-
 gcr/gcr-pkcs11-importer.c           |   11 ++---
 7 files changed, 79 insertions(+), 132 deletions(-)

commit 7d5588e54caced82b19073850a8332647e4e0d37
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Remove unneeded variable in gck_session_from_handle()

 gck/gck-session.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit f96fe8eb8a497522abd6fd6c0301abff48604e60
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    gck: Don't try and discard handle for session that was not opened

 gck/gck-session.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit cb5ac66f0773c439c00b8a87f4a43e2532402412
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-01

    gck: Add methods for opening and logging in that accept interactions
    
     * Make GckSession GInitable and GAsyncInitable
     * With convenience functions gck_session_open and
       gck_session_open_async
     * Also add gck_session_login_interactive and
       gck_session_login_interactive_async

 docs/reference/gck/gck-sections.txt |    6 +
 docs/reference/gck/gck.interfaces   |    1 +
 gck/gck-call.c                      |    6 +-
 gck/gck-session.c                   |  441 ++++++++++++++++++++++++++++++++--
 gck/gck-slot.c                      |  158 ++-----------
 gck/gck.h                           |   33 +++
 gck/gck.symbols                     |    6 +
 gck/tests/Makefile.am               |    4 +
 gck/tests/test-gck-session.c        |  191 +++++++++++++++-
 9 files changed, 675 insertions(+), 171 deletions(-)

commit ff247f1e8128b944e6781b819c73ab9e7f5505e1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-31

    Ignore coverage file types for git inclusion

 .gitignore |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 07a447524f89f60c7e77a83174c5efe52608911f
Author: Travis Reiter <travis.reitter@collabora.co.uk>
Date:   2011-11-01

    gcr: Fix build, link against glib
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662647

 gcr/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7702296c156d114b950d71c043b413f0a1d3de07
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-30

    gcr: Fix gobject-introspection build ... again
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662648

 gcr/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d2210cc236c1f0fcddfcba19ce2787b24b6327da
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-29

    Remove g_thread_init() calls.
    
     * g_type_init() initializes threads since 2.24 and is no longer needed
       since 2.32

 egg/egg-testing.c     |    4 +++-
 gcr/gcr-viewer-tool.c |    1 -
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 49201f9d22f6466887bf73ba62ea6644e439c902
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-28

    gcr: Remove redefinition of GcrRenderer typedef

 gcr/gcr-renderer.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 5c59540676d1bcc88ece3d0650a78005202ed60d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-28

    gck: Remove duplicate typedef of GckObjectAttributes

 gck/gck.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7cad8afcea294a756f7ebdcc5d30e5b7e690f981
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    Bump version number

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 78d560bf8cfd405dc381cc0abd856b7a38b89027
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    Release version 3.3.1.1

 NEWS         |    5 ++++-
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 9561b78150fe2fc0cca552f2e67839ebaae0a045
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    gcr: Fix building of introspection dependencies
    
     * Was failing to find glib.h

 gcr/Makefile.am |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

commit 62bbe3c9980716ff344a6f43101b128b4baf18ed
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    gcr: Don't include main headers in individual components
    
     * Just include what we need, this helps keep rebuild times down
       and makes interdependencies clear.

 gcr/gcr-callback-output-stream.h    |    1 -
 gcr/gcr-certificate-chain.c         |    1 +
 gcr/gcr-gnupg-collection.h          |    1 -
 gcr/gcr-gnupg-process.h             |    2 +-
 gcr/gcr-icons.c                     |    1 -
 gcr/gcr-import-button.c             |    1 +
 gcr/gcr-import-button.h             |    2 +-
 gcr/gcr-library.c                   |    2 +-
 gcr/gcr-pkcs11-import-dialog.c      |    1 +
 gcr/gcr-pkcs11-import-dialog.h      |    2 +-
 gcr/gcr-pkcs11-import-interaction.h |    2 --
 gcr/gcr-secret-exchange.h           |    2 +-
 gcr/gcr-simple-certificate.h        |    2 --
 gcr/gcr-simple-collection.h         |    1 -
 gcr/gcr-single-collection.h         |    1 -
 gcr/gcr-trust.c                     |    1 -
 gcr/gcr-trust.h                     |    1 +
 gcr/gcr-union-collection.h          |    1 -
 18 files changed, 9 insertions(+), 16 deletions(-)

commit 358dda1805bb12ccda8f4888aa443713c70d0da9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-24

    Bump version number

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a319d7963feefccba02c7ac9faec5fed281d0729
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-24

    Release version 3.3.1

 NEWS                                |   12 +++++++++++-
 docs/reference/gcr/gcr-sections.txt |    1 +
 gck/gck.symbols                     |    1 +
 gcr/gcr-base.symbols                |    1 +
 4 files changed, 14 insertions(+), 1 deletions(-)

commit fb973d9c553412cb66f6ec9be005d4cdab67eb0e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-19

    gcr: Add function to get the elements of a union collection

 gcr/gcr-union-collection.c |   16 ++++++++++++++++
 gcr/gcr-union-collection.h |    2 ++
 2 files changed, 18 insertions(+), 0 deletions(-)

commit 874df503452d9578efcd0fca6b1c8958a433d10b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-17

    Add gnupg, and cleanup icon rendering
    
     * key and key-pair icons get rendered like the rest
     * Add simple gnupg icon based on gnupg logo.

 gcr/gcr-icons.h                       |    1 +
 gcr/icons/16x16/Makefile.am           |   13 +-
 gcr/icons/16x16/gcr-gnupg.png         |  Bin 0 -> 637 bytes
 gcr/icons/16x16/gcr-key-pair.png      |  Bin 878 -> 879 bytes
 gcr/icons/16x16/gcr-key.png           |  Bin 675 -> 650 bytes
 gcr/icons/22x22/Makefile.am           |   11 +-
 gcr/icons/22x22/gcr-gnupg.png         |  Bin 0 -> 843 bytes
 gcr/icons/22x22/gcr-key-pair.png      |  Bin 0 -> 1275 bytes
 gcr/icons/22x22/gcr-key.png           |  Bin 0 -> 868 bytes
 gcr/icons/24x24/Makefile.am           |   13 +-
 gcr/icons/24x24/gcr-gnupg.png         |  Bin 0 -> 858 bytes
 gcr/icons/24x24/gcr-key-pair.png      |  Bin 1221 -> 1278 bytes
 gcr/icons/24x24/gcr-key.png           |  Bin 875 -> 882 bytes
 gcr/icons/256x256/Makefile.am         |   11 +-
 gcr/icons/256x256/gcr-gnupg.png       |  Bin 0 -> 8863 bytes
 gcr/icons/32x32/Makefile.am           |   13 +-
 gcr/icons/32x32/gcr-gnupg.png         |  Bin 0 -> 1129 bytes
 gcr/icons/32x32/gcr-key-pair.png      |  Bin 1882 -> 1903 bytes
 gcr/icons/32x32/gcr-key.png           |  Bin 1201 -> 1176 bytes
 gcr/icons/48x48/Makefile.am           |   13 +-
 gcr/icons/48x48/gcr-gnupg.png         |  Bin 0 -> 1679 bytes
 gcr/icons/48x48/gcr-key-pair.png      |  Bin 3480 -> 3502 bytes
 gcr/icons/48x48/gcr-key.png           |  Bin 2087 -> 2036 bytes
 gcr/icons/Makefile.am                 |    8 +-
 gcr/icons/Makefile.decl               |   15 +
 gcr/icons/key-and-keypair.svg         | 3921 -------------------------------
 gcr/icons/src/gcr-gnupg.svg           |  293 +++
 gcr/icons/src/gcr-key-and-keypair.svg | 4138 +++++++++++++++++++++++++++++++++
 28 files changed, 4472 insertions(+), 3978 deletions(-)

commit 50dc5f5936aea5f1e8e19f7ea321dfa691e11282
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2011-10-16

    Include gi18n-lib.h in library sources instead of gi18n.h
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661929

 gck/gck-module.c                 |    2 +-
 gck/gck-modules.c                |    2 +-
 gck/gck-session.c                |    2 +-
 gcr/gcr-callback-output-stream.c |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 4886578695814db0debbe9d1ea7edfa68069e451
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    gcr: Fix up docs and symbols

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/gcr-base.symbols                |    1 +
 gcr/gcr-icons.h                     |    1 +
 3 files changed, 3 insertions(+), 0 deletions(-)

commit 08066aff6ee8bcd26a84ee863197139375489406
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    gcr: Add password icon

 gcr/icons/16x16/Makefile.am          |    1 +
 gcr/icons/16x16/gcr-password.png     |  Bin 0 -> 483 bytes
 gcr/icons/22x22/Makefile.am          |    1 +
 gcr/icons/22x22/gcr-password.png     |  Bin 0 -> 803 bytes
 gcr/icons/22x22/gcr-smart-card.png   |  Bin 662 -> 666 bytes
 gcr/icons/24x24/Makefile.am          |    1 +
 gcr/icons/24x24/gcr-password.png     |  Bin 0 -> 744 bytes
 gcr/icons/24x24/gcr-smart-card.png   |  Bin 636 -> 645 bytes
 gcr/icons/256x256/Makefile.am        |    1 +
 gcr/icons/256x256/gcr-password.png   |  Bin 0 -> 5596 bytes
 gcr/icons/256x256/gcr-smart-card.png |  Bin 9294 -> 10098 bytes
 gcr/icons/32x32/Makefile.am          |    1 +
 gcr/icons/32x32/gcr-password.png     |  Bin 0 -> 902 bytes
 gcr/icons/48x48/Makefile.am          |    1 +
 gcr/icons/48x48/gcr-password.png     |  Bin 0 -> 1525 bytes
 gcr/icons/48x48/gcr-smart-card.png   |  Bin 1684 -> 1724 bytes
 gcr/icons/src/gcr-password.svg       | 1222 ++++++++++++++++++++++++++++++++++
 17 files changed, 1228 insertions(+), 0 deletions(-)

commit 7075ac649738fb977671022388833f99396d1261
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    gcr: Function to emit notify on GcrCertificate props for data change

 gcr/gcr-certificate.c |   15 +++++++++++++++
 gcr/gcr-certificate.h |    2 ++
 2 files changed, 17 insertions(+), 0 deletions(-)

commit 119d3232310824ad7ed3a72c6e77fce3bf30f5fa
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-12

    gck: Add gck_slot_enumerate_objects() function

 docs/reference/gck/gck-sections.txt |    1 +
 gck/gck-slot.c                      |   38 +++++++++++++++++++++++++++++++---
 gck/gck.h                           |    6 ++++-
 3 files changed, 40 insertions(+), 5 deletions(-)

commit 459787f5a616e47a75a41999ce2f9fb04c6a81be
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-12

    gck: Documentation fix up

 .gitignore                        |    1 +
 docs/reference/gck/Makefile.am    |    2 +-
 docs/reference/gck/gck.interfaces |    1 -
 docs/reference/gck/gck.types      |   15 +++++++++++++++
 gck/gck-enumerator.c              |    7 +++----
 gck/gck-module.c                  |    1 -
 gck/gck-object.c                  |    1 -
 gck/gck-password.c                |    1 -
 gck/gck-session.c                 |    4 +---
 gck/gck-slot.c                    |    1 -
 10 files changed, 21 insertions(+), 13 deletions(-)

commit 074c6666bb3bb5264d9a0833c136c44ee9492b5e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-12

    gck: Enumerator can now retrieve object attributes
    
     * New interface called GckObjectAttributes. Callers derive from
       GckObject, implement GckObjectAttributes and set fields in the
       iface to denote which attributes are interested in.
     * Caller passes type of derived object to gck_enumerator_set_object_type()
       and then enumerator will retrieve attributes set in iface, and return
       objects of that type
     * GckObjectAttributes has attributes property.

 .gitignore                          |    1 -
 docs/reference/gck/Makefile.am      |    2 +-
 docs/reference/gck/gck-docs.sgml    |    1 +
 docs/reference/gck/gck-sections.txt |   24 ++-
 docs/reference/gck/gck.interfaces   |    1 +
 docs/reference/gcr/gcr.interfaces   |   39 ++++
 gck/Makefile.am                     |    1 +
 gck/gck-enumerator.c                |  413 +++++++++++++++++++++++++++--------
 gck/gck-object-attributes.c         |  106 +++++++++
 gck/gck-object.c                    |   35 ++--
 gck/gck-private.h                   |    3 +
 gck/gck.h                           |   41 ++++-
 gck/gck.symbols                     |    5 +
 gck/tests/Makefile.am               |    2 +-
 gck/tests/test-gck-enumerator.c     |  137 ++++++++++++-
 15 files changed, 694 insertions(+), 117 deletions(-)

commit fdd117df3883adbd25f0eaa40c50129b23584429
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-11

    gck: Fix build issue on i686 where sizeof (gsize) != sizeof (CK_ULONG)

 gck/gck-session.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 96f9babf503f5acb8df3209bbe25c13eda2ce2a8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-11

    gcr: Fix documentation build by linking to right library

 docs/reference/gcr/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 446337e1ab9cb371a90322e695f195e297ab3b2d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-07

    gck: Add gck_session_find_handles() and friends
    
    Allows callers to create their own objects for PKCS#11
    objects.

 .gitignore                          |    1 +
 docs/reference/gck/Makefile.am      |    3 +-
 docs/reference/gck/gck-sections.txt |    3 +
 gck/gck-session.c                   |  179 ++++++++++++++++++++++++++++-------
 gck/gck.h                           |   21 ++++-
 gck/gck.symbols                     |    3 +
 6 files changed, 174 insertions(+), 36 deletions(-)

commit 365f0f09f29fd09454132a5d6ecb1ddacb0a62e8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    Update glib dependency for 2.30.0
    
     * We need it for GTlsInteraction

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0ee09c69a99003e1de81dd03224bb9f4f4cb9de9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    Fix problem with doap file syntax

 gcr.doap |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c6691faa0348ab087e99ab9bd9914e1d5e81fa14
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    Split the GCR and GCK libraries out of gnome-keyring
    
    Commits prior to this commit will not build. To build
    old releases of Gcr or Gck you should use the gnome-keyring
    git module.
    
    This module currently depends on: gtk+ >= 3.0, glib >= 2.28.0,
    p11-kit >= 0.6, libgcrypt >= 1.2.2
    
    Additionally it requires asn1Parser for building.

 .gitignore                          |   92 +++
 AUTHORS                             |    5 +
 COPYING                             |  481 ++++++++++++
 ChangeLog                           |   33 +
 HACKING                             |  142 ++++
 MAINTAINERS                         |    3 +
 Makefile.am                         |   57 ++
 NEWS                                |    1 +
 README                              |    6 +
 autogen.sh                          |   22 +
 configure.ac                        |  395 ++++++++++
 docs/Makefile.am                    |    2 +
 docs/reference/gck/Makefile.am      |   12 +-
 docs/reference/gcr/Makefile.am      |    8 +-
 docs/reference/gcr/gcr-docs.sgml    |    1 -
 egg/Makefile.am                     |   48 --
 egg/tests/Makefile.am               |    4 +-
 gck/Makefile.am                     |   15 +-
 gck/gck-dump.c                      |    4 +-
 gck/gck-mock.c                      |    4 +-
 gck/gck-mock.h                      |    4 +-
 gck/gck-test.c                      |    2 +-
 gck/gck-test.h                      |    4 +-
 gck/pkcs11.h                        | 1373 ++++++++++++++++++++++++++++++++++-
 gck/pkcs11i.h                       |  141 ++++
 gck/pkcs11n.h                       |  221 ++++++
 gck/pkcs11x.h                       |   44 ++
 gcr.doap                            |   24 +
 gcr/Makefile.am                     |    6 +-
 gcr/gcr-openpgp.c                   |    2 +-
 gcr/gcr-openssh.c                   |    2 +-
 gcr/gcr-pkcs11-certificate.c        |    7 +-
 gcr/gcr-trust.c                     |    9 +-
 gcr/gcr-viewer.desktop.in           |   10 +
 gcr/tests/test-certificate-chain.c  |    5 +-
 gcr/tests/test-fingerprint.c        |    3 +-
 gcr/tests/test-pkcs11-certificate.c |    3 +-
 gcr/tests/test-simple-certificate.c |    2 -
 gcr/tests/test-trust.c              |    7 +-
 po/LINGUAS                          |   85 +++
 po/POTFILES.in                      |   33 +
 po/af.po                            | 1054 +++++++++++++++++++++++++++
 po/ar.po                            | 1049 ++++++++++++++++++++++++++
 po/as.po                            | 1067 +++++++++++++++++++++++++++
 po/ast.po                           | 1063 +++++++++++++++++++++++++++
 po/az.po                            |  995 +++++++++++++++++++++++++
 po/be.po                            | 1004 +++++++++++++++++++++++++
 po/be@latin.po                      | 1056 +++++++++++++++++++++++++++
 po/bg.po                            | 1027 ++++++++++++++++++++++++++
 po/bn.po                            | 1056 +++++++++++++++++++++++++++
 po/bn_IN.po                         | 1060 +++++++++++++++++++++++++++
 po/bs.po                            |  995 +++++++++++++++++++++++++
 po/ca.po                            | 1035 ++++++++++++++++++++++++++
 po/ca@valencia.po                   | 1035 ++++++++++++++++++++++++++
 po/cs.po                            | 1031 ++++++++++++++++++++++++++
 po/cy.po                            |  998 +++++++++++++++++++++++++
 po/da.po                            | 1032 ++++++++++++++++++++++++++
 po/de.po                            | 1044 ++++++++++++++++++++++++++
 po/dz.po                            | 1014 ++++++++++++++++++++++++++
 po/el.po                            | 1055 +++++++++++++++++++++++++++
 po/en@shaw.po                       | 1065 +++++++++++++++++++++++++++
 po/en_CA.po                         | 1002 +++++++++++++++++++++++++
 po/en_GB.po                         | 1037 ++++++++++++++++++++++++++
 po/eo.po                            | 1036 ++++++++++++++++++++++++++
 po/es.po                            | 1039 ++++++++++++++++++++++++++
 po/et.po                            | 1051 +++++++++++++++++++++++++++
 po/eu.po                            | 1035 ++++++++++++++++++++++++++
 po/fa.po                            | 1025 ++++++++++++++++++++++++++
 po/fi.po                            | 1026 ++++++++++++++++++++++++++
 po/fr.po                            | 1038 ++++++++++++++++++++++++++
 po/ga.po                            | 1012 ++++++++++++++++++++++++++
 po/gl.po                            | 1039 ++++++++++++++++++++++++++
 po/gu.po                            | 1058 +++++++++++++++++++++++++++
 po/he.po                            | 1003 +++++++++++++++++++++++++
 po/hi.po                            | 1065 +++++++++++++++++++++++++++
 po/hr.po                            | 1005 +++++++++++++++++++++++++
 po/hu.po                            | 1029 ++++++++++++++++++++++++++
 po/id.po                            | 1024 ++++++++++++++++++++++++++
 po/is.po                            |  991 +++++++++++++++++++++++++
 po/it.po                            | 1048 ++++++++++++++++++++++++++
 po/ja.po                            | 1059 +++++++++++++++++++++++++++
 po/ka.po                            |  992 +++++++++++++++++++++++++
 po/kn.po                            | 1057 +++++++++++++++++++++++++++
 po/ko.po                            | 1022 ++++++++++++++++++++++++++
 po/lt.po                            | 1029 ++++++++++++++++++++++++++
 po/lv.po                            | 1037 ++++++++++++++++++++++++++
 po/mai.po                           | 1015 ++++++++++++++++++++++++++
 po/mg.po                            |  995 +++++++++++++++++++++++++
 po/mk.po                            | 1039 ++++++++++++++++++++++++++
 po/ml.po                            | 1059 +++++++++++++++++++++++++++
 po/mn.po                            |  997 +++++++++++++++++++++++++
 po/mr.po                            | 1061 +++++++++++++++++++++++++++
 po/ms.po                            | 1050 ++++++++++++++++++++++++++
 po/nb.po                            | 1024 ++++++++++++++++++++++++++
 po/ne.po                            | 1010 ++++++++++++++++++++++++++
 po/nl.po                            | 1047 ++++++++++++++++++++++++++
 po/nn.po                            | 1067 +++++++++++++++++++++++++++
 po/oc.po                            |  996 +++++++++++++++++++++++++
 po/or.po                            | 1067 +++++++++++++++++++++++++++
 po/pa.po                            | 1032 ++++++++++++++++++++++++++
 po/pl.po                            | 1029 ++++++++++++++++++++++++++
 po/pt.po                            | 1036 ++++++++++++++++++++++++++
 po/pt_BR.po                         | 1048 ++++++++++++++++++++++++++
 po/ro.po                            | 1061 +++++++++++++++++++++++++++
 po/ru.po                            | 1031 ++++++++++++++++++++++++++
 po/rw.po                            | 1000 +++++++++++++++++++++++++
 po/si.po                            |  998 +++++++++++++++++++++++++
 po/sk.po                            | 1061 +++++++++++++++++++++++++++
 po/sl.po                            | 1038 ++++++++++++++++++++++++++
 po/sq.po                            | 1035 ++++++++++++++++++++++++++
 po/sr.po                            | 1038 ++++++++++++++++++++++++++
 po/sr@latin.po                      | 1039 ++++++++++++++++++++++++++
 po/sv.po                            | 1032 ++++++++++++++++++++++++++
 po/ta.po                            | 1038 ++++++++++++++++++++++++++
 po/te.po                            | 1026 ++++++++++++++++++++++++++
 po/th.po                            | 1030 ++++++++++++++++++++++++++
 po/tr.po                            | 1071 +++++++++++++++++++++++++++
 po/ug.po                            | 1049 ++++++++++++++++++++++++++
 po/uk.po                            | 1051 +++++++++++++++++++++++++++
 po/vi.po                            | 1050 ++++++++++++++++++++++++++
 po/xh.po                            |  995 +++++++++++++++++++++++++
 po/zh_CN.po                         | 1040 ++++++++++++++++++++++++++
 po/zh_HK.po                         | 1019 ++++++++++++++++++++++++++
 po/zh_TW.po                         | 1019 ++++++++++++++++++++++++++
 schema/Makefile.am                  |    2 -
 125 files changed, 88985 insertions(+), 126 deletions(-)

commit 5791608b2762d7264c58caaf9fe53d7a16ede1c1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Make spinner on GcrImportButton actually spin

 gcr/gcr-import-button.c   |    6 ++++++
 gcr/gcr-pkcs11-importer.c |    1 +
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 2b5be723faed77b82e2034a698a5c1d75776f023
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Fix build issues with gcr-icons.h header

 gcr/gcr-icons.h |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 000e0a5916f0c5d4e3788950be5bc6670799205a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Properly get labels from the parser into the importer
    
     * Pull in the labels seen by the parser, but not in the attributes
     * Fix issues supplementing when no login is required

 gcr/gcr-pkcs11-import-interaction.c |   25 +++++++++++++------------
 gcr/gcr-pkcs11-importer.c           |    8 +++++++-
 gcr/gcr-pkcs11-importer.h           |    1 +
 3 files changed, 21 insertions(+), 13 deletions(-)

commit c4d29054431a1470bf08e0e00e65b83798deab45
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Parse required attributes out of certificates
    
     * PKCS#11 requires the CKA_SUBJECT, CKA_ISSUER and
       CKA_SERIAL_NUMBER in new certificate objects, so we parse
       them in the parser.

 gcr/gcr-parser.c |   66 ++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 45 insertions(+), 21 deletions(-)

commit b3c7f4601ab23e9a05c8c6696b5fc150cc7cdc6e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Use the home directory for the NSS icon

 gcr/gcr-icons.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 23f7e8e398e707a3cccb3774960f7b2b3ef56ef3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Stop gcr-viewer process correctly when Close is clicked

 gcr/gcr-viewer-tool.c |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

commit 53ac7932ff2b9f80a3a71de4a0b42dd5bd274060
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Rework how we get supplemental information for the import

 docs/reference/gcr/Makefile.am      |    2 +
 docs/reference/gcr/gcr-sections.txt |   14 ++++-
 gcr/gcr-base.symbols                |    3 +-
 gcr/gcr-fingerprint.c               |    4 +-
 gcr/gcr-import-interaction.c        |   99 +++++++++++++++++----------
 gcr/gcr-import-interaction.h        |   13 +++-
 gcr/gcr-pkcs11-import-dialog.c      |  132 ++++++++---------------------------
 gcr/gcr-pkcs11-import-dialog.h      |    9 ++-
 gcr/gcr-pkcs11-import-interaction.c |   86 ++++++++++++++---------
 gcr/gcr-pkcs11-importer.c           |   84 ++++++++++++++++++----
 10 files changed, 248 insertions(+), 198 deletions(-)

commit 19e2f3edee54c77e86fa8924060083930e3cc9a9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Fix PKCS#11 importer attribute cleanup before import
    
     * Add proper CKA_ID, CKA_DECRYPT, CKA_SIGN, CKA_SIGN_RECOVER
       CKA_UNWRAP, CKA_SENSITIVE, and CKA_PRIVATE attributes
     * Create pairs of keys and certificates, and import those
       first

 gcr/gcr-base.symbols      |   11 ++
 gcr/gcr-debug.c           |    1 +
 gcr/gcr-debug.h           |    3 +-
 gcr/gcr-pkcs11-importer.c |  222 +++++++++++++++++++++++++++++++++++++--------
 4 files changed, 196 insertions(+), 41 deletions(-)

commit a6d4a9fe03b0109ef4b24e06dfdd5fb056aed879
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-05

    gcr: Complete and make gcr_fingerprint_xxx functions public
    
     * These functions create consistent key fingerpints for
       public, private and certificates.

 docs/reference/gcr/gcr-docs.sgml    |    1 +
 docs/reference/gcr/gcr-sections.txt |    7 +
 gcr/Makefile.am                     |    3 +-
 gcr/gcr-certificate-renderer.c      |    2 +-
 gcr/gcr-fingerprint.c               |  219 ++++++++++++++++++++++++++++-------
 gcr/gcr-fingerprint.h               |   23 +++-
 gcr/gcr-key-renderer.c              |    8 +-
 gcr/tests/test-fingerprint.c        |   46 ++++++--
 8 files changed, 246 insertions(+), 63 deletions(-)

commit acc403e77774308cfd7ba7cab3d65a7799d2ff47
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    egg: Fix parsing of unsigned integers in DER
    
     * When the unsigned integer had a high bit set, we would store/parse
       it incorrectly. We have to force these numbers to be unsigned so
       we prefix/strip an extra zero byte on the front.
     * Also make accessing raw and usg numbers in DER not have to copy
       the value, since these are often sensitive.

 egg/egg-asn1x.c                |  125 ++++++++++++++++++++++++++++++++++-----
 egg/egg-asn1x.h                |   11 +++-
 egg/tests/test-asn1.c          |   53 +++++++++++++++++
 gcr/gcr-certificate-renderer.c |    8 +-
 gcr/gcr-certificate.c          |    4 +-
 gcr/gcr-fingerprint.c          |   14 ++--
 gcr/gcr-parser.c               |   43 +++++++-------
 7 files changed, 206 insertions(+), 52 deletions(-)

commit cf3d2e4ba298e5ee8c1bda80e2a71d47ef635a89
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    gcr: Import keys first when importing via PKCS#11
    
     * This is what some smartcards seem to require, an easy enough fix
       so just work around this problem.

 gcr/gcr-pkcs11-importer.c |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit a9aabfebbffa6b4fc7990b15f2daa6c1472cc777
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    gck: Include CKK_XXX values in debug output correctly

 gck/gck-attributes.c |   45 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 45 insertions(+), 0 deletions(-)

commit f4ac10720e2998583c60a084ecd6ac8a34300a40
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    gcr: Complete the PKCS#11 import dialog
    
     * Add GcrImportInteraction interface which importers
     * Hookup between non-GUI importers and import interaction
       isn't yet completely thought out.

 gcr/Makefile.am                     |    8 +-
 gcr/gcr-deprecated.h                |    1 -
 gcr/gcr-dialog-util.c               |  182 ++++++++++++++
 gcr/gcr-dialog-util.h               |   42 ++++
 gcr/gcr-gnupg-importer.c            |   14 +-
 gcr/gcr-import-button.c             |   12 +
 gcr/gcr-import-dialog.c             |  459 -----------------------------------
 gcr/gcr-import-dialog.h             |   82 -------
 gcr/gcr-import-dialog.ui            |  128 ----------
 gcr/gcr-import-interaction.c        |  178 ++++++++++++++
 gcr/gcr-import-interaction.h        |   89 +++++++
 gcr/gcr-importer.c                  |   54 ++++-
 gcr/gcr-importer.h                  |   45 ++--
 gcr/gcr-parser.c                    |    1 -
 gcr/gcr-pkcs11-import-dialog.c      |  350 ++++++++++++++++++++++++++
 gcr/gcr-pkcs11-import-dialog.h      |   62 +++++
 gcr/gcr-pkcs11-import-dialog.ui     |  251 +++++++++++++++++++
 gcr/gcr-pkcs11-import-interaction.c |  240 ++++++++++++++++++
 gcr/gcr-pkcs11-import-interaction.h |   45 ++++
 gcr/gcr-pkcs11-importer.c           |  184 +++++++++++----
 gcr/gcr-pkcs11-importer.h           |   14 +-
 21 files changed, 1686 insertions(+), 755 deletions(-)

commit 393ad5f15b2f7f6bfa000c0871161c81742806e7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-04

    gck: Add support for setting attributes in an array
    
     * Either change the attribute to the new value, or add an
       attribute if one doesn't exist.

 docs/reference/gck/gck-sections.txt |    4 +
 gck/gck-attributes.c                |  112 +++++++++++++++++++++++++++++++++++
 gck/gck.h                           |   16 +++++
 gck/gck.symbols                     |    4 +
 4 files changed, 136 insertions(+), 0 deletions(-)

commit 51dd9e1aa79a6429d1692234deab8fc39762843d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-03

    gck: Integrate GTlsInteraction into libgck
    
     * Deprecate the GckModule signals which were used for password auth
     * Fire deprecated GckModule signals from a compat GTlsInteraction
     * Add some tests for this integration

 docs/reference/gck/gck-sections.txt |   23 ++
 gck/Makefile.am                     |    2 +
 gck/gck-enumerator.c                |  311 +++++++++++-------
 gck/gck-interaction.c               |  176 ++++++++++
 gck/gck-misc.c                      |   15 +
 gck/gck-module.c                    |   82 +-----
 gck/gck-modules.c                   |   12 +-
 gck/gck-password.c                  |  255 ++++++++++++++
 gck/gck-private.h                   |   48 ++-
 gck/gck-session.c                   |  643 ++++++++++++++++++++++-------------
 gck/gck-slot.c                      |  184 +++++++---
 gck/gck.h                           |   56 +++-
 gck/gck.symbols                     |    9 +
 gck/tests/Makefile.am               |    4 +
 gck/tests/mock-interaction.c        |   97 ++++++
 gck/tests/mock-interaction.h        |   43 +++
 gck/tests/test-gck-crypto.c         |    2 +
 gck/tests/test-gck-enumerator.c     |   76 ++++
 gck/tests/test-gck-session.c        |    2 +
 19 files changed, 1543 insertions(+), 497 deletions(-)

commit a41c5670005eb86f69f09cb36df9075495275dda
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    gcr: Check that secret exchanged data has correct protocol prefix
    
     * This is for future backward compatibility, so when we have more
       than one protocol, we can be sure we can identify the old one.

 gcr/gcr-secret-exchange.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 40da05f717179cf3316bcd9fd406507cc4d54e89
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    gcr: Documentation fixes for secret exchange commits

 docs/reference/gcr/Makefile.am      |    3 +++
 docs/reference/gcr/gcr-sections.txt |   29 ++---------------------------
 gcr/gcr-secret-exchange.c           |    2 +-
 3 files changed, 6 insertions(+), 28 deletions(-)

commit 1e3a5058766025d8e68e264636cc002d9cd3d54e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    ui: Use GcrSecretExchange for passing passwords to/from prompt
    
     * And integrate this with our credential stuff inside of the
       dbus secret service prompts
     * Fix a bug in GcrSecretService if key already derived, and data
       is received.

 egg/Makefile.am           |    2 +-
 gcr/gcr-secret-exchange.c |   10 ++++++----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 1cc65dbe1ac64af14d91fa1c1d19ed5d6b0316bf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    gcr: More work on the GcrSecretExchange
    
     * Expose the concept of which protocol is being used although
       currently only one is supported.
     * Add virtual method hooks so all crypto stuff can be swapped
       out with other implementations.
     * Build, documentation and test fixes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656955

 gcr/Makefile.am                  |    2 +-
 gcr/gcr-base.symbols             |    7 +
 gcr/gcr-secret-exchange.c        |  699 ++++++++++++++++++++++++++------------
 gcr/gcr-secret-exchange.h        |   38 ++-
 gcr/tests/test-secret-exchange.c |    4 +-
 5 files changed, 526 insertions(+), 224 deletions(-)

commit 971d9db89a43a8b46de3cf84da2a51f0be4725a5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-23

    gcr: Add documentation for GcrSecretExchange
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656955

 docs/reference/gcr/gcr-docs.sgml    |    1 +
 docs/reference/gcr/gcr-sections.txt |   20 +++++++
 gcr/gcr-secret-exchange.c           |  101 +++++++++++++++++++++++++++++++++++
 gcr/gcr-secret-exchange.h           |    4 +-
 4 files changed, 124 insertions(+), 2 deletions(-)

commit e09c71b6fcdc25800d684f52c3c853a1069f2cef
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-20

    gcr: Refactor GcrSecretExchange
    
     * Use the GcrSecretExchange object on both sides.
     * Allow exchange of multiple secrets, and in both directions.
     * Add tests

 gcr/gcr-base.h                   |    2 +
 gcr/gcr-secret-exchange.c        |  220 +++++++++++++++-----------------------
 gcr/gcr-secret-exchange.h        |   25 ++---
 gcr/tests/Makefile.am            |    1 +
 gcr/tests/test-secret-exchange.c |  162 ++++++++++++++++++++++++++++
 5 files changed, 260 insertions(+), 150 deletions(-)

commit 4ebec2c877e849f9fa747f73b83b36f7e6cf41ae
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-10

    gcr: Implement GcrSecretExchange
    
    * Class which allows exchanging secrets over an unsecure or logged
       channel.
     * Does *NOT* protect against active attacks like MITM.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656955

 gcr/Makefile.am           |    2 +
 gcr/gcr-secret-exchange.c |  523 +++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-secret-exchange.h |   78 +++++++
 3 files changed, 603 insertions(+), 0 deletions(-)

commit 08479cc76baebe35fa95a12d8ba1b65b015b3b51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    gcr: More documentation fixes

 gcr/gcr-certificate-chain.c    |    1 +
 gcr/gcr-certificate-renderer.c |    4 ++--
 gcr/gcr-gnupg-collection.c     |    2 +-
 gcr/gcr-gnupg-process.c        |   10 +++++-----
 4 files changed, 9 insertions(+), 8 deletions(-)

commit 679110b437b6c73362c7b063eb7bf3fcb695334b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-01

    Fix up exported symbols for recent changes
    
     * Including one symbol removal, but since this was added during
       this unstable cycle, no problem changing it.

 gck/gck.symbols      |   20 ++++++++++++++++++++
 gcr/gcr-base.symbols |    2 +-
 2 files changed, 21 insertions(+), 1 deletions(-)

commit ac925c56040e7bc82577115324b1a6796121a96b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-30

    gck: Fix more argument types
    
     * and mark up introspection annotations on some more arrays

 gck/gck-object.c |   12 ++++++------
 gck/gck-slot.c   |    8 +++++---
 gck/gck.h        |   14 +++++++-------
 3 files changed, 18 insertions(+), 16 deletions(-)

commit 1b11a90afead9a0d8f7a3fd830c806b0c116adf3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: More introspection tweaks, checking for parameters which allow none

 gck/gck-attributes.c               |    6 ++--
 gck/gck-misc.c                     |    4 +-
 gck/gck-module.c                   |    4 ++-
 gck/gck-modules.c                  |   14 +++++++--
 gck/gck-object.c                   |    6 +---
 gck/gck-session.c                  |   52 ++++++++++++++++++++++--------------
 gck/gck-slot.c                     |   11 +++++--
 gck/gck-uri.c                      |    2 +-
 gck/gck.h                          |   24 ++++++++--------
 gcr/gcr-certificate-chain.c        |   32 +++++++++++++---------
 gcr/gcr-certificate-chain.h        |    3 +-
 gcr/gcr-certificate-renderer.c     |   12 ++++----
 gcr/gcr-certificate-widget.c       |   10 +++---
 gcr/gcr-certificate.c              |   43 ++++++++++++++++++-----------
 gcr/gcr-collection-model.c         |    6 ++--
 gcr/gcr-combo-selector.c           |    2 +-
 gcr/gcr-failure-renderer.c         |    2 +-
 gcr/gcr-gnupg-collection.c         |    2 +-
 gcr/gcr-gnupg-importer.c           |    1 +
 gcr/gcr-gnupg-process.c            |   10 +++---
 gcr/gcr-import-button.c            |    2 +-
 gcr/gcr-key-renderer.c             |    8 +++---
 gcr/gcr-key-widget.c               |    6 ++--
 gcr/gcr-library.c                  |    8 +++---
 gcr/gcr-live-search.c              |    1 +
 gcr/gcr-menu-button.c              |    1 +
 gcr/gcr-parser.c                   |   39 ++++++++++++++------------
 gcr/gcr-renderer.c                 |    6 ++--
 gcr/gcr-types.h                    |    1 +
 gcr/gcr-viewer-widget.c            |    2 +-
 gcr/gcr-viewer.c                   |    2 +-
 gcr/tests/test-certificate-chain.c |    2 +-
 32 files changed, 187 insertions(+), 137 deletions(-)

commit f7003cd2f252d599c369afdb00c3ef8d14f1b09a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gcr: Annotate which types are being returned
    
     * If the C function is returning a base type, then annotate
       what derived type is actually being returned.

 gcr/gcr-callback-output-stream.c     |    5 +++++
 gcr/gcr-certificate-basics-widget.c  |   15 +++++++++++++--
 gcr/gcr-certificate-details-widget.c |   16 +++++++++++-----
 gcr/gcr-failure-renderer.c           |    2 +-
 gcr/gcr-gnupg-collection.c           |    2 +-
 gcr/gcr-gnupg-importer.c             |    5 +++++
 gcr/gcr-live-search.c                |    5 +++++
 gcr/gcr-memory-icon.c                |    2 +-
 gcr/gcr-menu-button.c                |    5 +++++
 gcr/gcr-pkcs11-importer.c            |    5 +++++
 gcr/gcr-simple-certificate.c         |    4 ++--
 gcr/gcr-simple-collection.c          |    4 ++--
 gcr/gcr-union-collection.c           |    4 ++--
 gcr/gcr-unlock-options-widget.c      |    4 ++--
 gcr/gcr-viewer-window.c              |    2 +-
 15 files changed, 61 insertions(+), 19 deletions(-)

commit d7724d62c78ae009e8a35e71a496d944010bbebb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gcr: Add gcr_viewer_widget_get_parser()
    
     * This property returns the parser currently in use by the viewer widget

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/gcr-viewer-widget.c             |   48 +++++++++++++++++++++++++++++++++++
 gcr/gcr-viewer-widget.h             |    2 +
 gcr/gcr.symbols                     |    1 +
 4 files changed, 52 insertions(+), 0 deletions(-)

commit 51346d522d589ada0622bc081968f8b486ebef43
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Fix precondition in gck_object_from_handles

 gck/gck-object.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8177dd8f2797c897ca037a1288350e42e10dc38c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gcr: More introspection and documentation cleanup
    
     * Tag proper transfer on return values
     * Use guchar * for arrays of bytes

 docs/reference/gcr/gcr-docs.sgml     |    4 +++
 gcr/gcr-certificate-basics-widget.c  |    4 +-
 gcr/gcr-certificate-chain.c          |    6 ++--
 gcr/gcr-certificate-details-widget.c |    4 +-
 gcr/gcr-certificate-renderer.c       |   23 ++++++++--------
 gcr/gcr-certificate-widget.c         |   12 ++++----
 gcr/gcr-certificate.c                |    6 +++-
 gcr/gcr-certificate.h                |    3 +-
 gcr/gcr-collection-model.c           |   10 ++++---
 gcr/gcr-collection.c                 |   14 ++++++++++
 gcr/gcr-comparable.c                 |    2 +-
 gcr/gcr-import-button.c              |    4 +-
 gcr/gcr-key-renderer.c               |    4 +-
 gcr/gcr-library.c                    |   28 ++++++++++++++++++++
 gcr/gcr-list-selector.c              |    6 ++--
 gcr/gcr-parser.c                     |   47 ++++++++++++++++++++++++++++-----
 gcr/gcr-parser.h                     |    2 +-
 gcr/gcr-pkcs11-certificate.c         |    5 ++-
 gcr/gcr-renderer.c                   |   11 ++++++++
 gcr/gcr-simple-certificate.c         |   17 +++++++-----
 gcr/gcr-simple-certificate.h         |    4 +-
 gcr/gcr-tree-selector.c              |    8 +++---
 gcr/gcr-types.h                      |    4 +-
 gcr/gcr-viewer-widget.c              |   21 ++++++++++++++-
 gcr/gcr-viewer-widget.h              |    2 +-
 gcr/gcr-viewer-window.c              |   16 +++++++++++-
 gcr/gcr-viewer.c                     |    8 ++++++
 gcr/tests/frob-parser.c              |    2 +-
 gcr/tests/test-certificate-chain.c   |    2 +-
 gcr/tests/test-certificate.c         |    6 ++--
 gcr/tests/test-parser.c              |    4 +-
 gcr/tests/test-trust.c               |    2 +-
 32 files changed, 216 insertions(+), 75 deletions(-)

commit e8cbdae82efcf8508d900547396b74c74080ae45
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: More introspection and documentation cleanup
    
     * In particular, use guchar * for arrays of bytes.

 gck/gck-attributes.c            |  143 +++++++++++++++------------------------
 gck/gck-misc.c                  |   23 ++++---
 gck/gck-mock.c                  |    8 +-
 gck/gck-module.c                |    8 +-
 gck/gck-object.c                |   29 +++++----
 gck/gck-session.c               |   45 ++++++++----
 gck/gck-slot.c                  |   32 +++++-----
 gck/gck-uri.c                   |    4 +-
 gck/gck.h                       |   14 ++--
 gck/tests/test-gck-attributes.c |   20 +++---
 gck/tests/test-gck-crypto.c     |   20 +++---
 gck/tests/test-gck-object.c     |    2 +-
 gck/tests/test-gck-uri.c        |    2 +-
 13 files changed, 171 insertions(+), 179 deletions(-)

commit 22d6f3be20483adedefe2ad7c11e9fa144fa8873
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Fix if _gck_debug was not called _gck_debugging doesn't work
    
     * Initialize debugging in both _gck_debug and _gck_debugging

 gck/gck-debug.c |   19 ++++++++++++++-----
 gck/gck-debug.h |    2 ++
 2 files changed, 16 insertions(+), 5 deletions(-)

commit 72ab8176e27e5e91c876e48123b09c3b3b2e7759
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Documentation, introspection, and header fixes

 docs/reference/gck/Makefile.am          |    2 +-
 docs/reference/gck/gck-docs.sgml        |    3 ++
 docs/reference/gck/gck-pkcs11-links.xml |    4 +-
 docs/reference/gck/gck-sections.txt     |   60 ++++++++++++++++++++++++++-----
 gck/Makefile.am                         |   20 +++++++++-
 gck/gck-attributes.c                    |   16 ++++----
 gck/gck-enum-types.c.template           |   43 ++++++++++++++++++++++
 gck/gck-enum-types.h.template           |   28 ++++++++++++++
 gck/gck-misc.c                          |   21 +++++++----
 gck/gck-module.c                        |   22 ++++++++++-
 gck/gck-modules.c                       |    8 ++++
 gck/gck-object.c                        |    6 ++--
 gck/gck-session.c                       |   25 +++++++++++--
 gck/gck-slot.c                          |   30 ++++++++++++++--
 gck/gck-uri.c                           |   57 +++++++++++++++++++++++++----
 gck/gck.h                               |   29 ++++++++-------
 16 files changed, 312 insertions(+), 62 deletions(-)

commit e56b3113af3e4924a2692333ab3e62b3eff22aea
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Work around g-ir-scanner syntax problem
    
     * Separate typedef from structure declaration.

 gck/gck.h |   30 ++++++++++++++++++++----------
 1 files changed, 20 insertions(+), 10 deletions(-)

commit 25bf4fed0b543f2a2d0ae255649d3db3906765ac
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    Gck: GckAttribute value field is a byte array

 gck/gck-attributes.c |    2 +-
 gck/gck-dump.c       |    4 ++--
 gck/gck.h            |   14 +++++++++-----
 3 files changed, 12 insertions(+), 8 deletions(-)

commit bd418b84b1a341ffa1ddcd6420f6cbe785b24dd1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-29

    gck: Gck introspection doesn't depend on gtk

 gck/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 53dd9afb57e3d047a884698fd47b18e4166cfcab
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-28

    gcr: Complete introspection annotations for gcr library
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655651

 gcr/Makefile.am                      |   26 ++++++------
 gcr/gcr-certificate-basics-widget.c  |   14 ++++++-
 gcr/gcr-certificate-chain.c          |   11 +++--
 gcr/gcr-certificate-details-widget.c |   15 +++++++
 gcr/gcr-certificate-renderer.c       |    4 +-
 gcr/gcr-certificate-widget.c         |    4 +-
 gcr/gcr-certificate.c                |   72 +++++++++++++++-------------------
 gcr/gcr-certificate.h                |    6 +-
 gcr/gcr-collection-model.c           |   14 +++---
 gcr/gcr-collection.c                 |   39 +++---------------
 gcr/gcr-combo-selector.c             |    8 ++--
 gcr/gcr-deprecated-base.h            |    2 +
 gcr/gcr-deprecated.h                 |    2 +
 gcr/gcr-failure-renderer.c           |   17 ++++++++
 gcr/gcr-icons.c                      |   10 ++++-
 gcr/gcr-icons.h                      |    2 +-
 gcr/gcr-importer.c                   |   12 +++---
 gcr/gcr-key-renderer.c               |    2 +-
 gcr/gcr-library.c                    |   16 ++++---
 gcr/gcr-list-selector.c              |    9 ++--
 gcr/gcr-parser.c                     |   15 ++++---
 gcr/gcr-parser.h                     |    4 +-
 gcr/gcr-pkcs11-certificate.c         |   12 +++---
 gcr/gcr-pkcs11-importer.c            |    2 +-
 gcr/gcr-renderer.c                   |   28 ++++---------
 gcr/gcr-renderer.h                   |    1 +
 gcr/gcr-simple-certificate.c         |    8 ++--
 gcr/gcr-simple-collection.c          |    6 +-
 gcr/gcr-tree-selector.c              |   19 +++++----
 gcr/gcr-types.h                      |   13 ++++++
 gcr/gcr-union-collection.c           |    6 +-
 gcr/gcr-viewer.c                     |   12 +++---
 32 files changed, 219 insertions(+), 192 deletions(-)

commit 34fd5215bdc064247409acc4e1fce892450b8e51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-28

    gck: Fix introspection warnings and complete introspection annotations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655651

 gck/Makefile.am             |   53 ++++++++++++++++--
 gck/gck-attributes.c        |   51 ++++++++++++------
 gck/gck-deprecated.h        |   51 +++++++++++++++++
 gck/gck-enumerator.c        |   10 ++--
 gck/gck-misc.c              |   14 ++++-
 gck/gck-module.c            |   47 ++++++++++++++---
 gck/gck-modules.c           |   56 ++++++++++++-------
 gck/gck-object.c            |   81 +++++++++++++++++-----------
 gck/gck-session.c           |  110 +++++++++++++++++++++++++-------------
 gck/gck-slot.c              |  127 +++++++++++++++++++++++++++++++++++--------
 gck/gck-uri.c               |   42 ++++++++++++++
 gck/gck.h                   |  105 ++++++++++++++++++++++++------------
 gck/tests/test-gck-crypto.c |    3 +-
 gck/tests/test-gck-object.c |    6 +-
 gck/tests/test-gck-slot.c   |    2 +-
 15 files changed, 569 insertions(+), 189 deletions(-)

commit 007e09a075927b6ab5095ea60278ed1cd91c8397
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2011-07-30

    gcr: mark many fields as private

 gcr/gcr-certificate-exporter.h |    1 +
 gcr/gcr-certificate-widget.c   |    3 +--
 gcr/gcr-display-scrolled.h     |    1 +
 gcr/gcr-display-view.h         |    1 +
 gcr/gcr-gnupg-collection.h     |    1 +
 gcr/gcr-gnupg-key.h            |    3 +--
 gcr/gcr-gnupg-process.h        |    1 +
 gcr/gcr-import-dialog.h        |    1 +
 gcr/gcr-live-search.h          |    3 +--
 gcr/gcr-memory-icon.h          |    3 +--
 10 files changed, 10 insertions(+), 8 deletions(-)

commit 79df02ea2c54900be1ea3ab651e49cc2b216d0de
Author: Evan Nemerson <evan@coeus-group.com>
Date:   2011-07-30

    gcr: add GObject introspection support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655651

 gcr/Makefile.am |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit 71fa1a24ea4cca8389ce228e1e07e498ed9c0129
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix logic in GcrImportButton when unlocking is going on (again)

 gcr/gcr-import-button.c |   47 +++++++++++++++++++++++------------------------
 1 files changed, 23 insertions(+), 24 deletions(-)

commit 83d13b2cc5cd4f4962b4f750f526e5f99a62bf7c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: More deprecation tweaking so we can build on FC16

 gcr/gcr-library.c     |    2 +-
 gcr/gcr-live-search.c |    8 ++++----
 gcr/gcr-parser.c      |    4 ++++
 3 files changed, 9 insertions(+), 5 deletions(-)

commit bd9f435831a2596cfc86cf5f395ca293912ba476
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix logic in GcrImportButton when unlocking is going on
    
     * Don't show the spinner when no importers are ready even though
       initializing

 gcr/gcr-import-button.c |   45 ++++++++++++++++++++++++---------------------
 1 files changed, 24 insertions(+), 21 deletions(-)

commit b9315ad910fcf68d4edd0760dc89e4fc7934f1e4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix problem with unlock prompt
    
     * Signal handling of the authenticate was in the wrong order.

 gcr/gcr-viewer-widget.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6a9fce5701da32bde5eaf7726abb1d26837601c4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix documentation, abi, and translation issues

 docs/reference/gcr/Makefile.am      |    3 +
 docs/reference/gcr/gcr-sections.txt |   22 +++++--
 docs/reference/gcr/gcr.types        |    1 +
 gcr/Makefile.am                     |    4 +-
 gcr/gcr-base.symbols                |   19 ++++++-
 gcr/gcr-collection-model.c          |   21 ++++++-
 gcr/gcr-combo-selector.c            |    2 +-
 gcr/gcr-combo-selector.h            |    2 -
 gcr/gcr-deprecated-base.h           |   16 +++++
 gcr/gcr-import-button.c             |   15 +++++
 gcr/gcr-import-button.h             |    2 +-
 gcr/gcr-importer.c                  |  104 ++++++++++++++++++++++++++++++++++-
 gcr/gcr-list-selector.c             |    4 +-
 gcr/gcr-list-selector.h             |    2 -
 gcr/gcr-parser.c                    |   42 ++++++++++++++-
 gcr/gcr-viewer-tool.c               |    4 +-
 gcr/gcr-viewer-window.c             |   16 +++---
 gcr/gcr-viewer-window.h             |   14 +++--
 gcr/gcr.symbols                     |   10 +++
 gcr/tests/frob-unlock.c             |    2 +-
 20 files changed, 267 insertions(+), 38 deletions(-)

commit 04213253537242d1cf43e1af33e49c861b298ed5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Fix invalid memory access in _gcr_record_set_base64

 gcr/gcr-record.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b0bdf8849435364752cfd0c7f31156de70cd52e5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Use correct icon in the PKCS#11 importer

 gcr/Makefile.am           |    2 +-
 gcr/gcr-icons.h           |    2 ++
 gcr/gcr-pkcs11-importer.c |   15 +++++++--------
 3 files changed, 10 insertions(+), 9 deletions(-)

commit 6ec42fc0fea9484b207b980b877aeac9c1dbd161
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Refactor GcrParser and delay listing of importers
    
     * PKCS#11 takes a long time to initialize with certain smart cards
       (several seconds). So we can't block the UI.
     * Expose the PKCS#11 initialization functions publicly.
     * Refactor GcrParser so that the current parsed item can be held
       around until later in the form of a GcrParsed structure.
     * Queue parsed items in GcrImportButton until PKCS#11 is initialized.

 gcr/gcr-gnupg-importer.c     |   14 ++--
 gcr/gcr-import-button.c      |   48 ++++++++-
 gcr/gcr-import-button.h      |    2 +-
 gcr/gcr-importer.c           |   40 +++++--
 gcr/gcr-importer.h           |   26 +++---
 gcr/gcr-internal.h           |   10 --
 gcr/gcr-library.c            |   18 ++--
 gcr/gcr-library.h            |   10 ++
 gcr/gcr-parser.c             |  246 +++++++++++++++++++++++++++++++-----------
 gcr/gcr-parser.h             |   22 ++++
 gcr/gcr-pkcs11-certificate.c |    4 +-
 gcr/gcr-pkcs11-importer.c    |   41 +++++---
 gcr/gcr-pkcs11-importer.h    |    3 +
 gcr/gcr-trust.c              |    8 +-
 gcr/gcr-viewer-widget.c      |    9 +-
 gcr/gcr-viewer-window.c      |    4 +-
 16 files changed, 358 insertions(+), 147 deletions(-)

commit 240903e80ca841495686c96638f925aecdc53883
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Add GcrSingleCollection internal class

 gcr/Makefile.am             |    1 +
 gcr/gcr-single-collection.c |  157 +++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-single-collection.h |   55 +++++++++++++++
 3 files changed, 213 insertions(+), 0 deletions(-)

commit 8a6e43e16c8fbe9416643f1b906ca7038083822a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-23

    gcr: Show warnings about keys that have not been verified
    
     * And emblem icons that have not been verified.

 gcr/gcr-display-view.c   |   71 ++++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-display-view.h   |    5 +++
 gcr/gcr-gnupg-records.c  |   31 +++++++++++++++++--
 gcr/gcr-gnupg-renderer.c |   43 ++++++++++++++-------------
 gcr/gcr-parser.c         |    4 ++-
 5 files changed, 128 insertions(+), 26 deletions(-)

commit 5241d4bfb92f7fb054c433f2dcb1f7cacb544f6c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Fixes for the import button and viewer widget
    
     * Update the button before anything queued.
     * Fix viewer widget arguments

 gcr/gcr-import-button.c |  120 ++++++++++++++++++++++++-----------------------
 gcr/gcr-viewer-widget.c |    2 +-
 gcr/gcr-viewer-widget.h |    2 +-
 3 files changed, 63 insertions(+), 61 deletions(-)

commit 4d59ea3ffe0dd47311bdae6b45c9c67ae3aab840
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Distribute new headers properly.

 gcr/Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 61214a59d5470fc7eabb9f49795518a709ccafa6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Fix up documentation images

 docs/reference/gcr/gcr-visual-index.xml |   22 ++++++++++++++--------
 1 files changed, 14 insertions(+), 8 deletions(-)

commit 3f73408777f73c4edd7ebfe2be34b5d4ef3c4b64
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Complete GcrViewerWidget and GcrImportButton
    
     * Cleanup documentation
     * Rework how the GcrViewerWindow works so that it can be used
       elsewhere.
     * Create GcrImportButton which can import certificates and widgets.

 docs/reference/gcr/Makefile.am                   |   13 +-
 docs/reference/gcr/gcr-docs.sgml                 |    2 +
 docs/reference/gcr/gcr-sections.txt              |   46 ++-
 docs/reference/gcr/gcr-widgets.c                 |   46 ++-
 docs/reference/gcr/gcr.types                     |   23 +-
 docs/reference/gcr/images/certificate-widget.png |  Bin 15090 -> 16144 bytes
 docs/reference/gcr/images/import-button.png      |  Bin 0 -> 2925 bytes
 docs/reference/gcr/images/key-widget.png         |  Bin 10159 -> 10159 bytes
 docs/reference/gcr/images/viewer-widget.png      |  Bin 0 -> 13167 bytes
 gcr/Makefile.am                                  |   15 +-
 gcr/gcr-base.h                                   |    1 +
 gcr/gcr-collection-model.c                       |    1 -
 gcr/gcr-combo-selector.c                         |    1 -
 gcr/gcr-failure-renderer.c                       |   32 +-
 gcr/gcr-failure-renderer.h                       |   11 +-
 gcr/gcr-gnupg-process.c                          |   62 ++--
 gcr/gcr-import-button.c                          |  485 ++++++++++++++++++++++
 gcr/gcr-import-button.h                          |   68 +++
 gcr/gcr-list-selector.c                          |    1 -
 gcr/gcr-marshal.list                             |    2 +
 gcr/gcr-pkcs11-importer.c                        |    2 +-
 gcr/gcr-simple-collection.c                      |    1 -
 gcr/gcr-tree-selector.c                          |    1 -
 gcr/gcr-union-collection.c                       |    1 -
 gcr/gcr-unlock-renderer.c                        |   98 ++---
 gcr/gcr-unlock-renderer.h                        |   12 +-
 gcr/gcr-viewer-tool.c                            |    6 +-
 gcr/gcr-viewer-widget.c                          |  436 +++++++++++++++++++
 gcr/gcr-viewer-widget.h                          |   53 +++
 gcr/gcr-viewer-window.c                          |  371 ++++-------------
 gcr/gcr-viewer-window.h                          |   12 +-
 gcr/gcr-viewer.c                                 |   25 +-
 gcr/gcr.h                                        |    8 +-
 gcr/tests/Makefile.am                            |    4 +
 gcr/tests/frob-unlock.c                          |    3 +-
 35 files changed, 1365 insertions(+), 477 deletions(-)

commit 8fce8d6ab106813d47a71dd882d81b8aff277e0e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    gcr: Fix up documentation for importer and menu button

 docs/reference/gcr/Makefile.am |    1 +
 gcr/gcr-importer.c             |   14 ++++++++++----
 gcr/gcr-importer.h             |    1 +
 3 files changed, 12 insertions(+), 4 deletions(-)

commit c38e80cb5afd9dcd885cc8cd17a2c6678d131084
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-21

    gcr: Implement GcrMenuButton which is copied from gnome-contacts
    
     * The standard clickable button which drops down a menu.

 gcr/Makefile.am       |    1 +
 gcr/gcr-menu-button.c |  366 +++++++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-menu-button.h |   61 ++++++++
 3 files changed, 428 insertions(+), 0 deletions(-)

commit 23caa912b07371a295f8d361c404add9888df6ff
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-21

    gcr: Refactor the importer with multiple registered importers
    
     * Allow multiple importers to register, and have a way for
       them to identify whether something is importable by the
       importer or not.
     * Create a new GnuPG keyring importer.
     * Add boxed type for a GList of GObject
     * Some other minor cleanups.

 docs/reference/gck/gck-sections.txt |    2 +
 docs/reference/gcr/Makefile.am      |    4 +
 docs/reference/gcr/gcr-sections.txt |   79 +--
 gck/gck-misc.c                      |   12 +
 gck/gck.h                           |    4 +
 gck/gck.symbols                     |    1 +
 gcr/Makefile.am                     |    4 +-
 gcr/gcr-base.symbols                |   12 +
 gcr/gcr-certificate-widget.c        |    7 -
 gcr/gcr-deprecated-base.h           |    6 +
 gcr/gcr-deprecated.h                |    5 -
 gcr/gcr-gnupg-importer.c            |  315 ++++++++++
 gcr/gcr-gnupg-importer.h            |   67 +++
 gcr/gcr-gnupg-process.c             |    7 +
 gcr/gcr-gnupg-process.h             |    2 +
 gcr/gcr-import-dialog.c             |   15 +-
 gcr/gcr-import-dialog.h             |   17 +-
 gcr/gcr-importer.c                  | 1118 ++++++++++-------------------------
 gcr/gcr-importer.h                  |   95 ++--
 gcr/gcr-internal.h                  |    1 +
 gcr/gcr-key-widget.c                |    7 -
 gcr/gcr-pkcs11-importer.c           |  582 ++++++++++++++++++
 gcr/gcr-pkcs11-importer.h           |   68 +++
 gcr/gcr-record.h                    |   11 +
 gcr/gcr.symbols                     |   14 -
 25 files changed, 1476 insertions(+), 979 deletions(-)

commit 10e13e6d09e77d3bfde7a9d1b45b87893c0111a9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-20

    gcr: Add Renderer for Gnupg keys
    
     * Uses the colon style GcrRecord data to render gnupg key.

 docs/reference/gcr/gcr-sections.txt |   10 +
 gcr/Makefile.am                     |    6 +
 gcr/gcr-gnupg-collection.c          |    5 +-
 gcr/gcr-gnupg-key.c                 |  127 +-----
 gcr/gcr-gnupg-key.h                 |    4 -
 gcr/gcr-gnupg-records.c             |  244 ++++++++++
 gcr/gcr-gnupg-records.h             |   52 +++
 gcr/gcr-gnupg-renderer.c            |  852 +++++++++++++++++++++++++++++++++++
 gcr/gcr-gnupg-renderer.h            |   77 ++++
 gcr/gcr-openpgp.c                   |   55 ++-
 gcr/gcr-openpgp.h                   |    8 +
 gcr/gcr-parser.c                    |   20 +-
 gcr/gcr-record.c                    |  150 ++++---
 gcr/gcr-record.h                    |   33 +-
 gcr/gcr-renderer.c                  |    2 +
 gcr/gcr-types.h                     |   10 +
 gcr/tests/test-gnupg-collection.c   |    2 +-
 gcr/tests/test-gnupg-key.c          |    3 +-
 gcr/tests/test-openpgp.c            |   16 +
 gcr/tests/test-record.c             |    4 +-
 20 files changed, 1438 insertions(+), 242 deletions(-)

commit 967e6356ddb2b68c4bfde66525790f7cb4739d04
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-16

    gcr: Implement parsing of openpgp packet contents into records.
    
     * Also centralize our timegm() implementation for dumb OS's.
     * Add tests for openpgp packet parsing
     * Produces with-colons format in the gnupg style, slight differences
       but not incompatible.

 docs/reference/gcr/gcr-sections.txt |   10 +
 egg/Makefile.am                     |    1 +
 egg/egg-asn1x.c                     |   31 +-
 egg/egg-timegm.c                    |   58 ++
 egg/egg-timegm.h                    |   33 +
 gck/gck-slot.c                      |   35 +-
 gcr/gcr-gnupg-collection.c          |    2 +-
 gcr/gcr-gnupg-key.c                 |    4 +-
 gcr/gcr-gnupg-util.c                |   59 +--
 gcr/gcr-openpgp.c                   | 1125 ++++++++++++++++++++++++++++++++++-
 gcr/gcr-openpgp.h                   |    9 +
 gcr/gcr-parser.c                    |    4 +-
 gcr/gcr-record.c                    |  611 ++++++++++++++++++--
 gcr/gcr-record.h                    |  142 ++++-
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/files/secring.gpg         |  Bin 0 -> 4398 bytes
 gcr/tests/frob-openpgp.c            |  122 ++++
 gcr/tests/test-openpgp.c            |  270 ++++++++-
 gcr/tests/test-record.c             |   22 -
 19 files changed, 2306 insertions(+), 233 deletions(-)

commit 90a5361c4886de91e50228cb1a6e3e51cbfac2a1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-14

    gcr: Implement input for GcrGnupgProcess
    
     * Use io streams for input and output

 docs/reference/gcr/gcr-sections.txt               |    9 +
 gcr/Makefile.am                                   |    1 +
 gcr/gcr-callback-output-stream.c                  |  127 +++++++
 gcr/gcr-callback-output-stream.h                  |   58 ++++
 gcr/gcr-gnupg-collection.c                        |   54 ++--
 gcr/gcr-gnupg-process.c                           |  373 +++++++++++++++++----
 gcr/gcr-gnupg-process.h                           |   19 +-
 gcr/tests/files/gnupg-mock/mock-arguments-environ |    2 +-
 gcr/tests/files/gnupg-mock/mock-echo              |    8 +
 gcr/tests/test-gnupg-process.c                    |  148 +++++++--
 10 files changed, 665 insertions(+), 134 deletions(-)

commit a59215f1766e8f970043973847a1af2ab97b2341
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-14

    gcr: GcrParser now reports current format for block parsed
    
     * The current format represents the inner most block
     * Refactor GcrParser so that we can accurately track the state of
       the parsed items when multiple functions contribute to that state.

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/gcr-base.symbols                |    1 +
 gcr/gcr-parser.c                    |  646 +++++++++++++++++++++--------------
 gcr/gcr-parser.h                    |    8 +-
 gcr/gcr-types.h                     |    3 +-
 gcr/tests/test-parser.c             |    9 +-
 6 files changed, 401 insertions(+), 267 deletions(-)

commit 8368e7e9f60a4a0f6f7a1d2175f24ba02b1b7521
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-13

    gcr: Implement recognizing of OpenPGP packets
    
     * Doesn't actually parse keys or anything else about OpenPGP (yet).
     * Generalize the PEM code so that it works for PGP armor.

 docs/reference/gcr/gcr-sections.txt |    1 +
 egg/Makefile.am                     |    1 +
 egg/egg-armor.c                     |  407 +++++++++++++++++++++++++++++++++++
 egg/egg-armor.h                     |   50 +++++
 egg/egg-openssl.c                   |  350 ------------------------------
 egg/egg-openssl.h                   |   18 --
 egg/tests/test-openssl.c            |   17 +-
 gcr/Makefile.am                     |    1 +
 gcr/gcr-certificate-exporter.c      |    7 +-
 gcr/gcr-openpgp.c                   |  226 +++++++++++++++++++
 gcr/gcr-openpgp.h                   |   49 +++++
 gcr/gcr-parser.c                    |   83 ++++++-
 gcr/gcr-types.h                     |    3 +
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/files/pubring.gpg         |  Bin 0 -> 21969 bytes
 gcr/tests/files/werner-koch.asc     |   71 ++++++
 gcr/tests/test-openpgp.c            |   94 ++++++++
 17 files changed, 989 insertions(+), 390 deletions(-)

commit 3b76bda50a43a7315e2c8c66bbf9a7d2304cbf73
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-13

    gcr: Implement OpenSSH public key parser
    
     * And add tests for various formats.

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/Makefile.am                     |    1 +
 gcr/gcr-internal.h                  |    3 +
 gcr/gcr-live-search.c               |   19 ++-
 gcr/gcr-openssh.c                   |  491 +++++++++++++++++++++++++++++++++++
 gcr/gcr-openssh.h                   |   51 ++++
 gcr/gcr-parser.c                    |  108 +++++++--
 gcr/gcr-types.h                     |    2 +
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/files/openssh_keys.pub    |    2 +
 gcr/tests/test-openssh.c            |  196 ++++++++++++++
 testing/ssh-example/README          |    1 +
 testing/ssh-example/id_dsa          |   15 +
 testing/ssh-example/id_dsa.pub      |    1 +
 testing/ssh-example/id_rsa          |   30 +++
 testing/ssh-example/id_rsa.pub      |    1 +
 testing/ssh-example/identity        |  Bin 0 -> 988 bytes
 testing/ssh-example/identity.pub    |    1 +
 18 files changed, 907 insertions(+), 17 deletions(-)

commit 08c238dcd77bd645d216c8e7c6e4bbc68c1a7b80
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    egg: Add decoder for decimal data, analogous to the hex decoder.

 egg/Makefile.am          |    1 +
 egg/egg-decimal.c        |  101 ++++++++++++++++++++++++++++++++++
 egg/egg-decimal.h        |   33 +++++++++++
 egg/tests/Makefile.am    |    1 +
 egg/tests/test-decimal.c |  136 ++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 272 insertions(+), 0 deletions(-)

commit 5658fca73b9783b08949fca8db984c1e1436503a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Remove stock icon code, add gcr_icon_for_token_info()
    
     * gcr-icons.h is public
     * Remove old stock icon code, and use themed icons properly
     * Add gcr_icon_for_token_info() function which looks up an
       appropriate icon for a token.

 gcr/Makefile.am                |    1 +
 gcr/gcr-base.h                 |    1 +
 gcr/gcr-certificate-renderer.c |    1 -
 gcr/gcr-failure-renderer.c     |    2 -
 gcr/gcr-icons.c                |   70 +++++++--------------------------------
 gcr/gcr-icons.h                |    7 +++-
 gcr/gcr-key-renderer.c         |    2 -
 gcr/gcr-unlock-renderer.c      |    2 -
 8 files changed, 20 insertions(+), 66 deletions(-)

commit 00f5efb6f9dc9508153ee280d1c582f62e858a87
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-27

    gcr: Compatiblity fix for glib 2.28.x

 gcr/gcr-library.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 01696f02e22e1359c6c63f46993188f6d2638e60
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-23

    gcr: Add icons for smart card
    
     * Copy a bit of infrastructure from gnome-icon-theme
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659951

 gcr/icons/16x16/Makefile.am          |    1 +
 gcr/icons/16x16/gcr-smart-card.png   |  Bin 0 -> 509 bytes
 gcr/icons/22x22/Makefile.am          |    1 +
 gcr/icons/22x22/gcr-smart-card.png   |  Bin 0 -> 662 bytes
 gcr/icons/24x24/Makefile.am          |    1 +
 gcr/icons/24x24/gcr-smart-card.png   |  Bin 0 -> 636 bytes
 gcr/icons/256x256/Makefile.am        |    9 +
 gcr/icons/256x256/gcr-smart-card.png |  Bin 0 -> 9294 bytes
 gcr/icons/32x32/Makefile.am          |    1 +
 gcr/icons/32x32/gcr-smart-card.png   |  Bin 0 -> 1093 bytes
 gcr/icons/48x48/Makefile.am          |    1 +
 gcr/icons/48x48/gcr-smart-card.png   |  Bin 0 -> 1684 bytes
 gcr/icons/Makefile.am                |    9 +-
 gcr/icons/render-icons.py            |  174 +++++
 gcr/icons/src/gcr-smart-card.svg     | 1165 ++++++++++++++++++++++++++++++++++
 15 files changed, 1361 insertions(+), 1 deletions(-)

commit 48767fcff6d008622561f2d8a7cc9191167139f3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    gcr: Fix for more glib deprecations

 gcr/gcr-library.c         |    2 +-
 gcr/gcr-live-search.c     |   10 ++++------
 gcr/gcr-unlock-renderer.c |    2 +-
 3 files changed, 6 insertions(+), 8 deletions(-)

commit 76add73aa3a11b073aaec400021c870fee8858f9
Merge: 8a0c332 c9298e5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Merge branch 'introspect-nodes'

commit 8a0c332bc6f853fa39f889b666ff291e0465f054
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Rework configure build options based on recent mailing list posts
    
     * --enable-strict to enable -Werror, fatal warnings and disable
       deprecations
     * --disable-debug to G_DISABLE_ASSERT
     * default debug for -g, WITH_DEBUG
     * --enable-debug to -OO

 egg/Makefile.am |    8 +-------
 gck/Makefile.am |   12 ++----------
 gcr/Makefile.am |   12 ++----------
 3 files changed, 5 insertions(+), 27 deletions(-)

commit c9298e5229b6561fe86459d7bbe5afc9b42e4a88
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Split the gcr library into base and ui components.
    
     * Different pkg-config files gcr-3.pc and gcr-base-3.pc
     * The base library doesn't link to GTK+ or anything that
       is used in the UI. It can be used by non-ui programs.

 gcr/Makefile.am                     |  177 ++++++++++++++++++++++-------------
 gcr/gcr-base.h                      |   51 ++++++++++
 gcr/gcr-base.pc.in                  |   16 +++
 gcr/gcr-base.symbols                |  110 ++++++++++++++++++++++
 gcr/gcr-certificate-chain.h         |    5 +-
 gcr/gcr-certificate-exporter.h      |    4 +-
 gcr/gcr-certificate-extensions.h    |    4 +-
 gcr/gcr-certificate-renderer.h      |    4 +-
 gcr/gcr-certificate-widget.h        |    4 +-
 gcr/gcr-certificate.h               |    4 +-
 gcr/gcr-combo-selector.c            |    2 -
 gcr/gcr-deprecated-base.h           |   49 ++++++++++
 gcr/gcr-deprecated.h                |   27 ++----
 gcr/gcr-enum-types.c.template       |   10 ++-
 gcr/gcr-enum-types.h.template       |    2 +-
 gcr/gcr-failure-renderer.h          |    4 +-
 gcr/gcr-gnupg-collection.h          |    2 +-
 gcr/gcr-gnupg-key.c                 |    1 -
 gcr/gcr-gnupg-key.h                 |    5 +-
 gcr/gcr-gnupg-process.h             |    2 +-
 gcr/gcr-gnupg-util.h                |    4 +-
 gcr/gcr-import-dialog.c             |    2 -
 gcr/gcr-importer.c                  |    2 -
 gcr/gcr-importer.h                  |    4 +-
 gcr/gcr-key-renderer.h              |    4 +-
 gcr/gcr-key-widget.h                |    4 +-
 gcr/gcr-library.c                   |   73 +--------------
 gcr/gcr-library.h                   |    4 +-
 gcr/gcr-list-selector.c             |    2 -
 gcr/gcr-memory.c                    |   92 ++++++++++++++++++
 gcr/gcr-parser.h                    |    4 +-
 gcr/gcr-pkcs11-certificate.h        |    4 +-
 gcr/gcr-record.h                    |    4 +-
 gcr/gcr-simple-certificate.h        |    6 +-
 gcr/gcr-simple-collection.c         |    3 +-
 gcr/gcr-simple-collection.h         |    2 +-
 gcr/gcr-tree-selector.c             |    2 -
 gcr/gcr-trust.c                     |    2 +-
 gcr/gcr-trust.h                     |    4 +-
 gcr/gcr-types.h                     |    4 +-
 gcr/gcr-union-collection.h          |    2 +-
 gcr/gcr-unlock-options-widget.h     |    4 +-
 gcr/gcr-unlock-renderer.h           |    4 +-
 gcr/gcr.h                           |   16 +---
 gcr/gcr.pc.in                       |    2 +-
 gcr/gcr.symbols                     |  106 ---------------------
 gcr/tests/frob-parser.c             |    6 +-
 gcr/tests/test-certificate-chain.c  |    2 +-
 gcr/tests/test-certificate.c        |    2 +-
 gcr/tests/test-fingerprint.c        |    2 +-
 gcr/tests/test-gnupg-collection.c   |    2 +-
 gcr/tests/test-gnupg-process.c      |    2 +-
 gcr/tests/test-parser.c             |    2 +-
 gcr/tests/test-pkcs11-certificate.c |    2 +-
 gcr/tests/test-simple-certificate.c |    2 +-
 gcr/tests/test-trust.c              |    2 +-
 gcr/tests/test-util.c               |    2 +-
 57 files changed, 514 insertions(+), 355 deletions(-)

commit 500619f616b102e9a401f96cca95ee67ba947dc5
Merge: c35a400 7ae4cd1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Merge branch 'gnome-3-2'

commit c35a40040233acaa177709cd0832e41ea6f04a36
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-21

    Update symbols files for recently added API.

 gck/gck.symbols |    2 ++
 gcr/gcr.symbols |    9 +++++++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit d230dc529061462cc7b1f7c5297d6e44da024e1a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-19

    Fix pkcs11 related pkg-config variables and build output.
    
     * These were accidentally missed in earlier commits related
       to p11-kit 0.6

 gcr/gcr.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bb10e659e8b855ad47a861c5b03465214fb3d560
Merge: 73a1ad7 efcf16d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-19

    Merge branch 'track-memory'

commit 73a1ad763b81774e3f423cb77054bdeeda5f821d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-19

    gck: Documentation fix

 docs/reference/gck/gck-sections.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0d1929b7a79dd619f4ace02444b51b7315d42283
Merge: 7ae4cd1 c7b1d28
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-19

    Merge branch 'sort-values'

commit 7ae4cd1bbbe2b12abac4243f3514565ae3b6b6f4
Author: Bastien Nocera <hadess@hadess.net>
Date:   2011-09-17

    build: Fix parallel compilation
    
    We need to tell Makefile how to generate gcr-oids.h

 gcr/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7b9525b2f1f0904698f80a8c2c6962d758829495
Author: Andre Klapper <a9016009@gmx.de>
Date:   2011-09-13

    Change online URL from library.g.o to developer.g.o

 docs/reference/gck/gck-docs.sgml |    4 ++--
 docs/reference/gcr/gcr-docs.sgml |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 0b1557f7da4f6688abb96c50f374435e73962967
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    gcr: Accept slightly invalid PKCS#12 files
    
     * In particular when the order of a SET OF is incorrect as is generated
       by certain implementations.
     * Revert cbecc802e8cf5803aac9fbd3c546b539773220b2 since this fix was
       wrong.
     * Add egg_asn1x_decode_no_validate() so that callers can validate on
       their own and specify validation options.

 egg/egg-asn1x.c  |   70 +++++++++++++++++++++++++++++++++++------------------
 egg/egg-asn1x.h  |    7 ++++-
 gcr/gcr-parser.c |   58 +++++++++++++++++++++++++++++++++++++++-----
 3 files changed, 103 insertions(+), 32 deletions(-)

commit 483ef5a82cd2a1834737c506e85031d26b719557
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    gcr: Verify PKCS#12 MAC
    
     * This also has the nice effect of sanifying the prompting for unlock
       passwords for PKCS#12 file, since it's done by the parser before
       looking inside the various parts of the file.

 egg/egg-symkey.c |  138 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 egg/egg-symkey.h |   16 ++++++
 gcr/gcr-parser.c |   96 ++++++++++++++++++++++++++++++++++++--
 3 files changed, 246 insertions(+), 4 deletions(-)

commit d3933248a820ed1ce4629c3a0440223597f3a1a4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    gcr: Fix memory leak while parsing PKCS#8 encrypted keys.

 gcr/gcr-parser.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 878fa9700c48a2b842873e39de87bb69b04d5993
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    egg: Fix issue generating PKCS#12 symkey from password
    
     * If the key needed was longer than the hash size we would
       generate the incorrect key.
     * Right align the calculated number correctly in the buffer

 egg/egg-symkey.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 529322d79ee708de3d24619a7b491600bad9cb64
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-12

    egg: Fix ASN.1 issues validating order of SETOF
    
     * Compare just the value, rather than the entire TLV
     * This fixes some corner cases parsing PKCS#12 files

 egg/egg-asn1x.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit efcf16d64440d668a56efdb446c725339e072f89
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-14

    Secure memory tagging
    
     * Tag all secure memory with strings, and print out diagnostic
       report of what's in use, upon request.

 egg/egg-dh.c            |    2 +
 egg/egg-entry-buffer.c  |    2 +
 egg/egg-libgcrypt.c     |    2 +
 egg/egg-openssl.c       |    2 +
 egg/egg-secure-memory.c |  269 ++++++++++++++++++++++++++++++-----------------
 egg/egg-secure-memory.h |   31 ++++--
 egg/egg-symkey.c        |    2 +
 egg/tests/test-secmem.c |   20 ++--
 gcr/gcr-parser.c        |    2 +
 9 files changed, 218 insertions(+), 114 deletions(-)

commit d2181a276b1a1fbeedad1f27b7f49074105eaaec
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-10

    Fix typo in GcrUnlockRenderer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658668

 gcr/gcr-unlock-renderer.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c7b1d28d5b933210855e8aefcb44e9b7db2003ad
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    gck: Add functions for matching uri to modules and tokens

 docs/reference/gck/gck-sections.txt |    2 +
 gck/gck-module.c                    |   31 ++++++++++++++++++++++++++++
 gck/gck-slot.c                      |   38 +++++++++++++++++++++++++++++++++++
 gck/gck.h                           |   14 +++++++++++-
 4 files changed, 83 insertions(+), 2 deletions(-)

commit 2a73924b070044ceb9e600c0daf007f0bddaf65b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    gcr: Add gcr_union_collection_have() and gcr_union_collection_size()
    
     * Used to check wether a collection is part of the union.

 docs/reference/gcr/gcr-sections.txt |    2 ++
 gcr/gcr-union-collection.c          |   34 ++++++++++++++++++++++++++++++++++
 gcr/gcr-union-collection.h          |    5 +++++
 3 files changed, 41 insertions(+), 0 deletions(-)

commit d14a8aff48381ea97e68b7996e1b7bb2f7a923fb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-07

    gcr: Fix extra object reference in gcr_union_collection_take()

 gcr/gcr-union-collection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fa06cfbd780c0a36aa93c85d8fe792ea0883f925
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-07

    gcr: Fix null pointer dereference when finalizing GcrCollectionModel

 gcr/gcr-collection-model.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 949360d644ccc5b4adb1494740968da23ca1e146
Author: Travis Reitter <treitter@gmail.com>
Date:   2011-09-06

    gcr: Fix gcr-viewer build errors
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658319

 gcr/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e31176810201a57a60a9eb0a3d0bd0172dcde887
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:   2011-09-06

    gcr: Fix linking of gcr-viewer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658249

 gcr/Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 2faab0712e8ccd7c733454a16e0227536b54f536
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-06

    gcr: Add GcrUnionCollection class
    
     * A GcrCollection which combines the contents of other collections
       into a single collection.

 docs/reference/gcr/gcr-sections.txt |   23 +++-
 gcr/Makefile.am                     |    2 +
 gcr/gcr-collection.c                |    1 +
 gcr/gcr-union-collection.c          |  307 +++++++++++++++++++++++++++++++++++
 gcr/gcr-union-collection.h          |   71 ++++++++
 gcr/gcr.h                           |    1 +
 6 files changed, 403 insertions(+), 2 deletions(-)

commit b620c6b1ac741477afeaefc22aef2b54dde05f92
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    gcr: gcr_collection_model_set_columns() now returns number of columns
    
     * Return the number of real columns added (not including the
       possible selected column).
     * Fix several crashers in GcrCollectionModel as well.

 gcr/gcr-collection-model.c |   23 +++++++++++++++++------
 gcr/gcr-collection-model.h |    2 +-
 2 files changed, 18 insertions(+), 7 deletions(-)

commit 185ab819dea0a3e4bc57ac12bcd5f0e0a4e243ea
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    gcr: Add gcr_collection_model_get_collection()
    
     * A way to get the collection that collection model is based on.

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/gcr-collection-model.c          |   15 +++++++++++++++
 gcr/gcr-collection-model.h          |    2 ++
 3 files changed, 18 insertions(+), 0 deletions(-)

commit ac4a4fbe2ef99be613ad5e5aadf70a7ed8afee72
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    gcr: Add gcr_collection_contains() as a virtual interface method.
    
     * And deprecate gcr_simple_collection_contains()
     * This is because this method is hard to implement at a higher layer
       efficiently, and the collection itself needs to get involved.

 docs/reference/gcr/gcr-sections.txt |    5 +++--
 gcr/gcr-collection.c                |   18 ++++++++++++++++++
 gcr/gcr-collection.h                |   10 ++++++++--
 gcr/gcr-deprecated.h                |    4 ++++
 gcr/gcr-gnupg-collection.c          |   17 +++++++++++++++++
 gcr/gcr-simple-collection.c         |   14 +++++++++++++-
 gcr/gcr-simple-collection.h         |    3 ---
 7 files changed, 63 insertions(+), 8 deletions(-)

commit 85ec938827fa390350d74a6c40d5e7ef3f03dc02
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    gcr: Add support for GcrCollectionModel to have child rows
    
     * A child row is represented by an object that implements the
       GcrCollection

 gcr/gcr-collection-model.c     |  569 +++++++++++++++++++++++++++-------------
 gcr/gcr-collection-model.h     |    7 -
 gcr/tests/frob-tree-selector.c |  114 ++++++++-
 3 files changed, 498 insertions(+), 192 deletions(-)

commit e66d7d8c5b77fcb9bddef0ad8aecae1872c6fd02
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    gcr: Add GtkTreeSortable interface to GcrCollectionModel
    
     * Can now sort based on values, which simplifies callers of
       GcrCollectionModel.
     * Needed for use in seahorse.

 gcr/gcr-collection-model.c     |  482 +++++++++++++++++++++++++++++++++++++---
 gcr/gcr-collection-model.h     |    7 +
 gcr/gcr-tree-selector.c        |  103 +---------
 gcr/tests/frob-tree-selector.c |    4 +-
 4 files changed, 460 insertions(+), 136 deletions(-)

commit bd846bd1d8a4d3c3f8c5c915af1fdbac45dee86a
Author: Kalev Lember <kalevlember@gmail.com>
Date:   2011-08-31

    gcr: Don't update the MIME database if DESTDIR is set
    
    This way the configure defaults work for binary distributions and they
    don't need to pass --disable-update-mime to configure.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657871

 gcr/Makefile.am |   24 +++++++++++++-----------
 1 files changed, 13 insertions(+), 11 deletions(-)

commit 24cb6dc2cdddf776453dad65d87bd65661a4a569
Author: Frédéric Péters <fpeters@0d.be>
Date:   2011-09-04

    build: install gcr-viewer-window.h header file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658147

 gcr/Makefile.am |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 319bfbf6f2590ca5606daca93acf42c56264d090
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    gcr: Stop parsing PKCS#12 bag if locked
    
     * This allows GcrUnlockRenderer to work correctly for certain
       types of PKCS#12 files it was screwing up on before.

 gcr/gcr-parser.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 81317e80d803d1d6984a74eb3f85eb51e8c23d6e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    gcr: Proper flags for GcrColumnFlags
    
     * Include GCR_COLUMN_NONE
     * Use << instead of hex numbers

 gcr/gcr-column.c |    1 +
 gcr/gcr-column.h |    7 ++++---
 2 files changed, 5 insertions(+), 3 deletions(-)

commit a6886d3eaf189131be4f5b6202e422b03ae88a1f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-01

    gcr: Add support for getting friendly name out of a PKCS#12 file.

 egg/egg-asn1x.c   |   19 +++++++++++++++++++
 egg/egg-asn1x.h   |    2 ++
 gcr/gcr-oids.list |    3 +++
 gcr/gcr-parser.c  |   52 +++++++++++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 71 insertions(+), 5 deletions(-)

commit 46b743d63926e8171e6bca56a7365bb3fce3d9db
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-01

    gcr: Support multiple items inside a PKCS#12 bag.
    
     * This is how (at least) openssl sends along additional certs in
       a PKCS#12 file.
     * Create a new file personal.p12 to test this.

 gcr/gcr-parser.c                         |   13 ++++---------
 gcr/tests/files/personal.p12             |  Bin 0 -> 3396 bytes
 testing/ca-example/certs/personal.crt    |   16 ++++++++++++++++
 testing/ca-example/certs/personal.p12    |  Bin 0 -> 3396 bytes
 testing/ca-example/commands.txt          |   17 +++++++++++++++--
 testing/ca-example/keys/personal.key     |   30 ++++++++++++++++++++++++++++++
 testing/ca-example/requests/personal.req |   15 +++++++++++++++
 testing/ca-example/serial.txt            |    2 +-
 8 files changed, 81 insertions(+), 12 deletions(-)

commit cbbe6b8f97ccab00d79aa24b8cd18a633ab4762e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-01

    gcr: Use place holder text in viewer unlock prompt.
    
     * Displays 'Password' in the box where the user types the password.

 gcr/gcr-unlock-renderer.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 79e9e7eaf04f0ffe66e99812a51ca2af73af86d0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-01

    gcr: Documentation, testing and distcheck fixes
    
     * Update symbols for new APIs
     * Update docs with new APIs
     * Change how tests find fixture files.

 docs/reference/gcr/Makefile.am      |    2 +
 docs/reference/gcr/gcr-sections.txt |    1 +
 egg/egg-testing.c                   |   21 --------------
 egg/egg-testing.h                   |    2 -
 egg/tests/Makefile.am               |    2 +-
 egg/tests/test-asn1x.c              |    2 -
 egg/tests/test-openssl.c            |    1 -
 gck/Makefile.am                     |    3 +-
 gck/gck.symbols                     |    1 +
 gck/tests/Makefile.am               |    2 +-
 gcr/gcr-parser.c                    |    7 +---
 gcr/gcr.symbols                     |    2 +
 gcr/tests/Makefile.am               |    2 +-
 gcr/tests/frob-certificate.c        |   27 +-----------------
 gcr/tests/frob-combo-selector.c     |   22 ---------------
 gcr/tests/frob-key.c                |   27 +-----------------
 gcr/tests/frob-tree-selector.c      |   22 ---------------
 gcr/tests/frob-unlock-options.c     |   22 ---------------
 gcr/tests/test-fingerprint.c        |   51 +++++++++++++++++++---------------
 gcr/tests/test-gnupg-collection.c   |   12 +-------
 gcr/tests/test-gnupg-process.c      |   19 ++-----------
 21 files changed, 49 insertions(+), 201 deletions(-)

commit d6cbd89863a56b629556ab2f6a45231db1efcd54
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gcr: Expose correct outer block for PEM in GcrParser

 gcr/gcr-parser.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 6d3309d99045be7c49dfaeaa3d6fe518e85bc449
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    egg: Make OpenSSL PEM routines return outer block as well.
    
     * We expose this in GcrParser so that we can reparse a block that needs
       a password.

 egg/egg-openssl.c        |   32 +++++++++++++++++++++++++++-----
 egg/egg-openssl.h        |    9 +++++++--
 egg/tests/test-openssl.c |    9 +++++++--
 gcr/gcr-parser.c         |    9 +++++++--
 4 files changed, 48 insertions(+), 11 deletions(-)

commit 89c2508f94af7aff8fb6f6ea135baa0f8dc9de84
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gcr: Display errors in the gcr-viewer
    
     * Add GcrFailureRenderer which shows errors with reason and icon

 gcr/Makefile.am            |    1 +
 gcr/gcr-failure-renderer.c |  209 ++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-failure-renderer.h |   68 ++++++++++++++
 gcr/gcr-viewer-window.c    |   32 ++++---
 4 files changed, 297 insertions(+), 13 deletions(-)

commit 01d9b05bba8be349478a582a6798185cf6682f9e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gcr: Add support for unlocking files in gcr-viewer
    
     * Add a GcrRenderer which displays unlock widgets
     * Add method to GcrViewer which allows insertion of renderer before another
     * Functionality in GcrDisplayView for showing dialog like widgets in view
     * Fixes for removing renderer from view
     * Parser fixes for enabling all formats
     * Parser fixes for PKCS#12 parsing with locked data

 gcr/Makefile.am            |    1 +
 gcr/gcr-display-scrolled.c |   10 ++
 gcr/gcr-display-view.c     |  141 ++++++++++++++---
 gcr/gcr-display-view.h     |    4 +
 gcr/gcr-parser.c           |   39 +++--
 gcr/gcr-unlock-renderer.c  |  368 ++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-unlock-renderer.h  |   69 ++++++++
 gcr/gcr-viewer-window.c    |  125 ++++++++++++++-
 gcr/gcr-viewer.c           |   56 +++++---
 gcr/gcr-viewer.h           |   27 +++-
 gcr/gcr.h                  |    1 +
 gcr/tests/Makefile.am      |    3 +-
 gcr/tests/frob-unlock.c    |  111 +++++++++++++
 13 files changed, 882 insertions(+), 73 deletions(-)

commit 2545fe9737dae4bea08687363feb1233e5a9f09c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: Support get surrounding data block from GcrParser
    
     * This is needed for importing parsed data into other places
       than PKCS#11 tokens.
     * Going to use this in seahorse.

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/gcr-parser.c                    |   84 +++++++++++++++++++++++++++++------
 gcr/gcr-parser.h                    |    3 +
 gcr/tests/test-parser.c             |   27 +++++++++++
 4 files changed, 101 insertions(+), 14 deletions(-)

commit 4d786ed2a27d04551afa796eb5421883592bf6c8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: Test GcrParser with null and empty data

 gcr/gcr-parser.c        |   22 ++++++++++++----------
 gcr/tests/test-parser.c |   33 +++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 10 deletions(-)

commit 0483d81b97f1c461192716891647c2cf36004fc0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: Refactor the parser tests
    
     * Make one test per file, and give them descriptive names.
     * Make the tests quieter as well.

 gcr/tests/test-parser.c |   83 ++++++++++++++++++++++++++++------------------
 1 files changed, 50 insertions(+), 33 deletions(-)

commit 6770c9f5250ddf697b5bd8866f5a70b93d072623
Author: Friedel Wolff <friedel@translate.org.za>
Date:   2011-08-31

    Typo in translatable string
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656599

 gck/gck-uri.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 66504010c3b34229ce92b67c92c429c162c9b2a6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gck: Fix tests for new PKCS#11 URI revesion
    
     * Some of the attribute names changed to include dashes

 gck/tests/test-gck-uri.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit b2f6cbaa8ab8259ece2e779d6b0d10497fdfbe48
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gck: Add gck_modules_tokens_for_uri() function
    
     * Returns multilpe tokens matching a URI
     * We use this when looking up the trust slots

 docs/reference/gck/gck-sections.txt |    1 +
 gck/gck-modules.c                   |   80 ++++++++++++++++++++++++++--------
 gcr/gcr-library.c                   |    7 +--
 3 files changed, 64 insertions(+), 24 deletions(-)

commit fed0206792938444a457c928bb1e6ee333a81e8c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-31

    gck: Add debug output to GckEnumerator and bits of GckSession
    
     * Also fix up Gcr debugging
     * And add debugging to trust stuff.

 docs/reference/gck/Makefile.am |    4 +-
 gck/Makefile.am                |    2 +
 gck/gck-attributes.c           |  350 ++++++++++++++++++++++++++++++++++++++++
 gck/gck-debug.c                |  109 +++++++++++++
 gck/gck-debug.h                |   86 ++++++++++
 gck/gck-enumerator.c           |   70 +++++++--
 gck/gck-misc.c                 |   97 +++++++++++
 gck/gck-private.h              |    4 +
 gck/gck-session.c              |   27 +++-
 gck/gck.h                      |    4 +
 gck/pkcs11-trust-assertions.h  |   56 +++++++
 gcr/Makefile.am                |    3 +-
 gcr/gcr-debug.c                |    1 +
 gcr/gcr-debug.h                |    3 +-
 gcr/gcr-trust.c                |    8 +
 15 files changed, 808 insertions(+), 16 deletions(-)

commit fae3191a62a6471893ccad979dfb0282c9cd6459
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    gcr: Fix library initialization bugs, and add some debug statements.
    
     * Fix problems loading trust URIS and initializing modules.
     * Better debug output about library initialization.

 gcr/gcr-debug.c   |    1 +
 gcr/gcr-library.c |   53 ++++++++++++++++++++++++++++++++++++++++++++---------
 2 files changed, 45 insertions(+), 9 deletions(-)

commit 6d46370fe0d0216cf4a048228e827a1f29930987
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Fix compile warnings when building with --disable-debug

 egg/egg-asn1x.c                |    4 +---
 egg/egg-secure-memory.c        |    4 ++++
 gcr/gcr-certificate-renderer.c |    2 +-
 gcr/gcr-parser.c               |    2 +-
 4 files changed, 7 insertions(+), 5 deletions(-)

commit d4fe26de576b8815169df2f5eb37b6c8e70ba204
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    gcr: Fix up GcrViewerWindow documentation

 docs/reference/gcr/gcr-sections.txt |   18 +++++++++++++++++
 gcr/gcr-viewer-window.c             |   36 +++++++++++++++++++++++++++++++++++
 gcr/gcr-viewer-window.h             |    2 +
 3 files changed, 56 insertions(+), 0 deletions(-)

commit af8fa5521bddd9baf36b18e67f779b52c372098f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Release 3.1.90
    
     * Fix build issues to do with mime database
     * Fix testing issues in pkcs11 trust assertion database
     * Fix distribution issues.

 gcr/Makefile.am |    5 +++--
 gcr/gcr.symbols |    4 ++++
 2 files changed, 7 insertions(+), 2 deletions(-)

commit b1fb128fe568a2e7560868e3a49452da514cca65
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-22

    gcr: Add better xdg-mime files for identifying crypto related file types
    
     * Add hook up gcr-viewer to view most of those types.
     * Rename test file extensions to match the proper ones

 gcr/Makefile.am                                |   31 +++++
 gcr/gcr-crypto-types.xml                       |  151 ++++++++++++++++++++++++
 gcr/gcr-viewer.desktop.in.in                   |   10 ++
 gcr/tests/files/der-key-PBE-MD5-DES.p8         |  Bin 0 -> 677 bytes
 gcr/tests/files/der-key-PBE-SHA1-3DES.p8       |  Bin 0 -> 678 bytes
 gcr/tests/files/der-key-PBE-SHA1-DES.p8        |  Bin 0 -> 677 bytes
 gcr/tests/files/der-key-PBE-SHA1-RC2-40.p8     |  Bin 0 -> 678 bytes
 gcr/tests/files/der-key-PBE-SHA1-RC4-128.p8    |  Bin 0 -> 673 bytes
 gcr/tests/files/der-key-dsa.p8                 |  Bin 0 -> 335 bytes
 gcr/tests/files/der-key-encrypted-pkcs5.p8     |  Bin 0 -> 677 bytes
 gcr/tests/files/der-key-v2-des.p8              |  Bin 0 -> 711 bytes
 gcr/tests/files/der-key-v2-des3.p8             |  Bin 0 -> 714 bytes
 gcr/tests/files/der-key.p8                     |  Bin 0 -> 635 bytes
 gcr/tests/files/der-pkcs8-PBE-MD5-DES.key      |  Bin 677 -> 0 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-3DES.key    |  Bin 678 -> 0 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-DES.key     |  Bin 677 -> 0 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-RC2-40.key  |  Bin 678 -> 0 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-RC4-128.key |  Bin 673 -> 0 bytes
 gcr/tests/files/der-pkcs8-dsa.key              |  Bin 335 -> 0 bytes
 gcr/tests/files/der-pkcs8-encrypted-pkcs5.key  |  Bin 677 -> 0 bytes
 gcr/tests/files/der-pkcs8-v2-des.key           |  Bin 711 -> 0 bytes
 gcr/tests/files/der-pkcs8-v2-des3.key          |  Bin 714 -> 0 bytes
 gcr/tests/files/der-pkcs8.key                  |  Bin 635 -> 0 bytes
 23 files changed, 192 insertions(+), 0 deletions(-)

commit 6310b35bac3bbe5db903e2bb962219fdca7fe992
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-22

    gcr: Fix up GcrDisplayView bugs and look
    
     * Separators between items.
     * Clicking details doesn't remove items when more than one
       is displayed.
     * Better spacing.

 gcr/gcr-certificate-renderer.c |    7 +-
 gcr/gcr-display-view.c         |  191 ++++++++++++++++++++++++++++++++--------
 gcr/gcr-display-view.h         |    5 +-
 gcr/gcr-key-renderer.c         |    9 ++-
 4 files changed, 171 insertions(+), 41 deletions(-)

commit c2fa32ba872fb25ca6bbdf95751427801bfd060b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-31

    Add function for registering well known renderers.
    
    Renderers for certificates and keys are registered.

 gcr/gcr-renderer.c |   12 ++++++++++++
 gcr/gcr-renderer.h |    2 ++
 2 files changed, 14 insertions(+), 0 deletions(-)

commit f0b2e74919d77afc620363e8592e0728c102974e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-25

    Implement basic little viewer window.
    
    Doesn't yet layout correctly, and is pretty plain, but displays
    certificates.

 gcr/Makefile.am         |   15 +++
 gcr/gcr-viewer-tool.c   |  131 ++++++++++++++++++++++++++++
 gcr/gcr-viewer-window.c |  222 +++++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-viewer-window.h |   56 ++++++++++++
 4 files changed, 424 insertions(+), 0 deletions(-)

commit dd40ad5d5d8cb9a280f767e7d9151e12430c31ee
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    Fix up documentation warning.

 docs/reference/gcr/gcr-sections.txt |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a0e70733627ec8c18693664319d476892b17e838
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: Don't initialize pkcs11 modules automatically.
    
    Only load and initialize the pkcs11 modules when they're needed rather
    than when anything in gcr is touched. For starters this is lighter,
    and secondly modules can block while loading.
    
    Add async initialization functions, and treat the initialization
    of PkcS#11 modules as something that can block.

 gcr/gcr-certificate.c        |    2 +-
 gcr/gcr-combo-selector.c     |    2 +-
 gcr/gcr-gnupg-collection.c   |    2 +-
 gcr/gcr-import-dialog.c      |    2 +-
 gcr/gcr-importer.c           |    2 +-
 gcr/gcr-internal.h           |   12 ++-
 gcr/gcr-library.c            |  179 +++++++++++++++++-----
 gcr/gcr-list-selector.c      |    2 +-
 gcr/gcr-parser.c             |    2 +-
 gcr/gcr-pkcs11-certificate.c |   96 +++++++-----
 gcr/gcr-simple-certificate.c |    2 +-
 gcr/gcr-simple-collection.c  |    2 +-
 gcr/gcr-tree-selector.c      |    2 +-
 gcr/gcr-trust.c              |  346 ++++++++++++++++--------------------------
 14 files changed, 353 insertions(+), 300 deletions(-)

commit e0281879af4a2a1f7562690efcdacfe9eb50dc20
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    Don't keep going after tests fail
    
     * Remove -k from gtester arguments

 egg/tests/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 17b8e4548044d49282da453f8dad642ac4e94da3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gck: Cleanup gck API for consistency
    
     * The GCK library is incrementing its major library version number
       this release cycle. So take that advantage to cleanup the API
       a little bit before stable releases.

 gck/gck-module.c                |    4 +++-
 gck/gck-modules.c               |   21 +++++++++++----------
 gck/gck.h                       |    4 +++-
 gck/gck.symbols                 |    9 +++++++--
 gck/tests/test-gck-crypto.c     |    2 +-
 gck/tests/test-gck-enumerator.c |    2 +-
 gck/tests/test-gck-module.c     |    6 +++---
 gck/tests/test-gck-modules.c    |    2 +-
 gck/tests/test-gck-object.c     |    2 +-
 gck/tests/test-gck-session.c    |    2 +-
 gck/tests/test-gck-slot.c       |    2 +-
 gcr/gcr-library.c               |    9 +++++++--
 12 files changed, 40 insertions(+), 25 deletions(-)

commit 127ce4ea00240b51e8ad928f6c5be3fcc3ab5450
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gcr: ABI fixes for gcr library
    
     * The gcr library has not iterated its major version
     * Move deprecated stuff into separate headers
     * Also fix problem with enum-types header.

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/Makefile.am                     |   20 +++++++----
 gcr/gcr-deprecated.h                |   61 +++++++++++++++++++++++++++++++++++
 gcr/gcr-importer.h                  |    9 -----
 gcr/gcr-renderer.c                  |   17 ++++++++++
 gcr/gcr-types.h                     |    8 ----
 gcr/gcr.h                           |    8 +----
 7 files changed, 92 insertions(+), 32 deletions(-)

commit b49cc30e1117e9b35f6c3a988ddb05cf85c0c643
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    Put ABI symbol checks into 'make check'
    
     * We have files in which all public symbols for the gck and gcr
       libraries, and then check these against the linked libraries.
     * Not a panacea for ABI changes, but at least a simple check

 gck/Makefile.am |   26 +++++--
 gck/gck.symbols |  195 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gcr/Makefile.am |   20 +++++-
 gcr/gcr.symbols |  197 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 429 insertions(+), 9 deletions(-)

commit ecd677096ca975f77f1c73d11144ea6f0e4ed17c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    gck: Add async initialization functions.
    
     * PKCS#11 modules can take indeterminate time to initialize
     * Allow initialization in a separate thread

 docs/reference/gck/gck-sections.txt |    8 ++-
 gck/gck-call.c                      |    7 +-
 gck/gck-module.c                    |  150 +++++++++++++++++++++++++++--------
 gck/gck-modules.c                   |  108 +++++++++++++++++++++----
 gck/gck.h                           |   17 ++++-
 gck/tests/Makefile.am               |    2 +-
 gck/tests/test-gck-module.c         |   51 ++++++++++--
 7 files changed, 279 insertions(+), 64 deletions(-)

commit 3191bc099aa05d42bdd994155f141638fb7ca5e3
Merge: 2405fb4 6274dd0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-17

    Merge branch 'parse-other-names'

commit 6274dd09e8d3dd1224efd20160731854aae98d13
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-03

    gcr: Display otherName subject-alt-name for xmppAddr and DNS SRV
    
     * Display the xmppAddr and DNS SRV otherName type subject alt names
       correctly. These are displayed as simple strings.
     * Also fix the critical warning when these were encountered.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655902

 gcr/gcr-certificate-extensions.c |   25 ++++++++++++++++++++++++-
 1 files changed, 24 insertions(+), 1 deletions(-)

commit df082058abb17c971fdd2ba4f8a7efd8833a708d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-03

    gcr: Reorganize how gcr oids are generated
    
     * Use script gcr-mkoids to generate oid quark code.
     * Call _gcr_oids_init() before using any GCR_OID_XXX symbols.

 gcr/Makefile.am                  |    8 +++-
 gcr/gcr-certificate-extensions.c |    3 +
 gcr/gcr-certificate-renderer.c   |   23 +++-------
 gcr/gcr-certificate.c            |   11 ++---
 gcr/gcr-fingerprint.c            |   31 ++------------
 gcr/gcr-mkoids                   |   85 ++++++++++++++++++++++++++++++++++++++
 gcr/gcr-oids.list                |   19 ++++++++
 gcr/gcr-parser.c                 |   55 ++++++++-----------------
 8 files changed, 148 insertions(+), 87 deletions(-)

commit 2405fb4480b42c29331d3043cfbfbcccf9547275
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-27

    schema: Add support for keyservers in o.g.crypto.pgp schema
    
     * This is needed by seahorse's GSettings migration.
     * This keyservers setting is here, because it's a desktop
       wide setting, rather than seahorse specific.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622401

 schema/Makefile.am                             |    3 ++-
 schema/org.gnome.crypto.pgp.gschema.xml        |    5 +++++
 schema/org.gnome.crypto.pgp_keyservers.convert |    2 ++
 3 files changed, 9 insertions(+), 1 deletions(-)

commit 7eba34210e78be2ced21383a110d7ef5fc0a97fc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-25

    Release version 3.1.4
    
     * Include some changes to make comparing symbols easier.
     * Fix some issues that came up when doing make distcheck

 gck/Makefile.am            |    6 ++
 gcr/Makefile.am            |   18 +++--
 gcr/libgcr.symbols         |  183 --------------------------------------------
 gcr/tests/test-gnupg-key.c |    2 +-
 4 files changed, 17 insertions(+), 192 deletions(-)

commit 76acd5cb35c6725a54c27699ed52913774e8178a
Author: Ross Burton <ross@linux.intel.com>
Date:   2011-07-19

    gcr: install the enum headers
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654896

 gcr/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 593b87b4a7bf45bed27947b1ddbcbb777c84bd26
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-18

    gck: Fix PKCS#11 URI documentation.

 gck/gck-uri.c |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit 4f76ec58f2f26b7773f559b47d6e3d3858ad657a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-18

    gcr: Use glib-mkenums to generate types for enums and flags
    
     * And remove manually coded type registration in GcrCertificateChain

 docs/reference/gcr/gcr-sections.txt |    9 +++++++
 gcr/Makefile.am                     |   17 +++++++++++---
 gcr/gcr-certificate-chain.c         |   41 -----------------------------------
 gcr/gcr-certificate-chain.h         |   20 +---------------
 gcr/gcr-enum-types.c.template       |   35 +++++++++++++++++++++++++++++
 gcr/gcr-enum-types.h.template       |   28 +++++++++++++++++++++++
 gcr/gcr.h                           |    2 +
 7 files changed, 89 insertions(+), 63 deletions(-)

commit c84838df247bd1b1d4b25de2a65e504894a12d03
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-18

    Cleanup doc sections a bit.

 docs/reference/gcr/gcr-sections.txt |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 9eb4a70d9cb9febd24bd9d7bf2ad0dd1aeb3138b
Merge: 2b2e921 cc527f8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-18

    Merge branch 'list-selector'

commit 2b2e921ba6508224ed9d7e0e63913c9ce224f310
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    gcr: Better markup for PGP keys.

 gcr/gcr-gnupg-key.c |  107 +++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 100 insertions(+), 7 deletions(-)

commit cc527f893f5eb56337a9853f389d34fa2294eabf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    gcr: Document GcrListSelector

 docs/reference/gcr/Makefile.am              |    7 +++-
 docs/reference/gcr/gcr-docs.sgml            |    1 +
 docs/reference/gcr/gcr-sections.txt         |   20 ++++++++++++++
 docs/reference/gcr/gcr-visual-index.xml     |    3 ++
 docs/reference/gcr/gcr-widgets.c            |   39 +++++++++++++++++++++++++++
 docs/reference/gcr/images/list-selector.png |  Bin 0 -> 10123 bytes
 gcr/gcr-list-selector.c                     |    8 +++--
 7 files changed, 73 insertions(+), 5 deletions(-)

commit aec404d9926ab1636c747fd24ba5c98c82016607
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    gcr: Add the list selector and live search.
    
     * Use live search from Empathy.
     * Selector has [x] boxes next to each object.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654484

 gcr/Makefile.am                 |    3 +
 gcr/gcr-list-selector-private.h |   40 +++
 gcr/gcr-list-selector.c         |  456 +++++++++++++++++++++++++++
 gcr/gcr-list-selector.h         |   73 +++++
 gcr/gcr-live-search.c           |  651 +++++++++++++++++++++++++++++++++++++++
 gcr/gcr-live-search.h           |   85 +++++
 gcr/gcr-marshal.list            |    1 +
 gcr/gcr.h                       |    1 +
 gcr/tests/frob-gnupg-selector.c |   18 +-
 9 files changed, 1324 insertions(+), 4 deletions(-)

commit f614b407f3dfa2ed256eb9ab0b07938512b1a3cd
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    gcr: Better markup for PGP keys.

 gcr/gcr-gnupg-key.c |  104 +++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 97 insertions(+), 7 deletions(-)

commit 6d79a71040933c702f834fa2e0253410a9168e18
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    Fix some distcheck problems

 gcr/tests/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cd568d943fbeed82bcd02102213ff672d6f3985d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    gcr: Update doc images
    
     * And fix some issues with building shooter executable

 docs/reference/gcr/Makefile.am                   |    6 +++---
 docs/reference/gcr/gcr-shooter.c                 |    6 +-----
 docs/reference/gcr/images/certificate-widget.png |  Bin 17514 -> 15090 bytes
 docs/reference/gcr/images/combo-selector.png     |  Bin 7855 -> 7065 bytes
 docs/reference/gcr/images/key-widget.png         |  Bin 8311 -> 10159 bytes
 docs/reference/gcr/images/tree-selector.png      |  Bin 11930 -> 10628 bytes
 6 files changed, 4 insertions(+), 8 deletions(-)

commit 90b6deb471c78b3dfda3ad4f9dbd3e8bd626bf4f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-13

    gcr: Add icons for key and keypair
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651862

 gcr/Makefile.am                  |    2 +-
 gcr/gcr-gnupg-key.c              |    8 +-
 gcr/gcr-icons.c                  |    3 +-
 gcr/gcr-icons.h                  |    3 +-
 gcr/gcr-key-renderer.c           |    2 +-
 gcr/icons/16x16/Makefile.am      |   10 +
 gcr/icons/16x16/gcr-key-pair.png |  Bin 0 -> 878 bytes
 gcr/icons/16x16/gcr-key.png      |  Bin 0 -> 675 bytes
 gcr/icons/22x22/Makefile.am      |    8 +
 gcr/icons/24x24/Makefile.am      |   10 +
 gcr/icons/24x24/gcr-key-pair.png |  Bin 0 -> 1221 bytes
 gcr/icons/24x24/gcr-key.png      |  Bin 0 -> 875 bytes
 gcr/icons/32x32/Makefile.am      |   10 +
 gcr/icons/32x32/gcr-key-pair.png |  Bin 0 -> 1882 bytes
 gcr/icons/32x32/gcr-key.png      |  Bin 0 -> 1201 bytes
 gcr/icons/48x48/Makefile.am      |   10 +
 gcr/icons/48x48/gcr-key-pair.png |  Bin 0 -> 3480 bytes
 gcr/icons/48x48/gcr-key.png      |  Bin 0 -> 2087 bytes
 gcr/icons/Makefile.am            |   13 +
 gcr/icons/key-and-keypair.svg    | 3921 ++++++++++++++++++++++++++++++++++++++
 20 files changed, 3994 insertions(+), 6 deletions(-)

commit 97848afe580ab7e31ae487871ad06816a897b1aa
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    gcr: Review fixes for gnupg icon support
    
     * Reviewed by Phillip Withnall
     * Memory leak fixes.
     * Documentation
     * Other minor bits.

 gcr/gcr-gnupg-collection.c        |    5 ++++
 gcr/gcr-gnupg-key.c               |   38 ++++++++++++++++++++++++++++--------
 gcr/gcr-gnupg-util.c              |   12 +++++++++++
 gcr/gcr-memory-icon.c             |   34 +++++++++++++++++++++++++++++++-
 gcr/gcr-memory-icon.h             |    2 +-
 gcr/gcr-record.c                  |   10 +++++++++
 gcr/tests/test-gnupg-collection.c |    5 ++++
 gcr/tests/test-memory-icon.c      |    2 +-
 8 files changed, 95 insertions(+), 13 deletions(-)

commit 356b4decfa47efc1e0a97b82b77b37cd0163ea73
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-13

    gcr: Display photo as icon for Gnupg keys.
    
     * Load the first photo uid and use as icon for Gnupg Keys.
     * Add GcrMemoryIcon which is a GLoadableIcon which loads from
       data in memory.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650433

 docs/reference/gcr/gcr-sections.txt |   10 ++
 gcr/Makefile.am                     |    1 +
 gcr/gcr-gnupg-key.c                 |   85 ++++++++++++++-
 gcr/gcr-gnupg-key.h                 |    2 +
 gcr/gcr-memory-icon.c               |  195 +++++++++++++++++++++++++++++++++
 gcr/gcr-memory-icon.h               |   67 +++++++++++
 gcr/gcr-record.c                    |   14 +++
 gcr/gcr-record.h                    |    4 +
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/test-memory-icon.c        |  206 +++++++++++++++++++++++++++++++++++
 gcr/tests/test-record.c             |   18 +++-
 11 files changed, 598 insertions(+), 5 deletions(-)

commit ccf8557422c72aa81c121ae696ce4706ee993510
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-12

    gcr: Implement loading of attributes in GcrGnupgCollection
    
     * These attributes can contain photo ids.
     * Add various definitions for dealing with attributes.
     * Since we like everything in the --with-colons gnupg format,
       we implement our own record type 'xa1' and cram the attribute
       (photo id) into there, along with all data.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650433

 docs/reference/gcr/gcr-sections.txt |    6 ++
 gcr/Makefile.am                     |    1 +
 gcr/gcr-gnupg-collection.c          |  161 ++++++++++++++++++++++++++++++++---
 gcr/gcr-gnupg-key.c                 |   11 +++
 gcr/gcr-gnupg-key.h                 |    2 +
 gcr/gcr-gnupg-util.c                |  102 ++++++++++++++++++++++
 gcr/gcr-gnupg-util.h                |   41 +++++++++
 gcr/gcr-record.h                    |   43 +++++++++-
 gcr/tests/test-gnupg-collection.c   |   45 +++++++++--
 9 files changed, 393 insertions(+), 19 deletions(-)

commit ea92ea4093127d434af5725ba0a31d8beaeef8a2
Merge: e000c83 68e1dea
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    Merge branch 'gnupg-process'

commit 68e1dea0a165cf7752b00a9d1e987edff23e8017
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-12

    gcr: Review changes for GcrGnupgProcess from Phillip Withnall
    
     * Better docs
     * Disconnect signal handlers properly.
     * Cleanup tests.
     * Other bits

 gcr/gcr-gnupg-collection.c                         |   26 +++--
 gcr/gcr-gnupg-process.c                            |   85 ++++++++++++---
 gcr/gcr-gnupg-process.h                            |    3 +-
 .../files/gnupg-mock/mock-status-and-attribute     |    2 +-
 gcr/tests/test-gnupg-process.c                     |  117 +++++++++++++++++---
 5 files changed, 193 insertions(+), 40 deletions(-)

commit f80f64c12c83e25b7d9ef04119ed8754b8f6ff93
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-12

    gcr: Refactor gnupg process execution into its own class.
    
     * Support getting user attribute data from keyring.
     * Support getting status messages from gpg.
     * Better cancellation api.
     * Control over LOCALE
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650336

 docs/reference/gcr/gcr-sections.txt                |   12 +-
 gcr/Makefile.am                                    |    1 +
 gcr/gcr-gnupg-collection.c                         |  156 ++---
 gcr/gcr-gnupg-collection.h                         |   10 +-
 gcr/gcr-gnupg-process.c                            |  866 ++++++++++++++++++++
 gcr/gcr-gnupg-process.h                            |   88 ++
 gcr/gcr-marshal.list                               |    2 +
 gcr/tests/Makefile.am                              |    3 +-
 gcr/tests/files/gnupg-mock/mock-arguments-environ  |   22 +
 gcr/tests/files/gnupg-mock/mock-fail-exit          |    6 +
 gcr/tests/files/gnupg-mock/mock-fail-signal        |    8 +
 gcr/tests/files/gnupg-mock/mock-simple-error       |    9 +
 gcr/tests/files/gnupg-mock/mock-simple-output      |    8 +
 .../files/gnupg-mock/mock-status-and-attribute     |   34 +
 gcr/tests/files/gnupg-mock/mock-status-and-output  |   24 +
 gcr/tests/files/gnupg-mock/mock-with-homedir       |   22 +
 gcr/tests/test-gnupg-collection.c                  |    1 -
 gcr/tests/test-gnupg-process.c                     |  446 ++++++++++
 18 files changed, 1608 insertions(+), 110 deletions(-)

commit e000c8359b771b308d328d2517af7b0bbb18ffc6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-09

    gcr: Fixes for the gcr-3.pc file
    
     * Proper Name: field
     * Fix GTK dependency

 gcr/gcr.pc.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9c8b7b6e9df99299b5cd1121c4c2ddfc79b89e2c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-09

    gck: Dump major version number due to recent API refactoring.
    
     * API is not yet stable, but we increase the major version so that we
       don't piss off packagers.

 docs/reference/gcr/Makefile.am |    2 +-
 gck/Makefile.am                |   15 +++++++------
 gck/gck.pc.in                  |    6 ++--
 gcr/Makefile.am                |    2 +-
 gcr/libgcr.symbols             |   46 +++++++++++++++++++++++++++++++++++++++-
 5 files changed, 58 insertions(+), 13 deletions(-)

commit ab8c61d32104f6c8d5c29e84ac6352a7b6d4f861
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-08

    More build fixes after recent changes.
    
     * Use proper library names for gcr
     * Use lib64 properly for pam modules when default is configured.

 gcr/Makefile.am |    4 ++--
 gcr/gcr.pc.in   |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit ade6c524287423026d9bf359f2af02c3c30563c2
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-13

    Remove support for GTK+2.
    
     * Simplifies things going forward. Now that GTK+3 is in stable distros
       we can depend on it.
     * This was raised on the mailing list a while back.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650144

 docs/reference/gcr/Makefile.am |    2 +-
 gcr/Makefile.am                |   20 +++++++-------
 gcr/gcr-display-scrolled.c     |    6 ----
 gcr/gcr-display-view.c         |   56 ----------------------------------------
 4 files changed, 11 insertions(+), 73 deletions(-)

commit 727ec47a63604da32058c8784cd21c60c2d60fa1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-06

    gck: Update GckUriFlags to match p11-kit

 gck/gck-modules.c        |    6 +++-
 gck/gck-uri.c            |   21 ++++++++++++------
 gck/gck.h                |   18 ++++++++++++---
 gck/tests/test-gck-uri.c |   52 +++++++++++++++++++++++-----------------------
 4 files changed, 58 insertions(+), 39 deletions(-)

commit 39344e506c679be793e32031c2df099c736d8dba
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-05

    Use p11-kit to lookup trust uris.

 gcr/Makefile.am   |    1 +
 gcr/gcr-library.c |   38 +++++++++++++++++++++++++++-----------
 2 files changed, 28 insertions(+), 11 deletions(-)

commit eae3bfcd68988bab401510f686bd9c718ec1fa6e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-05

    Remove extraneous argument from gck_module_new and gck_module_initialize
    
     * Since the signature of these functions changed anyway (API not yet
       stable, we are going to clean them up a bit more.
     * The xxx_full versions may be needed in the future if more options
       show up.

 gck/gck-module.c                    |   10 ++++------
 gck/gck-modules.c                   |    5 ++---
 gck/gck-private.h                   |    3 +--
 gck/gck.h                           |    6 ++----
 gck/tests/test-gck-crypto.c         |    2 +-
 gck/tests/test-gck-enumerator.c     |    2 +-
 gck/tests/test-gck-module.c         |    8 ++++----
 gck/tests/test-gck-modules.c        |    2 +-
 gck/tests/test-gck-object.c         |    2 +-
 gck/tests/test-gck-session.c        |    2 +-
 gck/tests/test-gck-slot.c           |    4 ++--
 gcr/gcr-library.c                   |    4 ++--
 gcr/tests/test-certificate-chain.c  |    2 +-
 gcr/tests/test-pkcs11-certificate.c |    2 +-
 gcr/tests/test-trust.c              |    2 +-
 15 files changed, 25 insertions(+), 31 deletions(-)

commit 6854ac2de334708e3c2f62e36c99ea6655507d6e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-21

    gck: Use p11-kit for module loading, messages, and uri parsing.

 docs/reference/gck/gck-sections.txt |   10 +-
 gck/Makefile.am                     |    3 +
 gck/gck-enumerator.c                |   12 +-
 gck/gck-misc.c                      |  212 ++++-------------
 gck/gck-module.c                    |  131 +++++------
 gck/gck-modules.c                   |  136 +++--------
 gck/gck-private.h                   |   21 +-
 gck/gck-slot.c                      |  147 ++++++++----
 gck/gck-uri.c                       |  456 +++++++++-------------------------
 gck/gck.h                           |   52 +++--
 gck/gck.pc.in                       |    2 +-
 gck/tests/test-gck-crypto.c         |    2 +-
 gck/tests/test-gck-enumerator.c     |   64 +++---
 gck/tests/test-gck-module.c         |    6 +-
 gck/tests/test-gck-modules.c        |    2 +-
 gck/tests/test-gck-object.c         |    2 +-
 gck/tests/test-gck-session.c        |    2 +-
 gck/tests/test-gck-slot.c           |    2 +-
 gck/tests/test-gck-uri.c            |  320 ++++++++++++------------
 gcr/Makefile.am                     |    6 +-
 gcr/gcr-collection-model.c          |    4 +-
 gcr/gcr-library.c                   |    6 +-
 gcr/gcr-library.h                   |    2 +-
 gcr/gcr.pc.in                       |    2 +-
 24 files changed, 636 insertions(+), 966 deletions(-)

commit adb706c84cc5bc75a97347942d2c250e527081c8
Merge: c035fc7 eb3eb51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-06-07

    Merge branch 'gnome-3-0'

commit c035fc7f56f0190f942fb30a530763f220406abc
Merge: b31945a 1034f9a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-06-04

    Merge remote-tracking branch 'stefw/display-extensions'

commit b31945a1fb55c38ef660eb78b5c198fa0994b8a4
Merge: 7c8c92a eb3eb51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-31

    Merge branch 'gnome-3-0'

commit eb3eb51c85a6ae016f646e097bede5d995572efb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-30

    gcr: Login properly when importing private keys.

 gcr/gcr-importer.c |   16 ++++++++++++++--
 gcr/gcr-parser.c   |   11 +++++++++++
 2 files changed, 25 insertions(+), 2 deletions(-)

commit edd1f8f86001f546b52f661a0413e25f46808344
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-30

    gcr: Fix warnings using the importer.

 gcr/gcr-importer.c |    2 +-
 gcr/gcr-parser.c   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7c8c92a725803a78888ed4a7d83af57514f93244
Merge: 9d3ad04 96ef605
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-26

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	NEWS
    	configure.ac
    	docs/reference/gcr/Makefile.am
    	docs/reference/gcr/gcr-visual-index.xml
    	docs/reference/gcr/gcr-widgets.c
    	docs/reference/gcr/images/key-widget.png
    	gcr/Makefile.am

commit 1034f9afc591674647755273c074ebe007c5ee86
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-06

    gcr: Parse and display certificate extensions.
    
     * Subject Alt Name
     * Basic Constraints
     * Extended Key Usage
     * Key Usage
     * Subject Key Identifier
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646907

 egg/egg-oid.c                    |   31 +++--
 gcr/Makefile.am                  |    1 +
 gcr/gcr-certificate-extensions.c |  269 ++++++++++++++++++++++++++++++++++++++
 gcr/gcr-certificate-extensions.h |   88 +++++++++++++
 gcr/gcr-certificate-renderer.c   |  216 ++++++++++++++++++++++++++++--
 gcr/gcr-display-view.h           |    2 +
 6 files changed, 577 insertions(+), 30 deletions(-)

commit 9d3ad04deff9e25e49812857e4461ca7f263cf13
Merge: 2dcd037 6df0c53
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-24

    Merge branch 'key-fingerprints'
    
    Conflicts:
    	gcr/Makefile.am

commit 2dcd037ac4919cdcfa5ca0e76c69c0c0197cbe91
Merge: af983cb acc5e71
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-24

    Merge branch 'display-hex'

commit af983cb17b14c92ac4cf118d48402e58da904f3e
Merge: 198c099 0c5f590
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-24

    Merge branch 'split-selector'
    
    Conflicts:
    	gcr/Makefile.am
    	gcr/gcr-collection-model.c
    	gcr/gcr-tree-selector.c

commit 198c0993d8622634db5263803967602fdce6a034
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-17

    gcr: Fix ununitialized memory in GcrColumns.

 gcr/gcr-collection-model.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 96ef605a5173972e607baf3764184b68f386ae05
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-19

    Release version 3.0.2

 gcr/libgcr.symbols |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ee6146d739573140e750e5c2dca8ce049db522c1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-19

    gcr: Export list of symbols when making distribution.

 gcr/Makefile.am    |   10 +++-
 gcr/libgcr.symbols |  138 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+), 2 deletions(-)

commit b44538051517c407d7838794dadb37141fc6d4c5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-19

    Revert "Bump libtool version of gnome-keyring library for 3.0"
    
    This reverts commit aebb7bf381694c3b72e456c2c1d19c0853d18836.
    
     * We also add back the deprecated symbol, and just leave it
       hanging around.

 gcr/gcr-library.c |    9 +++++++++
 gcr/gcr-types.h   |    8 ++++++++
 2 files changed, 17 insertions(+), 0 deletions(-)

commit 25d0a9e105846abfad2cad93eb3d61c4b10173d4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-16

    gcr: Cleanup GcrRecord after review.
    
     * Use G_DEFINE_BOXED_TYPE
     * Fix some test corner cases.
     * Locale independent integer parsing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650255

 gcr/gcr-record.c        |   22 +++-------------------
 gcr/gcr-record.h        |    4 ++--
 gcr/tests/test-record.c |    4 ++++
 3 files changed, 9 insertions(+), 21 deletions(-)

commit f3de93ddedafeb5b955ab07caff0c7f5ae1fe01f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-13

    gcr: More record functionality.
    
     * Add boxed type for records
     * Allow parsing of space delimited records.
     * Lookup unsigned integers in records.
     * More tests for GcrRecord
    
    https://bugzilla.gnome.org/show_bug.cgi?id=650255

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/gcr-record.c                    |  138 +++++++++++++++++++++++++++++++----
 gcr/gcr-record.h                    |   15 ++++
 gcr/tests/test-record.c             |  122 ++++++++++++++++++++++++++++++-
 4 files changed, 257 insertions(+), 19 deletions(-)

commit 1f2d900fbb6ab30f4ff67d2bdafb18237ceb6c3d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fix 'make dist' of doc directory.

 docs/reference/gcr/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 20d401eb61c25b950cf74676be93f666fda6e399
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-12

    gcr: Rename GcrColons to GcrRecord
    
     * These records can be used for other purposes as well. Can represent
       any data with uniform single character delimiters

 docs/reference/gcr/gcr-sections.txt |   16 ++--
 gcr/Makefile.am                     |    2 +-
 gcr/gcr-colons.c                    |  152 -----------------------------
 gcr/gcr-colons.h                    |  106 --------------------
 gcr/gcr-gnupg-collection.c          |   80 ++++++++--------
 gcr/gcr-gnupg-key.c                 |  162 ++++++++++++++++----------------
 gcr/gcr-gnupg-key.h                 |   14 ++--
 gcr/gcr-record.c                    |  162 +++++++++++++++++++++++++++++++
 gcr/gcr-record.h                    |  109 +++++++++++++++++++++
 gcr/tests/Makefile.am               |    2 +-
 gcr/tests/test-colons.c             |  180 -----------------------------------
 gcr/tests/test-gnupg-collection.c   |    8 +-
 gcr/tests/test-gnupg-key.c          |   94 +++++++++---------
 gcr/tests/test-record.c             |  180 +++++++++++++++++++++++++++++++++++
 14 files changed, 641 insertions(+), 626 deletions(-)

commit 408e65d0ca76da88e3375c128975756061895cac
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fix race condition in gnupg collection async tests.

 gcr/tests/test-gnupg-collection.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b64e26b2c45698fff0bf0ffb3d600df6d64363f5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Stop tests when a failure occurs

 gcr/tests/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5afef86b4b11d253063bd2f2c32d90e1b2abd6fe
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fix tests for GcrGnupgKey keyid and short-keyid properties

 gcr/tests/test-gnupg-key.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 1acceb1bde3a87cff89a1beceb434ae3f2b82caa
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fix annotation of _gcr_gnupg_key_get_secret_dataset

 gcr/gcr-gnupg-key.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dbcbf9a091dddcadf28e1ba23576fee33311d47c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Fixes and debugging for GcrGnupgCollection.
    
     * Comments and review changes.
     * Add tests for collection loading and reloading.
     * Debug logging
     * Remove racy pid tracking. Will solve this in another branch.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648019

 gcr/gcr-debug.c                           |    1 +
 gcr/gcr-debug.h                           |    1 +
 gcr/gcr-gnupg-collection.c                |   61 +++++++------
 gcr/tests/Makefile.am                     |    1 +
 gcr/tests/files/gnupg-homedir/pubring.gpg |  Bin 19689 -> 21969 bytes
 gcr/tests/files/gnupg-homedir/secring.gpg |  Bin 0 -> 4398 bytes
 gcr/tests/files/gnupg-homedir/trustdb.gpg |  Bin 1200 -> 1400 bytes
 gcr/tests/test-gnupg-collection.c         |  136 ++++++++++++++++++++++++++---
 testing/gnupg-example/random_seed         |  Bin 600 -> 0 bytes
 9 files changed, 161 insertions(+), 39 deletions(-)

commit 6d2b3acf8fd8153a834b2ee479b9b12dc561bb89
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Make GcrGnupgKey::keyid full keyid and add short-keyid for display.
    
     * More documentation fixes and cleanup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648019

 gcr/gcr-gnupg-key.c        |   42 ++++++++++++++++++++++++++++++++++--------
 gcr/gcr-gnupg-key.h        |    2 ++
 gcr/tests/test-gnupg-key.c |   31 +++++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+), 8 deletions(-)

commit 6223b6023e718f3bf8a5a4882039349a54941ea0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-15

    gcr: Documentation and naming fixes.
    
     * Fixes after review.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648019

 gcr/gcr-gnupg-collection.c |   45 +++++++++++++++++++-------------
 gcr/gcr-gnupg-key.c        |   61 +++++++++++++++++++++++++++++++------------
 2 files changed, 71 insertions(+), 35 deletions(-)

commit ab51bef700f52f75656079e3f53a130729db7154
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-14

    gcr: Build GcrCertificateDetailsWidget and GcrCertificateBasicsWidget properly.
    
     * Forgot to inlcude these in the build.

 gcr/Makefile.am                      |    2 ++
 gcr/gcr-certificate-details-widget.h |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 6df0c53e32acbc42f1658a28e65f62cd28aeeff4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-09

    gcr: Fix creation of fingerprints, make tests pass.
    
     * Fix encoding of test files.
     * Always encode NULL in RSA keys as the parameter.

 egg/pk.asn                      |    2 ++
 gcr/gcr-fingerprint.c           |   15 +++++++++++++--
 gcr/tests/files/client.crt      |  Bin 1054 -> 736 bytes
 gcr/tests/files/client.pem      |   18 ++++++++++++++++++
 gcr/tests/files/generic-dsa.crt |  Bin 1298 -> 918 bytes
 gcr/tests/files/generic-dsa.pem |   22 ++++++++++++++++++++++
 gcr/tests/test-fingerprint.c    |    8 ++++----
 7 files changed, 59 insertions(+), 6 deletions(-)

commit 4c6ddeeb70eb1ac0ac0bab06a3cd57937c52e95e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-09

    egg: Add support for encoding NULL in ASN.1

 egg/egg-asn1x.c       |   13 +++++++++++++
 egg/egg-asn1x.h       |    2 ++
 egg/tests/test-asn1.c |   25 +++++++++++++++++++++++++
 egg/tests/test.asn    |    2 ++
 4 files changed, 42 insertions(+), 0 deletions(-)

commit 2744f207a2fd533a13f3582744f133817ed69adb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-08

    gcr: Add tests for creation of fingerprints

 gcr/tests/Makefile.am           |    1 +
 gcr/tests/files/client.crt      |   18 ++++
 gcr/tests/files/client.key      |   27 ++++++
 gcr/tests/files/generic-dsa.crt |   22 +++++
 gcr/tests/files/generic-dsa.key |   12 +++
 gcr/tests/test-fingerprint.c    |  181 +++++++++++++++++++++++++++++++++++++++
 6 files changed, 261 insertions(+), 0 deletions(-)

commit e4d6a7678a58f88e9b834218b78985e2ecc2630d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-06

    gcr: Make key widget scroll and size properly.
    
    Also fix the test program.

 gcr/gcr-key-widget.c |   13 +++----------
 1 files changed, 3 insertions(+), 10 deletions(-)

commit 20fb5ef13d27a69fcdd9fc8f74d53475b5b88a47
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-09

    Implement calculation of fingerprints for keys.
    
    These are derived from subjectPublicKeyInfo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646905

 egg/egg-asn1x.c                |    4 +-
 egg/egg-asn1x.h                |    2 +-
 gcr/Makefile.am                |    3 +-
 gcr/gcr-certificate-renderer.c |   19 ++-
 gcr/gcr-fingerprint.c          |  255 ++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-fingerprint.h          |   40 ++++++
 gcr/gcr-key-renderer.c         |   20 +++-
 7 files changed, 331 insertions(+), 12 deletions(-)

commit acc5e71158d304d5a3ff4d7b0275a8aab0a3d029
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-06

    gcr: Add _gcr_display_view_append_hex() function.
    
    Displays value as a hex string, rather than just converting to hex
    everywhere and duplicating the same code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646901

 gcr/gcr-certificate-renderer.c |   31 ++++++++-----------------------
 gcr/gcr-display-view.c         |   16 ++++++++++++----
 gcr/gcr-display-view.h         |    6 ++++++
 gcr/gcr-key-renderer.c         |    2 --
 4 files changed, 26 insertions(+), 29 deletions(-)

commit 66be57fc73a89a657b3e63272fb62f1f991f6c63
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-12

    gcr: More testing for secret gnupg keys.
    
     * Create an example keyring
     * Change signature of _gcr_gnupg_key_new so it also accepts
       the secret part.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648019

 gcr/gcr-gnupg-collection.c        |    2 +-
 gcr/gcr-gnupg-key.c               |   50 +++++++++++++++++++++++++++-----
 gcr/gcr-gnupg-key.h               |    3 +-
 gcr/tests/test-gnupg-key.c        |   56 +++++++++++++++++++++++++++++++++++--
 testing/gnupg-example/pubring.gpg |  Bin 0 -> 21969 bytes
 testing/gnupg-example/random_seed |  Bin 0 -> 600 bytes
 testing/gnupg-example/secring.gpg |  Bin 0 -> 4398 bytes
 testing/gnupg-example/trustdb.gpg |  Bin 0 -> 1400 bytes
 8 files changed, 98 insertions(+), 13 deletions(-)

commit 02865661faac5da5bb463c47da6bfa91f2b35774
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-26

    gcr: Add support for listing secret gnupg keys.
    
     * Also add support to GcrGnupgKey for holding the secret info.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648019

 docs/reference/gcr/gcr-sections.txt |    2 +
 gcr/gcr-colons.h                    |    9 ++
 gcr/gcr-gnupg-collection.c          |  186 +++++++++++++++++++++++++----------
 gcr/gcr-gnupg-key.c                 |  109 ++++++++++++++++-----
 gcr/gcr-gnupg-key.h                 |    9 ++-
 5 files changed, 236 insertions(+), 79 deletions(-)

commit 977a3246705d50c3974398162a3b775438a90765
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-13

    gcr: Fix problem loading translation for NULL column names.
    
     * Just use empty string.

 gcr/gcr-selector.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 26404d68f352841ad4b023d1b4804eb8eddcd309
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-12

    gcr: Fix logic issue in collection model
    
     * Was refering to the wrong column.

 gcr/gcr-collection-model.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)

commit 0c5f590204812596b729e4885e719e075d0de871
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-11

    gcr: Split GcrSelector into GcrComboSelector and GcrTreeSelector
    
     * GcrComboSelector allows selecting one object at a time
       and uses 'markup' property to display the object.
     * GcrTreeSelector uses various columns, and a checkbox so that multiple
       objects can be selected at once.
     * Add images for both of the above.
     * Derive directly from GtkComboBox and GtkTreeView respectively.

 docs/reference/gcr/Makefile.am               |   10 +-
 docs/reference/gcr/gcr-docs.sgml             |    4 +-
 docs/reference/gcr/gcr-sections.txt          |   60 ++-
 docs/reference/gcr/gcr-visual-index.xml      |    6 +
 docs/reference/gcr/gcr-widgets.c             |   99 ++++-
 docs/reference/gcr/images/combo-selector.png |  Bin 0 -> 7855 bytes
 docs/reference/gcr/images/key-widget.png     |  Bin 8634 -> 8311 bytes
 docs/reference/gcr/images/tree-selector.png  |  Bin 0 -> 11930 bytes
 gcr/Makefile.am                              |    6 +-
 gcr/gcr-certificate.c                        |    2 +-
 gcr/gcr-collection-model.c                   |   73 +++-
 gcr/gcr-collection-model.h                   |    9 +-
 gcr/gcr-column.c                             |    4 +-
 gcr/gcr-combo-selector.c                     |  272 ++++++++++++
 gcr/gcr-combo-selector.h                     |   69 ++++
 gcr/gcr-selector.c                           |  566 --------------------------
 gcr/gcr-selector.h                           |   69 ----
 gcr/gcr-tree-selector.c                      |  464 +++++++++++++++++++++
 gcr/gcr-tree-selector.h                      |   70 ++++
 gcr/gcr.h                                    |    3 +-
 gcr/tests/Makefile.am                        |    5 +-
 gcr/tests/frob-combo-selector.c              |  117 ++++++
 gcr/tests/frob-gnupg-selector.c              |   14 +-
 gcr/tests/frob-selector.c                    |  106 -----
 gcr/tests/frob-tree-selector.c               |  124 ++++++
 25 files changed, 1354 insertions(+), 798 deletions(-)

commit b974aec2724946dec9d1c6f4d49a7f41e215c384
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-10

    docs: Add images for gcr widgets.

 docs/reference/gcr/Makefile.am                   |   35 ++-
 docs/reference/gcr/gcr-docs.sgml                 |    4 +
 docs/reference/gcr/gcr-shooter.c                 |  470 ++++++++++++++++++++++
 docs/reference/gcr/gcr-shooter.h                 |   23 +
 docs/reference/gcr/gcr-visual-index.xml          |   12 +
 docs/reference/gcr/gcr-widgets.c                 |   86 ++++
 docs/reference/gcr/images/certificate-widget.png |  Bin 0 -> 17514 bytes
 docs/reference/gcr/images/key-widget.png         |  Bin 0 -> 8634 bytes
 gcr/tests/files/cacert.org.cer                   |  Bin 0 -> 1857 bytes
 9 files changed, 628 insertions(+), 2 deletions(-)

commit 53fa7f694fc3fec216d71765af17b5c5fe242c14
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-10

    docs: Add images for gcr widgets.

 docs/reference/gcr/Makefile.am                   |   35 ++-
 docs/reference/gcr/gcr-docs.sgml                 |    4 +
 docs/reference/gcr/gcr-shooter.c                 |  470 ++++++++++++++++++++++
 docs/reference/gcr/gcr-shooter.h                 |   23 +
 docs/reference/gcr/gcr-visual-index.xml          |   12 +
 docs/reference/gcr/gcr-widgets.c                 |   86 ++++
 docs/reference/gcr/images/certificate-widget.png |  Bin 0 -> 17514 bytes
 docs/reference/gcr/images/key-widget.png         |  Bin 0 -> 8634 bytes
 gcr/tests/files/cacert.org.cer                   |  Bin 0 -> 1857 bytes
 9 files changed, 628 insertions(+), 2 deletions(-)

commit d859db4d4e4f5b412aeca862bc5a43d7f0b7bb88
Merge: f8fdfd6 df18a41
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-09

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	gck/Makefile.am
    	gcr/Makefile.am

commit df18a413f0d29947bf6b9e071f8e5a7ddd32c03d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-09

    Fix build with --no-add-needed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649754

 gck/Makefile.am |    4 ++--
 gcr/Makefile.am |    4 +++-
 2 files changed, 5 insertions(+), 3 deletions(-)

commit f8fdfd68c07d89d4fc50f10a4eb45408efc8f992
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-27

    Fix Makefiles so testable libraries are rebuilt when source changes.

 gck/Makefile.am |    4 ++--
 gcr/Makefile.am |    1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

commit b8d8ed2ca8ec9653944647b977ffb2d54de32f6f
Merge: 17c9fc8 8274011
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-25

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	gcr/Makefile.am
    	gcr/tests/Makefile.am

commit 82740115cb937e41d02e72698cc10330af10f370
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-24

    Modernize the remainder of the tests.
    
     * Bring up to date with gtester running and individual binaries.
     * Make the tests run in make distcheck

 egg/tests/Makefile.am               |   10 +++++++---
 egg/tests/test-asn1.c               |   10 +++++-----
 egg/tests/test-asn1x.c              |   23 ++++++++++++-----------
 egg/tests/test-dh.c                 |    6 +++---
 egg/tests/test-dn.c                 |   12 ++++++------
 egg/tests/test-hex.c                |    2 +-
 egg/tests/test-hkdf.c               |    6 +++---
 egg/tests/test-oid.c                |    2 +-
 egg/tests/test-openssl.c            |   10 +++++-----
 egg/tests/test-padding.c            |    4 ++--
 egg/tests/test-secmem.c             |    2 +-
 egg/tests/test-symkey.c             |    6 +++---
 gck/tests/Makefile.am               |    8 +++++---
 gck/tests/test-gck-crypto.c         |    8 +-------
 gck/tests/test-gck-enumerator.c     |    8 +-------
 gck/tests/test-gck-module.c         |   10 ++--------
 gck/tests/test-gck-modules.c        |    8 +-------
 gck/tests/test-gck-object.c         |    8 +-------
 gck/tests/test-gck-session.c        |    8 +-------
 gck/tests/test-gck-slot.c           |    8 +-------
 gck/tests/test-gck-uri.c            |    6 ------
 gcr/tests/Makefile.am               |    8 ++++----
 gcr/tests/frob-certificate.c        |    2 +-
 gcr/tests/frob-key.c                |    2 +-
 gcr/tests/test-certificate-chain.c  |   12 +++---------
 gcr/tests/test-certificate.c        |   12 +++---------
 gcr/tests/test-parser.c             |   10 ++--------
 gcr/tests/test-pkcs11-certificate.c |   12 +++---------
 gcr/tests/test-simple-certificate.c |   10 ++--------
 gcr/tests/test-trust.c              |   10 ++--------
 testing/Makefile.am                 |   18 +-----------------
 31 files changed, 84 insertions(+), 177 deletions(-)

commit 1cc50829a772cc3468afd14fb4d70d9ed44ad110
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-23

    Better testing configure options.
    
     * --enable-tests=yes/no/full
     * With 'full' the testing hooks in gnome-keyring-daemon are built
     * Different libraries are built in testable and non-testable versions.

 egg/tests/Makefile.am |    4 +---
 egg/tests/test-dh.c   |    7 +++++--
 gck/Makefile.am       |   21 +++++++++++++--------
 gck/gck-mock.h        |    6 +-----
 gck/gck-test.h        |    4 ----
 gck/tests/Makefile.am |   13 ++++++-------
 gcr/Makefile.am       |   13 ++++++++-----
 gcr/tests/Makefile.am |   10 ++++------
 8 files changed, 38 insertions(+), 40 deletions(-)

commit 17c9fc8960ec8bf651bb59baa02524fa863f3864
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-21

    gcr: Fix build warning.

 gcr/gcr-colons.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4edf9c53eaf1b818f9788a83b47548c9882a1c2e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-15

    gcr: Implement tool for playing with the parser

 gcr/tests/Makefile.am   |    1 +
 gcr/tests/frob-parser.c |  134 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 135 insertions(+), 0 deletions(-)

commit d462576ced933c6cc0e1794c1267c4230cae935d
Merge: 74efd54 43f8ea7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-21

    Merge branch 'gnome-3-0'

commit 43f8ea7333b69e5a644be100499f9744d288f199
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-21

    gck: Fix linking issue due to type in Makefile.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=648338

 gck/tests/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 22c67425443fb120112f3427aff90c0592ff2ae5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-20

    egg: Run the hkdf tests
    
     * These seem to have dropped out during a previous refactoring

 egg/tests/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 18d9f4cf0451d529ef6820e5074e126426522186
Author: Marc Plano-Lesay <marc.planolesay@gmail.com>
Date:   2011-04-09

    fix unused-but-set-variable warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647315

 egg/egg-hkdf.c          |    4 ++--
 gck/gck-slot.c          |    3 ---
 gcr/tests/test-parser.c |    2 ++
 3 files changed, 4 insertions(+), 5 deletions(-)

commit 94c68a22b76e5dfcd22dc7b6346e5ab9d1cd9c4b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-03-29

    Remove #include <config.h> from headers to make sure it's not included more than once

 egg/egg-libgcrypt.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 74efd547976f0406d1f6531ea49be240dd0d3813
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-03-29

    Remove #include <config.h> from headers to make sure it's not included more than once

 egg/egg-libgcrypt.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit a28804ce9e789d2a8b50ee00284386124ef5e6b5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-19

    gcr: Add review fixes and documentation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647885

 docs/reference/gcr/gcr-sections.txt |   31 ++++++++++
 gcr/gcr-colons.c                    |   27 ++++-----
 gcr/gcr-colons.h                    |    8 +--
 gcr/gcr-debug.c                     |    1 +
 gcr/gcr-debug.h                     |    1 +
 gcr/gcr-gnupg-collection.c          |  110 ++++++++++++++++++++++------------
 gcr/gcr-gnupg-key.c                 |   51 ++++++++++++++--
 gcr/gcr-library.c                   |    8 +++
 gcr/gcr-util.c                      |   11 +++-
 gcr/tests/test-colons.c             |   13 ----
 10 files changed, 178 insertions(+), 83 deletions(-)

commit 2988fd729d24a979bd7266e8c48e8f6c0d19fedb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-18

    gcr: Add more comments for new colons and collection code.

 gcr/gcr-colons.c           |    1 +
 gcr/gcr-colons.h           |   27 +++++++++++++++++++++++++++
 gcr/gcr-gnupg-collection.c |   14 ++++++++++++++
 gcr/gcr-util.c             |    6 ++++++
 4 files changed, 48 insertions(+), 0 deletions(-)

commit 20de7767862b172ef6176200a54709145a7adf0b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-15

    gcr: A rudimentary Gnupg Collection implementation.
    
     * Loads basic GPG keys.
     * No splitting of UIDs yet.
     * No monitoring yet.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647885

 gcr/Makefile.am                           |    4 +
 gcr/gcr-colons.c                          |  154 +++++++++
 gcr/gcr-colons.h                          |   74 +++++
 gcr/gcr-gnupg-collection.c                |  480 +++++++++++++++++++++++++++++
 gcr/gcr-gnupg-collection.h                |   69 ++++
 gcr/gcr-gnupg-key.c                       |  249 +++++++++++++++
 gcr/gcr-gnupg-key.h                       |   75 +++++
 gcr/gcr-util.c                            |   55 ++++
 gcr/gcr-util.h                            |   41 +++
 gcr/tests/Makefile.am                     |   10 +-
 gcr/tests/files/gnupg-homedir/pubring.gpg |  Bin 0 -> 19689 bytes
 gcr/tests/files/gnupg-homedir/trustdb.gpg |  Bin 0 -> 1200 bytes
 gcr/tests/frob-gnupg-selector.c           |   79 +++++
 gcr/tests/test-colons.c                   |  193 ++++++++++++
 gcr/tests/test-gnupg-collection.c         |   82 +++++
 gcr/tests/test-gnupg-key.c                |  132 ++++++++
 gcr/tests/test-util.c                     |  112 +++++++
 17 files changed, 1807 insertions(+), 2 deletions(-)

commit 4da123a3db633c50add867f3b6d7cfce9b606ca4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-19

    gcr: GcrColumn.label should be translated with context.
    
     * Translate the label strings when using them.
     * Require that the 'column' context is used.

 gcr/gcr-certificate.c |    6 +++---
 gcr/gcr-column.c      |    7 +++++++
 gcr/gcr-selector.c    |   10 ++++++++--
 3 files changed, 18 insertions(+), 5 deletions(-)

commit 8bb1bc648f81d57ea3e18a5484232ba8c48ddba0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-19

    gcr: Fix reference to test-data directory in frob-selector

 gcr/tests/frob-selector.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 744ebe93514f4c4dff4750cc27ed45662e719311
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-19

    gcr: Fix remaining references to test-data directory

 gcr/tests/Makefile.am        |    2 +-
 gcr/tests/frob-certificate.c |    2 +-
 gcr/tests/frob-key.c         |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit de162118568692eeb8ff8fe95372be42cc0f24c2
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-19

    gcr: Fix memory leak in GcrSelector dispose

 gcr/gcr-selector.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit cc48f9c1491082fc7dbf628d08a50129062c7cab
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-19

    gcr: In test-parser don't try to parse directories.

 gcr/tests/test-parser.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit c528eafa1535a4b475acb214feaffb594b180e24
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-18

    gcr: Remove extraneous virtual function.
    
    Accidentally included during a broken rebase or merge.

 gcr/gcr-renderer.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit b0ae785e59ae3b2cdd7a2823acb398b407a125ae
Merge: cbffb2b 7f0913d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-18

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	docs/reference/gcr/gcr-sections.txt
    	gcr/Makefile.am
    	gcr/gcr-library.c

commit cbffb2b3b862ccfa9c8506ce58ada2895ff3be49
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-15

    gcr: Build a testable version with all functions exported.
    
    Build a testable version of the gcr library, which has all the
    functions exported including those with _gcr_ prefixes.

 gcr/Makefile.am       |   55 +++++++++++++++++++++++++++++++++----------------
 gcr/tests/Makefile.am |    4 +-
 2 files changed, 39 insertions(+), 20 deletions(-)

commit 7f0913d6000175cdcb772e04854a82588585f7c8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-18

    Use gpointer instead of guchar in several places.
    
    This makes for cleaner and simpler code.

 egg/egg-openssl.c |    8 ++++----
 egg/egg-openssl.h |    2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 04e9080a7410283525b440fb751ba874a7651eb7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-13

    gcr: Implement debug tracing
    
     * Instrument the certificate chain code.

 docs/reference/gcr/gcr-sections.txt |    4 +-
 gcr/Makefile.am                     |    3 +-
 gcr/gcr-certificate-chain.c         |   46 ++++++++++++++-
 gcr/gcr-debug.c                     |  106 +++++++++++++++++++++++++++++++++++
 gcr/gcr-debug.h                     |   86 ++++++++++++++++++++++++++++
 gcr/gcr-library.c                   |    4 +
 gcr/tests/frob-certificate.c        |    1 +
 gcr/tests/frob-key.c                |    1 +
 gcr/tests/frob-unlock-options.c     |    1 +
 gcr/tests/test-certificate-chain.c  |    1 +
 gcr/tests/test-certificate.c        |    1 +
 gcr/tests/test-parser.c             |    1 +
 gcr/tests/test-pkcs11-certificate.c |    1 +
 gcr/tests/test-simple-certificate.c |    1 +
 gcr/tests/test-trust.c              |    1 +
 15 files changed, 254 insertions(+), 4 deletions(-)

commit 22e4108e0ca804fa4ed639ff92af1b9247e129ef
Merge: 250613e e62ba01
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-09

    Merge branch 'gnome-3-0'

commit e62ba019617790f3653ec4bd83b1454bca762e10
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-09

    Remove accidentally committed file.

 gcr/tests/frob-selector |  148 -----------------------------------------------
 1 files changed, 0 insertions(+), 148 deletions(-)

commit 250613e103cb712cb2089c081b42b10b20714fc5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-06

    gcr: Complete documentation for new components

 docs/reference/gcr/gcr-docs.sgml    |   11 +++-
 docs/reference/gcr/gcr-sections.txt |  118 +++++++++++++++++++++++++++--
 gcr/gcr-certificate-renderer.c      |   24 ++++++-
 gcr/gcr-certificate-renderer.h      |    2 -
 gcr/gcr-certificate.c               |   34 ++++++++-
 gcr/gcr-certificate.h               |    2 +-
 gcr/gcr-collection-model.c          |  141 +++++++++++++++++++++++++++++++++--
 gcr/gcr-collection-model.h          |    9 +--
 gcr/gcr-collection.c                |   46 +++++++++++-
 gcr/gcr-collection.h                |    1 +
 gcr/gcr-column.c                    |   58 ++++++++++++++
 gcr/gcr-column.h                    |    6 +-
 gcr/gcr-comparable.c                |   43 +++++++++++
 gcr/gcr-importer.c                  |    2 +-
 gcr/gcr-importer.h                  |    2 +-
 gcr/gcr-key-renderer.c              |    1 -
 gcr/gcr-parser.c                    |    2 +-
 gcr/gcr-renderer.c                  |   14 +++-
 gcr/gcr-renderer.h                  |    6 --
 gcr/gcr-selector.c                  |   94 +++++++++++++++++++++++
 gcr/gcr-selector.h                  |   12 +--
 gcr/gcr-simple-collection.c         |   55 ++++++++++++++
 gcr/gcr-simple-collection.h         |    2 +
 gcr/gcr-viewer.c                    |    1 +
 24 files changed, 634 insertions(+), 52 deletions(-)

commit 8349f25653056162d93d59e9ff0e84fa9a569abc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-08

    gcr: Hide the widget class structs, until we finalize their super classes.
    
    Hide the following GcrCertificateWidget, GcrCertificateWidgetClass,
    GcrKeyWidget, GcrKeyWidgetClass, GcrUnlockOptionsWidget,
    GcrUnlockOptionsWidgetClass
    
    Currently these are derived from GtkAlignment, because we haven't yet
    figured out their implementation correctly. We want them to be derived
    from GtkWidget, or GtkBin (if it makes sense to have a child widget).

 gcr/gcr-certificate-widget.c    |   13 ++++++++++++-
 gcr/gcr-certificate-widget.h    |   15 ++++-----------
 gcr/gcr-key-widget.c            |   13 ++++++++++++-
 gcr/gcr-key-widget.h            |   15 ++++-----------
 gcr/gcr-unlock-options-widget.c |   13 +++++++++++--
 gcr/gcr-unlock-options-widget.h |   14 ++++----------
 6 files changed, 47 insertions(+), 36 deletions(-)

commit d099af531a1f644d882a2bcf0462962a573290c4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-08

    gcr: Hide the widget class structs, until we finalize their super classes.
    
    Hide the following GcrCertificateWidget, GcrCertificateWidgetClass,
    GcrKeyWidget, GcrKeyWidgetClass, GcrUnlockOptionsWidget,
    GcrUnlockOptionsWidgetClass
    
    Currently these are derived from GtkAlignment, because we haven't yet
    figured out their implementation correctly. We want them to be derived
    from GtkWidget, or GtkBin (if it makes sense to have a child widget).

 gcr/gcr-certificate-widget.c    |   13 ++++++++++++-
 gcr/gcr-certificate-widget.h    |   15 ++++-----------
 gcr/gcr-key-widget.c            |   13 ++++++++++++-
 gcr/gcr-key-widget.h            |   15 ++++-----------
 gcr/gcr-unlock-options-widget.c |   13 +++++++++++--
 gcr/gcr-unlock-options-widget.h |   14 ++++----------
 6 files changed, 47 insertions(+), 36 deletions(-)

commit 754dc2fb82903d2f45bebf1837784931bc43b609
Merge: 59744d5 523ad41
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-08

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	.gitignore
    	gcr/gcr-certificate-renderer.c
    	gcr/gcr-parser.c
    	gcr/tests/Makefile.am
    	gcr/tests/frob-key.c
    	gcr/tests/frob-selector.c
    	gcr/tests/test-certificate-chain.c
    	gcr/tests/ui-test-key.c

commit 523ad417fbc175c5543f46c4ad0e4f42699af200
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-06

    gcr: Complete documentation

 docs/reference/gcr/Makefile.am      |   15 ++-
 docs/reference/gcr/gcr-docs.sgml    |   10 +-
 docs/reference/gcr/gcr-sections.txt |  214 ++++++++++++++++++++-------
 gcr/gcr-certificate-chain.c         |   32 ++++
 gcr/gcr-certificate-chain.h         |    2 +
 gcr/gcr-certificate-renderer.c      |   65 ++++++++-
 gcr/gcr-certificate-renderer.h      |    6 +-
 gcr/gcr-certificate-widget.c        |   74 +++++++++-
 gcr/gcr-certificate-widget.h        |    7 +-
 gcr/gcr-certificate.c               |   12 ++
 gcr/gcr-certificate.h               |    1 +
 gcr/gcr-importer.c                  |  170 ++++++++++++++++++++-
 gcr/gcr-importer.h                  |    6 +-
 gcr/gcr-initializer.h               |   85 -----------
 gcr/gcr-key-renderer.c              |   40 +++++
 gcr/gcr-key-renderer.h              |    2 +
 gcr/gcr-key-widget.c                |   53 +++++++
 gcr/gcr-key-widget.h                |    3 +
 gcr/gcr-library.c                   |   16 +-
 gcr/gcr-parser.c                    |  284 +++++++++++++++++++++++++++++++----
 gcr/gcr-parser.h                    |   21 ++--
 gcr/gcr-pkcs11-certificate.c        |   12 ++
 gcr/gcr-pkcs11-certificate.h        |    3 +
 gcr/gcr-renderer.c                  |   80 ++++++++++
 gcr/gcr-renderer.h                  |    1 +
 gcr/gcr-simple-certificate.c        |   13 ++
 gcr/gcr-simple-certificate.h        |    2 +
 gcr/gcr-trust.c                     |    2 +-
 gcr/gcr-types.h                     |   12 +-
 gcr/gcr-unlock-options-widget.c     |  132 ++++++++++++++++
 gcr/gcr-unlock-options-widget.h     |    2 +
 gcr/gcr-viewer.c                    |   81 ++++++++++-
 gcr/gcr-viewer.h                    |    3 +-
 33 files changed, 1245 insertions(+), 216 deletions(-)

commit 8e22f1894020161d0761f57efe615fbe5a881ea1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-06

    gcr: Modernize tests. Use standard gtest type setup.

 gcr/gcr-parser.c                                   |    2 +-
 gcr/gcr-parser.h                                   |    2 +-
 gcr/tests/Makefile.am                              |   92 +-
 gcr/tests/files/RSA_Root_Certificate_1.pem         |   19 +
 gcr/tests/files/RSA_Security_1024_v3.pem           |   16 +
 gcr/tests/files/RSA_Security_2048_v3.pem           |   22 +
 gcr/tests/files/Thawte_Personal_Basic_CA.pem       |   20 +
 gcr/tests/files/Thawte_Personal_Freemail_CA.pem    |   21 +
 gcr/tests/files/Thawte_Personal_Premium_CA.pem     |   21 +
 gcr/tests/files/Thawte_Premium_Server_CA.pem       |   21 +
 gcr/tests/files/Thawte_Server_CA.pem               |   20 +
 gcr/tests/files/Thawte_Time_Stamping_CA.pem        |   18 +
 gcr/tests/files/ca-certificates.crt                | 2560 ++++++++++++++++++++
 gcr/tests/files/cacert.org.pem                     |   41 +
 gcr/tests/files/collabora-ca.cer                   |  Bin 0 -> 1536 bytes
 gcr/tests/files/der-certificate-dsa.cer            |  Bin 0 -> 1639 bytes
 gcr/tests/files/der-certificate.crt                |  Bin 0 -> 747 bytes
 gcr/tests/files/der-dsa-1024.key                   |  Bin 0 -> 447 bytes
 gcr/tests/files/der-pkcs8-PBE-MD5-DES.key          |  Bin 0 -> 677 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-3DES.key        |  Bin 0 -> 678 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-DES.key         |  Bin 0 -> 677 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-RC2-40.key      |  Bin 0 -> 678 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-RC4-128.key     |  Bin 0 -> 673 bytes
 gcr/tests/files/der-pkcs8-dsa.key                  |  Bin 0 -> 335 bytes
 gcr/tests/files/der-pkcs8-encrypted-pkcs5.key      |  Bin 0 -> 677 bytes
 gcr/tests/files/der-pkcs8-v2-des.key               |  Bin 0 -> 711 bytes
 gcr/tests/files/der-pkcs8-v2-des3.key              |  Bin 0 -> 714 bytes
 gcr/tests/files/der-pkcs8.key                      |  Bin 0 -> 635 bytes
 gcr/tests/files/der-rsa-1024.key                   |  Bin 0 -> 609 bytes
 gcr/tests/files/dhansak-collabora.cer              |  Bin 0 -> 1200 bytes
 gcr/tests/files/email.p12                          |  Bin 0 -> 2488 bytes
 gcr/tests/files/pem-dsa-1024.key                   |   12 +
 gcr/tests/files/pem-pkcs8.key                      |   17 +
 gcr/tests/files/pem-rsa-enc.key                    |   18 +
 gcr/tests/files/test-x509-swiss.p7b                |  Bin 0 -> 1002 bytes
 gcr/tests/files/unclient.p12                       |  Bin 0 -> 1476 bytes
 gcr/tests/frob-certificate.c                       |  111 +
 gcr/tests/frob-key.c                               |  109 +
 gcr/tests/frob-selector                            |  148 ++
 gcr/tests/frob-unlock-options.c                    |  105 +
 gcr/tests/test-certificate-chain.c                 |  227 ++-
 gcr/tests/test-certificate.c                       |  197 +-
 gcr/tests/test-data/RSA_Root_Certificate_1.pem     |   19 -
 gcr/tests/test-data/RSA_Security_1024_v3.pem       |   16 -
 gcr/tests/test-data/RSA_Security_2048_v3.pem       |   22 -
 gcr/tests/test-data/Thawte_Personal_Basic_CA.pem   |   20 -
 .../test-data/Thawte_Personal_Freemail_CA.pem      |   21 -
 gcr/tests/test-data/Thawte_Personal_Premium_CA.pem |   21 -
 gcr/tests/test-data/Thawte_Premium_Server_CA.pem   |   21 -
 gcr/tests/test-data/Thawte_Server_CA.pem           |   20 -
 gcr/tests/test-data/Thawte_Time_Stamping_CA.pem    |   18 -
 gcr/tests/test-data/ca-certificates.crt            | 2560 --------------------
 gcr/tests/test-data/cacert.org.pem                 |   41 -
 gcr/tests/test-data/collabora-ca.cer               |  Bin 1536 -> 0 bytes
 gcr/tests/test-data/der-certificate-dsa.cer        |  Bin 1639 -> 0 bytes
 gcr/tests/test-data/der-certificate.crt            |  Bin 747 -> 0 bytes
 gcr/tests/test-data/der-dsa-1024.key               |  Bin 447 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-MD5-DES.key      |  Bin 677 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-3DES.key    |  Bin 678 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-DES.key     |  Bin 677 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-RC2-40.key  |  Bin 678 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-RC4-128.key |  Bin 673 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-dsa.key              |  Bin 335 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-encrypted-pkcs5.key  |  Bin 677 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-v2-des.key           |  Bin 711 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-v2-des3.key          |  Bin 714 -> 0 bytes
 gcr/tests/test-data/der-pkcs8.key                  |  Bin 635 -> 0 bytes
 gcr/tests/test-data/der-rsa-1024.key               |  Bin 609 -> 0 bytes
 gcr/tests/test-data/dhansak-collabora.cer          |  Bin 1200 -> 0 bytes
 gcr/tests/test-data/email.p12                      |  Bin 2488 -> 0 bytes
 gcr/tests/test-data/pem-dsa-1024.key               |   12 -
 gcr/tests/test-data/pem-pkcs8.key                  |   17 -
 gcr/tests/test-data/pem-rsa-enc.key                |   18 -
 gcr/tests/test-data/test-x509-swiss.p7b            |  Bin 1002 -> 0 bytes
 gcr/tests/test-data/unclient.p12                   |  Bin 1476 -> 0 bytes
 gcr/tests/test-parser.c                            |  167 ++
 gcr/tests/test-pkcs11-certificate.c                |  130 +-
 gcr/tests/test-simple-certificate.c                |   63 +-
 gcr/tests/test-trust.c                             |  150 +-
 gcr/tests/ui-test-certificate.c                    |  111 -
 gcr/tests/ui-test-key.c                            |  109 -
 gcr/tests/ui-test-unlock-options.c                 |  105 -
 gcr/tests/unit-test-parser.c                       |  142 --
 83 files changed, 4006 insertions(+), 3616 deletions(-)

commit 004cfedede3b9f59acc803e825b15117b028c738
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-05

    gck: Cleanup the documentation

 docs/reference/gck/Makefile.am          |   14 +-
 docs/reference/gck/gck-docs.sgml        |    6 +-
 docs/reference/gck/gck-pkcs11-links.xml |   25 +++
 docs/reference/gck/gck-sections.txt     |  137 +++++++++++--
 docs/reference/gck/gck.types            |    4 -
 gck/gck-attributes.c                    |  125 ++++++++-----
 gck/gck-dump.c                          |   12 ++
 gck/gck-enumerator.c                    |   68 ++++++-
 gck/gck-misc.c                          |   34 +++-
 gck/gck-module.c                        |   47 +++--
 gck/gck-modules.c                       |  123 ++++++++++--
 gck/gck-object.c                        |  154 ++++++++-------
 gck/gck-session.c                       |  267 +++++++++++++------------
 gck/gck-slot.c                          |  103 ++++-------
 gck/gck-uri.c                           |   23 ++-
 gck/gck.h                               |  331 +++++++------------------------
 16 files changed, 812 insertions(+), 661 deletions(-)

commit 59744d50022b332cb0435eef1dc687987fff2acc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-06

    gcr: Modernize tests. Use standard gtest type setup.

 gcr/gcr-parser.c                                   |    2 +-
 gcr/gcr-parser.h                                   |    2 +-
 gcr/tests/Makefile.am                              |   70 +-
 gcr/tests/files/RSA_Root_Certificate_1.pem         |   19 +
 gcr/tests/files/RSA_Security_1024_v3.pem           |   16 +
 gcr/tests/files/RSA_Security_2048_v3.pem           |   22 +
 gcr/tests/files/Thawte_Personal_Basic_CA.pem       |   20 +
 gcr/tests/files/Thawte_Personal_Freemail_CA.pem    |   21 +
 gcr/tests/files/Thawte_Personal_Premium_CA.pem     |   21 +
 gcr/tests/files/Thawte_Premium_Server_CA.pem       |   21 +
 gcr/tests/files/Thawte_Server_CA.pem               |   20 +
 gcr/tests/files/Thawte_Time_Stamping_CA.pem        |   18 +
 gcr/tests/files/ca-certificates.crt                | 2560 ++++++++++++++++++++
 gcr/tests/files/cacert.org.pem                     |   41 +
 gcr/tests/files/collabora-ca.cer                   |  Bin 0 -> 1536 bytes
 gcr/tests/files/der-certificate-dsa.cer            |  Bin 0 -> 1639 bytes
 gcr/tests/files/der-certificate.crt                |  Bin 0 -> 747 bytes
 gcr/tests/files/der-dsa-1024.key                   |  Bin 0 -> 447 bytes
 gcr/tests/files/der-pkcs8-PBE-MD5-DES.key          |  Bin 0 -> 677 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-3DES.key        |  Bin 0 -> 678 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-DES.key         |  Bin 0 -> 677 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-RC2-40.key      |  Bin 0 -> 678 bytes
 gcr/tests/files/der-pkcs8-PBE-SHA1-RC4-128.key     |  Bin 0 -> 673 bytes
 gcr/tests/files/der-pkcs8-dsa.key                  |  Bin 0 -> 335 bytes
 gcr/tests/files/der-pkcs8-encrypted-pkcs5.key      |  Bin 0 -> 677 bytes
 gcr/tests/files/der-pkcs8-v2-des.key               |  Bin 0 -> 711 bytes
 gcr/tests/files/der-pkcs8-v2-des3.key              |  Bin 0 -> 714 bytes
 gcr/tests/files/der-pkcs8.key                      |  Bin 0 -> 635 bytes
 gcr/tests/files/der-rsa-1024.key                   |  Bin 0 -> 609 bytes
 gcr/tests/files/dhansak-collabora.cer              |  Bin 0 -> 1200 bytes
 gcr/tests/files/email.p12                          |  Bin 0 -> 2488 bytes
 gcr/tests/files/pem-dsa-1024.key                   |   12 +
 gcr/tests/files/pem-pkcs8.key                      |   17 +
 gcr/tests/files/pem-rsa-enc.key                    |   18 +
 gcr/tests/files/test-x509-swiss.p7b                |  Bin 0 -> 1002 bytes
 gcr/tests/files/unclient.p12                       |  Bin 0 -> 1476 bytes
 gcr/tests/frob-certificate.c                       |  114 +
 gcr/tests/frob-key.c                               |  109 +
 gcr/tests/frob-selector.c                          |  106 +
 gcr/tests/frob-unlock-options.c                    |  105 +
 gcr/tests/test-certificate-chain.c                 |  230 ++-
 gcr/tests/test-certificate.c                       |  197 +-
 gcr/tests/test-data/RSA_Root_Certificate_1.pem     |   19 -
 gcr/tests/test-data/RSA_Security_1024_v3.pem       |   16 -
 gcr/tests/test-data/RSA_Security_2048_v3.pem       |   22 -
 gcr/tests/test-data/Thawte_Personal_Basic_CA.pem   |   20 -
 .../test-data/Thawte_Personal_Freemail_CA.pem      |   21 -
 gcr/tests/test-data/Thawte_Personal_Premium_CA.pem |   21 -
 gcr/tests/test-data/Thawte_Premium_Server_CA.pem   |   21 -
 gcr/tests/test-data/Thawte_Server_CA.pem           |   20 -
 gcr/tests/test-data/Thawte_Time_Stamping_CA.pem    |   18 -
 gcr/tests/test-data/ca-certificates.crt            | 2560 --------------------
 gcr/tests/test-data/cacert.org.pem                 |   41 -
 gcr/tests/test-data/collabora-ca.cer               |  Bin 1536 -> 0 bytes
 gcr/tests/test-data/der-certificate-dsa.cer        |  Bin 1639 -> 0 bytes
 gcr/tests/test-data/der-certificate.crt            |  Bin 747 -> 0 bytes
 gcr/tests/test-data/der-dsa-1024.key               |  Bin 447 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-MD5-DES.key      |  Bin 677 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-3DES.key    |  Bin 678 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-DES.key     |  Bin 677 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-RC2-40.key  |  Bin 678 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-RC4-128.key |  Bin 673 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-dsa.key              |  Bin 335 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-encrypted-pkcs5.key  |  Bin 677 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-v2-des.key           |  Bin 711 -> 0 bytes
 gcr/tests/test-data/der-pkcs8-v2-des3.key          |  Bin 714 -> 0 bytes
 gcr/tests/test-data/der-pkcs8.key                  |  Bin 635 -> 0 bytes
 gcr/tests/test-data/der-rsa-1024.key               |  Bin 609 -> 0 bytes
 gcr/tests/test-data/dhansak-collabora.cer          |  Bin 1200 -> 0 bytes
 gcr/tests/test-data/email.p12                      |  Bin 2488 -> 0 bytes
 gcr/tests/test-data/pem-dsa-1024.key               |   12 -
 gcr/tests/test-data/pem-pkcs8.key                  |   17 -
 gcr/tests/test-data/pem-rsa-enc.key                |   18 -
 gcr/tests/test-data/test-x509-swiss.p7b            |  Bin 1002 -> 0 bytes
 gcr/tests/test-data/unclient.p12                   |  Bin 1476 -> 0 bytes
 gcr/tests/test-parser.c                            |  167 ++
 gcr/tests/test-pkcs11-certificate.c                |  130 +-
 gcr/tests/test-simple-certificate.c                |   63 +-
 gcr/tests/test-trust.c                             |  150 +-
 gcr/tests/test-ui-selector.c                       |  106 -
 gcr/tests/ui-test-certificate.c                    |  114 -
 gcr/tests/ui-test-key.c                            |  109 -
 gcr/tests/ui-test-unlock-options.c                 |  105 -
 gcr/tests/unit-test-parser.c                       |  142 --
 84 files changed, 3973 insertions(+), 3700 deletions(-)

commit 60619c8d189c289b67241979dcadc0774d7cc75b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-05

    gck: Cleanup the documentation

 docs/reference/gck/Makefile.am          |   14 +-
 docs/reference/gck/gck-docs.sgml        |    6 +-
 docs/reference/gck/gck-pkcs11-links.xml |   25 +++
 docs/reference/gck/gck-sections.txt     |  137 +++++++++++--
 docs/reference/gck/gck.types            |    4 -
 gck/gck-attributes.c                    |  125 ++++++++-----
 gck/gck-dump.c                          |   12 ++
 gck/gck-enumerator.c                    |   68 ++++++-
 gck/gck-misc.c                          |   34 +++-
 gck/gck-module.c                        |   47 +++--
 gck/gck-modules.c                       |  123 ++++++++++--
 gck/gck-object.c                        |  154 ++++++++-------
 gck/gck-session.c                       |  267 +++++++++++++------------
 gck/gck-slot.c                          |  103 ++++-------
 gck/gck-uri.c                           |   23 ++-
 gck/gck.h                               |  331 +++++++------------------------
 16 files changed, 812 insertions(+), 661 deletions(-)

commit 489df387400f8e1aff2ac211426f647128a08f4c
Merge: 49f0b0e c14e6d5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-05

    Merge branch 'gnome-3-0'

commit c14e6d53b08060758004724987e2facedcecd8e3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-31

    gcr: Fix invalid assertions when using gcr_parser_parse_stream_xxx()

 gcr/gcr-parser.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit cb7fce5a4cd56270af88f83fc9fa8277e650c44d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-30

    gcr: Implement gcr_certificate_basics_xxx() stubs properly.

 gcr/gcr-certificate-basics-widget.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 86bc123e3ad58142684a77f5cdabd774f0c9a4c0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-25

    Add correct version numbers to documentation.

 docs/reference/gck/gck-docs.sgml  |   10 ++++++----
 docs/reference/gck/version.xml.in |    1 +
 docs/reference/gcr/gcr-docs.sgml  |   12 +++++++-----
 docs/reference/gcr/version.xml.in |    1 +
 4 files changed, 15 insertions(+), 9 deletions(-)

commit 7caf86542209172836281c6f36c267c42b644c99
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-23

    Modernise the gck tests.

 egg/Makefile.am                 |   12 ++-
 gck/tests/Makefile.am           |   51 +++---
 gck/tests/test-gck-attributes.c |  148 ++++++++++++---
 gck/tests/test-gck-crypto.c     |  375 ++++++++++++++++++++++++---------------
 gck/tests/test-gck-enumerator.c |  151 ++++++++++++-----
 gck/tests/test-gck-module.c     |  169 ++++++++----------
 gck/tests/test-gck-modules.c    |  130 +++++++++++---
 gck/tests/test-gck-object.c     |  323 ++++++++++++++++++++--------------
 gck/tests/test-gck-session.c    |  230 ++++++++++++++++--------
 gck/tests/test-gck-slot.c       |  137 ++++++++++----
 gck/tests/test-gck-uri.c        |  148 ++++++++++++----
 gck/tests/test-gck.h            |   43 -----
 12 files changed, 1229 insertions(+), 688 deletions(-)

commit 49f0b0ee0c08e23083053e4948c7b6f44d366f20
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-23

    gcr: Sortable selector

 gcr/gcr-certificate.c      |   41 +++--
 gcr/gcr-collection-model.c |  409 +++++++++++++++++++++-----------------------
 gcr/gcr-collection-model.h |    8 +-
 gcr/gcr-column.h           |   17 ++-
 gcr/gcr-selector.c         |  146 +++++++++++++---
 gcr/gcr-selector.h         |    9 -
 6 files changed, 363 insertions(+), 267 deletions(-)

commit 1fc52f98cfd8e568f5b986d0b3aeca77bed7e712
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-20

    [gcr] More implementation of selector widget.
    
     * Add a certificate base class to augment interface with default props.
     * All properties come from certificate rather than renderer.
     * Certificates are comparable.

 docs/reference/gcr/gcr-sections.txt |    4 +
 gcr/Makefile.am                     |    5 +
 gcr/gcr-certificate-renderer.c      |  111 ++---------
 gcr/gcr-certificate-renderer.h      |    2 -
 gcr/gcr-certificate.c               |  283 ++++++++++++++++++++++++++-
 gcr/gcr-certificate.h               |   37 +++-
 gcr/gcr-collection-model.c          |  106 +++++++++-
 gcr/gcr-collection-model.h          |   16 ++-
 gcr/gcr-column.h                    |    5 +-
 gcr/gcr-comparable.c                |  103 ++++++++++
 gcr/gcr-comparable.h                |   54 +++++
 gcr/gcr-library.c                   |    6 +-
 gcr/gcr-pkcs11-certificate.c        |   13 +-
 gcr/gcr-renderer.c                  |   33 ---
 gcr/gcr-renderer.h                  |    5 -
 gcr/gcr-selector.c                  |  364 +++++++++++++++++++++++++++++++++++
 gcr/gcr-selector.h                  |   82 ++++++++
 gcr/gcr-simple-certificate.c        |   26 ++-
 gcr/gcr.h                           |    1 +
 gcr/tests/test-ui-selector.c        |   82 +-------
 20 files changed, 1091 insertions(+), 247 deletions(-)

commit 4add6a335818a7c6ad7f238703cb0ed7d7307535
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-17

    [gcr] Partial implementation of data for tree columns.

 gcr/gcr-certificate-renderer.c |   42 ++++++++++++++++++++--
 gcr/gcr-certificate-renderer.h |    5 +++
 gcr/gcr-collection-model.c     |   24 ++++++++-----
 gcr/gcr-collection-model.h     |   13 ++-----
 gcr/gcr-column.h               |   40 +++++++++++++++++++++
 gcr/gcr-renderer.c             |   21 +++++++++++
 gcr/gcr-renderer.h             |   34 ++++++++---------
 gcr/tests/test-ui-selector.c   |   77 +++++++++++++++++++++++++++++++--------
 8 files changed, 200 insertions(+), 56 deletions(-)

commit a2fbc3ebd401dd76ecf90ef0e0c899dfe4c67744
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-15

    [gcr] Add functionality for renderers to populate tree models.
    
     * Add markup, icon and description properties to renderers.
     * Add GcrSimpleCollection which implements collections.
     * Use GIcon instead of stock ids.
     * Rough example test certificate selector.

 gcr/Makefile.am                |    2 +
 gcr/gcr-certificate-renderer.c |   69 +++++++++++++++----
 gcr/gcr-collection-model.c     |    4 +-
 gcr/gcr-display-view.c         |   42 +++++++++---
 gcr/gcr-display-view.h         |    4 +-
 gcr/gcr-key-renderer.c         |   12 +++-
 gcr/gcr-library.c              |    8 ++-
 gcr/gcr-renderer.c             |   18 ++++-
 gcr/gcr-renderer.h             |   21 +++++-
 gcr/gcr-simple-collection.c    |  143 ++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-simple-collection.h    |   67 +++++++++++++++++++
 gcr/gcr.h                      |    3 +
 gcr/tests/Makefile.am          |   43 ++----------
 gcr/tests/test-ui-selector.c   |  129 ++++++++++++++++++++++++++++++++++++
 14 files changed, 491 insertions(+), 74 deletions(-)

commit 262c70253cdded24d4692c37cac59732ff4d70d1
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-12

    [gcr] GcrCertificateRenderer takes either attrs or cert.
    
    Take either attributes or a GcrCertificate. That way when using renderer
    in the (future) selector, we won't have lots of extra objects.

 gcr/gcr-certificate-renderer.c |  133 ++++++++++++++++++++++++---------------
 gcr/gcr-certificate-renderer.h |    3 +
 2 files changed, 85 insertions(+), 51 deletions(-)

commit b7162290408e0323a98abeddd33595dfc6f4c6bf
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-06

    [gcr] Add collection iface for objects lists and GtkTreeModel
    
    Will be used in various selectors to provide a list of things
    to select from.

 gcr/Makefile.am            |    6 +-
 gcr/gcr-collection-model.c |  643 ++++++++++++++++++++++++++++++++++++++++++++
 gcr/gcr-collection-model.h |   76 ++++++
 gcr/gcr-collection.c       |  128 +++++++++
 gcr/gcr-collection.h       |   75 +++++
 5 files changed, 927 insertions(+), 1 deletions(-)

commit 75f0366f1fe6a8f8cd9fdaab877f17c13a297637
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-04

    Release version 3.0.0

 docs/reference/gck/Makefile.am |    2 +-
 docs/reference/gcr/Makefile.am |    2 +-
 egg/egg-asn1x.c                |    5 ++++-
 gcr/gcr-display-view.c         |    2 +-
 gcr/gcr-parser.c               |    2 +-
 5 files changed, 8 insertions(+), 5 deletions(-)

commit f911264b165c83b0ba508cc06188605d9007e160
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-31

    gcr: Fix invalid assertions when using gcr_parser_parse_stream_xxx()

 gcr/gcr-parser.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 13e874f54ddb94cc0bcfefde887a04abf19bbf59
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-30

    gcr: Mark strings as translatable.

 gcr/gcr-certificate-renderer.c |    2 +-
 gcr/gcr-display-view.c         |    6 +++++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 91b22cda89a394338a997ed8aa01055628df0b74
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-30

    gcr: Implement gcr_certificate_basics_xxx() stubs properly.

 gcr/gcr-certificate-basics-widget.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 757396c97b91b334279e7f6918fea29448fc9d06
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-25

    Add correct version numbers to documentation.

 docs/reference/gck/gck-docs.sgml  |   10 ++++++----
 docs/reference/gck/version.xml.in |    1 +
 docs/reference/gcr/gcr-docs.sgml  |   12 +++++++-----
 docs/reference/gcr/version.xml.in |    1 +
 4 files changed, 15 insertions(+), 9 deletions(-)

commit 39e8f37b2b6cbbcc60230e0b8e48efd2f05d1d51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-23

    Modernise the gck tests.

 egg/Makefile.am                 |   12 ++-
 gck/tests/Makefile.am           |   51 +++---
 gck/tests/test-gck-attributes.c |  148 ++++++++++++---
 gck/tests/test-gck-crypto.c     |  375 ++++++++++++++++++++++++---------------
 gck/tests/test-gck-enumerator.c |  151 ++++++++++++-----
 gck/tests/test-gck-module.c     |  169 ++++++++----------
 gck/tests/test-gck-modules.c    |  130 +++++++++++---
 gck/tests/test-gck-object.c     |  323 ++++++++++++++++++++--------------
 gck/tests/test-gck-session.c    |  230 ++++++++++++++++--------
 gck/tests/test-gck-slot.c       |  137 ++++++++++----
 gck/tests/test-gck-uri.c        |  148 ++++++++++++----
 gck/tests/test-gck.h            |   43 -----
 12 files changed, 1229 insertions(+), 688 deletions(-)

commit 1423c3ee0e455cf72174d1ad807fd2e0e9ff8135
Merge: 94caa61 d407dcd
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-19

    Merge branch 'gnome-3-0'

commit d407dcdbca70586a6515462aa2a93e546f2f2956
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-18

    [gcr] Add deprecated functions for symbols lost since 2.32.x
    
     * gcr_certificate_basics_xxx
     * gcr_certificate_details_xxx
     * gcr_importer_xxx_parser

 gcr/Makefile.am                      |    2 +
 gcr/gcr-certificate-basics-widget.c  |   54 +++++++++++++++++++++++++++++
 gcr/gcr-certificate-basics-widget.h  |   62 ++++++++++++++++++++++++++++++++++
 gcr/gcr-certificate-details-widget.c |   54 +++++++++++++++++++++++++++++
 gcr/gcr-certificate-details-widget.h |   61 +++++++++++++++++++++++++++++++++
 gcr/gcr-importer.c                   |   19 ++++++++++
 gcr/gcr-importer.h                   |    9 +++++
 gcr/gcr.h                            |    7 ++++
 8 files changed, 268 insertions(+), 0 deletions(-)

commit 94caa6117e7bf86b59aa0762008d3f69a204d634
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   2011-03-14

    Fix gck_uri_parse error message
    
    Signed-off-by: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>

 gck/gck-uri.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit db8e50dc11225719aab922430b3f87eaa51dc5c9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-08

    [gcr] Add 'Export Certificate' right click in cert widget.
    
    Users can right click on the certificate widget, and export the
    certificate to DER or PEM format.

 gcr/Makefile.am                 |    1 +
 gcr/gcr-certificate-exporter.c  |  566 +++++++++++++++++++++++++++++++++++++++
 gcr/gcr-certificate-exporter.h  |   73 +++++
 gcr/gcr-certificate-renderer.c  |   79 ++++++-
 gcr/gcr-display-view.c          |   68 +++++
 gcr/gcr-renderer.c              |    9 +
 gcr/gcr-renderer.h              |    6 +
 gcr/tests/ui-test-certificate.c |   23 +-
 8 files changed, 813 insertions(+), 12 deletions(-)

commit a94dc7475e91ea11ef3a526367027fa1058fbeb2
Merge: 810500a a595e68
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-09

    Merge branch 'with-hkdf'

commit 810500a36fa44305cb36fa8b4862473b5c1f38f4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-08

    [egg] Complete implementation of openssl sytle PEM writing
    
    The openssl PEM parser is particularly fragile, so write some
    stringent tests to check.

 egg/egg-openssl.c        |   34 +++++++++++++++++++++++-----------
 egg/tests/test-openssl.c |   29 +++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+), 11 deletions(-)

commit d5f70e1ea7f646d89f2859c11adf800ad0f1003e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-07

    [gck] Fix uri library-manufacturer test.

 gck/tests/test-gck-uri.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aa74d123db46035f1866b405dfd18d8a2acc0d6a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-04

    Transfer the color properly onto the certificate widget expander.
    
     * Remains white when a text selection surrounds it, this is harder
       to fix.
     * Highlights properly on mouse over.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643892

 gcr/gcr-display-view.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 06a22db0a23b353082d8b9f9412c558a3054db0e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-04

    Calculate the minimal/natural size of certificate widget  better.
    
     * These are still just gueseses. But they're guesses that look good.
     * Added a new GcrViewer implementation that is a scrolled viewer.
       We use this in GcrCertificateWidget instead of using GtkScrolledWindow
       directly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643892

 gcr/Makefile.am                 |    1 +
 gcr/gcr-certificate-widget.c    |   13 +---
 gcr/gcr-display-scrolled.c      |  172 +++++++++++++++++++++++++++++++++++++++
 gcr/gcr-display-scrolled.h      |   56 +++++++++++++
 gcr/gcr-display-view.c          |  105 ++++++++++++++++++++++++
 gcr/gcr-viewer.c                |    7 ++
 gcr/gcr-viewer.h                |    2 +
 gcr/tests/ui-test-certificate.c |    1 -
 8 files changed, 346 insertions(+), 11 deletions(-)

commit 2d1569b8504479827925b2746ff60a2ef332ec7e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-02

    Make the library-manufacturer in the trust uris actually match.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=641121

 gcr/gcr-library.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit a099fdca63d5892a101285a227c72f08eb208f77
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-01

    [gck] Support 'library-manufacturer' in PKCS#11 URIs properly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643574

 gck/gck-uri.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1522bda8694d3353459d73dfc0c644ba712fe72b
Merge: e66aa0e b61f589
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-01

    Merge branch 'secret-content-type'

commit e66aa0e950deaa75f15671e34716b80ff2746d8f
Merge: b61f589 dcb0875
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-01

    Merge branch 'hard-code-config'

commit dcb087524cd121f6979f7a1a7c50d4d86ac2c03e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-28

    [gcr] Remove support for pkcs11-options file.
    
    In the next release we should be integrating with p11-kit which will
    contain support for proper configuration of PKCS#11 modules. So for
    this release we hard code the modules we'd like to use.

 gcr/Makefile.am                     |    9 -------
 gcr/gcr-library.c                   |   44 ++++++++---------------------------
 gcr/pkcs11-options.defaults         |   13 ----------
 gcr/tests/Makefile.am               |    1 -
 gcr/tests/test-certificate-chain.c  |    3 --
 gcr/tests/test-certificate.c        |    3 --
 gcr/tests/test-pkcs11-certificate.c |    3 --
 gcr/tests/test-simple-certificate.c |    3 --
 gcr/tests/test-trust.c              |    3 --
 gcr/tests/unit-test-parser.c        |    3 --
 10 files changed, 10 insertions(+), 75 deletions(-)

commit b61f58938605a6a930e0ae6d545b8f8b59e248cf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-23

    Use more modern gtest style for egg tests.

 egg/Makefile.am                             |    1 +
 egg/egg-hkdf.h                              |   39 ++
 egg/egg-testing.c                           |  178 +++++++++
 egg/egg-testing.h                           |   54 +++
 egg/tests/Makefile.am                       |   71 ++--
 egg/tests/files/dh-params.pem               |    5 +
 egg/tests/files/echo-script.sh              |   12 +
 egg/tests/files/pem-rsa-enc.key             |   18 +
 egg/tests/files/test-certificate-1.der      |  Bin 0 -> 813 bytes
 egg/tests/files/test-personalname-1.der     |    1 +
 egg/tests/files/test-pkcs12-1.der           |  Bin 0 -> 2824 bytes
 egg/tests/files/test-pkcs7-1.der            |  Bin 0 -> 1002 bytes
 egg/tests/files/test-pkcs7-2.der            |  Bin 0 -> 1002 bytes
 egg/tests/files/test-pkcs8-1.der            |  Bin 0 -> 335 bytes
 egg/tests/files/test-rsakey-1.der           |  Bin 0 -> 609 bytes
 egg/tests/test-asn1.c                       |  539 +++++++++++++++++++++++++--
 egg/tests/test-asn1x.c                      |   53 ++-
 egg/tests/test-data/dh-params.pem           |    5 -
 egg/tests/test-data/echo-script.sh          |   12 -
 egg/tests/test-data/pem-rsa-enc.key         |   18 -
 egg/tests/test-data/test-certificate-1.der  |  Bin 813 -> 0 bytes
 egg/tests/test-data/test-personalname-1.der |    1 -
 egg/tests/test-data/test-pkcs12-1.der       |  Bin 2824 -> 0 bytes
 egg/tests/test-data/test-pkcs7-1.der        |  Bin 1002 -> 0 bytes
 egg/tests/test-data/test-pkcs7-2.der        |  Bin 1002 -> 0 bytes
 egg/tests/test-data/test-pkcs8-1.der        |  Bin 335 -> 0 bytes
 egg/tests/test-data/test-rsakey-1.der       |  Bin 609 -> 0 bytes
 egg/tests/test-dh.c                         |  204 ++++++++++
 egg/tests/test-dn.c                         |   70 +++--
 egg/tests/test-hex.c                        |  118 ++++++
 egg/tests/test-oid.c                        |   54 +++
 egg/tests/test-openssl.c                    |  181 +++++++++
 egg/tests/test-padding.c                    |  134 +++++---
 egg/tests/test-secmem.c                     |  265 +++++++++++++
 egg/tests/test-symkey.c                     |  238 ++++++++++++
 egg/tests/unit-test-asn1.c                  |  427 ---------------------
 egg/tests/unit-test-dh.c                    |  172 ---------
 egg/tests/unit-test-hex.c                   |  101 -----
 egg/tests/unit-test-oid.c                   |   46 ---
 egg/tests/unit-test-openssl.c               |  137 -------
 egg/tests/unit-test-secmem.c                |  237 ------------
 egg/tests/unit-test-spawn.c                 |  270 --------------
 egg/tests/unit-test-symkey.c                |  228 -----------
 43 files changed, 2087 insertions(+), 1802 deletions(-)

commit a595e68a0b324cfbf8489beaec7402f4c91dac98
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-24

    Implement HKDF for transport encryption security.
    
    This is to hash the results of the DH key agreement, since the
    generated key size rarely matches the size of our bulk
    encryption key size.
    
     * Add PKCS#11 algorithm CKM_G_HKDF_SHA256_DERIVE
     * Change DH code so it always generates keys of prime size.
     * Change CKM_DH_PKCS11_DERIVE mechanism to support truncating
       or expanding keys on its own (without help from underlying
       implementation) in accordance with PKCS#11. Although we no
       longer use this.
     * Add support for CKK_GENERIC_SECRET keys.
     * Update prompt code to use HKDF in key negotiation.
     * Add secret service dh-ietf1024-sha256-aes128-cbc-pkcs7 algo
       which replaces the previous.

 egg/Makefile.am       |    2 +
 egg/egg-dh.c          |   16 +--
 egg/egg-dh.h          |    2 +-
 egg/egg-hkdf.c        |  109 ++++++++++++++++
 egg/tests/test-dh.c   |   70 +++++-----
 egg/tests/test-hkdf.c |  345 +++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 497 insertions(+), 47 deletions(-)

commit 4904406338f0f49fd55f6f3443a967b9988a7d5d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-23

    Use more modern gtest style for egg tests.

 egg/Makefile.am                             |    1 +
 egg/egg-hkdf.h                              |   39 ++
 egg/egg-testing.c                           |  178 +++++++++
 egg/egg-testing.h                           |   54 +++
 egg/tests/Makefile.am                       |   71 ++--
 egg/tests/files/dh-params.pem               |    5 +
 egg/tests/files/echo-script.sh              |   12 +
 egg/tests/files/pem-rsa-enc.key             |   18 +
 egg/tests/files/test-certificate-1.der      |  Bin 0 -> 813 bytes
 egg/tests/files/test-personalname-1.der     |    1 +
 egg/tests/files/test-pkcs12-1.der           |  Bin 0 -> 2824 bytes
 egg/tests/files/test-pkcs7-1.der            |  Bin 0 -> 1002 bytes
 egg/tests/files/test-pkcs7-2.der            |  Bin 0 -> 1002 bytes
 egg/tests/files/test-pkcs8-1.der            |  Bin 0 -> 335 bytes
 egg/tests/files/test-rsakey-1.der           |  Bin 0 -> 609 bytes
 egg/tests/test-asn1.c                       |  539 +++++++++++++++++++++++++--
 egg/tests/test-asn1x.c                      |   53 ++-
 egg/tests/test-data/dh-params.pem           |    5 -
 egg/tests/test-data/echo-script.sh          |   12 -
 egg/tests/test-data/pem-rsa-enc.key         |   18 -
 egg/tests/test-data/test-certificate-1.der  |  Bin 813 -> 0 bytes
 egg/tests/test-data/test-personalname-1.der |    1 -
 egg/tests/test-data/test-pkcs12-1.der       |  Bin 2824 -> 0 bytes
 egg/tests/test-data/test-pkcs7-1.der        |  Bin 1002 -> 0 bytes
 egg/tests/test-data/test-pkcs7-2.der        |  Bin 1002 -> 0 bytes
 egg/tests/test-data/test-pkcs8-1.der        |  Bin 335 -> 0 bytes
 egg/tests/test-data/test-rsakey-1.der       |  Bin 609 -> 0 bytes
 egg/tests/test-dh.c                         |  204 ++++++++++
 egg/tests/test-dn.c                         |   70 +++--
 egg/tests/test-hex.c                        |  118 ++++++
 egg/tests/test-oid.c                        |   54 +++
 egg/tests/test-openssl.c                    |  181 +++++++++
 egg/tests/test-padding.c                    |  134 +++++---
 egg/tests/test-secmem.c                     |  265 +++++++++++++
 egg/tests/test-symkey.c                     |  238 ++++++++++++
 egg/tests/unit-test-asn1.c                  |  427 ---------------------
 egg/tests/unit-test-dh.c                    |  172 ---------
 egg/tests/unit-test-hex.c                   |  101 -----
 egg/tests/unit-test-oid.c                   |   46 ---
 egg/tests/unit-test-openssl.c               |  137 -------
 egg/tests/unit-test-secmem.c                |  237 ------------
 egg/tests/unit-test-spawn.c                 |  270 --------------
 egg/tests/unit-test-symkey.c                |  228 -----------
 43 files changed, 2087 insertions(+), 1802 deletions(-)

commit ef1b112812c974b625c3841c6706bdb26cee8b29
Author: Claude Paroz <claude@2xlibre.net>
Date:   2011-02-09

    Add translator comment about 'pinned certificate'

 gcr/gcr-trust.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 29f9c4cf4aa5d9c254f9ed41adc915439d46fcc8
Author: Ryan Stonecipher <Ryan.Stonecipher.Fisher@gmail.com>
Date:   2011-01-24

    Fix undefined type in egg-asn1x.c
    
    Mac OSX doesn't have a ulong type
    
    https://bugzilla.gnome.org/show_bug.cgi?id=640362

 egg/egg-asn1x.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 531deb3893cc5dcec940799271fc304cf6eb1c96
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-01-19

    Fix problems building tests using internal functions.
    
    Recently the changes to libgck and libgcr --export-symbols-regex
    broke the tests. Export different symbols when tests are enabled
    or not.

 gck/Makefile.am                 |    5 ++++-
 gck/tests/Makefile.am           |    2 +-
 gck/tests/test-gck-crypto.c     |    2 ++
 gck/tests/test-gck-enumerator.c |    1 +
 gck/tests/test-gck-module.c     |    1 +
 gck/tests/test-gck-modules.c    |    1 +
 gck/tests/test-gck-object.c     |    1 +
 gck/tests/test-gck-session.c    |    1 +
 gck/tests/test-gck-slot.c       |    1 +
 gcr/Makefile.am                 |   26 +++++++++++++++-----------
 10 files changed, 28 insertions(+), 13 deletions(-)

commit 18af8f0e68282a5648916ce89c45ce48eada2065
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-01-19

    Issue new test certificates.

 testing/ca-example/certs/client-future.crt |   18 +++++++++++++++
 testing/ca-example/certs/client-past.crt   |   18 +++++++++++++++
 testing/ca-example/certs/client.crt        |   33 +++++++++++++--------------
 testing/ca-example/certs/server-self.crt   |   11 +++++++++
 testing/ca-example/certs/server.crt        |   14 +++++++++++
 testing/ca-example/commands.txt            |    3 ++
 testing/ca-example/keys/server.key         |    9 +++++++
 testing/ca-example/requests/server.req     |    8 ++++++
 testing/ca-example/serial.txt              |    2 +-
 9 files changed, 98 insertions(+), 18 deletions(-)

commit da9b26fa8522e855e7e6803e321b7444d8ba0d06
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-01-04

    [gcr] Redo the PKCS#11 configuration file.
    
    Use /etc/pkcs11/pkcs11-options and pkcs11-options.defaults files
    instead. Don't use XDG style stuff if we're not going to follow
    the XDG base dir specification.

 gcr/Makefile.am             |    4 ++--
 gcr/gcr-library.c           |    4 ++--
 gcr/pkcs11-options.defaults |   13 +++++++++++++
 gcr/pkcs11.conf.defaults    |   13 -------------
 4 files changed, 17 insertions(+), 17 deletions(-)

commit 877f01db2b7d74acfdbd4fe373d7cd37d9f6104e
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-12-31

    [gck] Update PKCS#11 URI to add library support.
    
    Add library-description and library-description and library-manufacturer
    parts. And refactor to support parsing in different contexts better.

 docs/reference/gck/gck-docs.sgml    |    1 +
 docs/reference/gck/gck-sections.txt |    9 +
 gck/gck-enumerator.c                |   49 +++--
 gck/gck-misc.c                      |   39 ++++
 gck/gck-modules.c                   |   63 ++++--
 gck/gck-private.h                   |   12 +-
 gck/gck-slot.c                      |   36 +---
 gck/gck-uri.c                       |  217 +++++++++++++++----
 gck/gck.h                           |   29 ++-
 gck/tests/gck-test.h                |   19 --
 gck/tests/test-gck-enumerator.c     |   47 +++--
 gck/tests/test-gck-uri.c            |  405 ++++++++++++++++++++++++++++------
 gck/tests/test-gck.h                |   43 ++++
 13 files changed, 738 insertions(+), 231 deletions(-)

commit 4fdced65884387b7e6db9314659d30b558822a26
Author: Marek Černocký <marek@manet.cz>
Date:   2011-01-15

    I18N fix - using ngettext

 gcr/gcr-key-renderer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ef20b5080b7a9789a8d5c7c2b9907cfd24d16281
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   2010-12-28

    libgcr.so: Only export symbols that begin with gcr_
    
    Bug #638216

 gcr/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 51b5aeca83dd71c157ca6555d2b8c4cd4c4d0e13
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   2010-12-28

    libgck.so: Only export symbols that begin with gck_
    
    Bug #638216

 gck/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 40d1ac4bb6b573767b451b6bcbcb237b114fc7bf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-22

    [gcr] More fixes for GTK+ 2.91.7
    
     * gtk_widget_render_icon()
     * gdk_cursor_unref()

 gcr/gcr-display-view.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit ae47240369ed4793025af747584ee603a0568f11
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-22

    [gcr] Make tests use pkcs11.conf.defaults from srcdir.
    
    So that make distcheck passes, and tests run without
    a prior 'make install'

 gcr/Makefile.am                     |    8 ++------
 gcr/gcr-internal.h                  |    4 ++++
 gcr/gcr-library.c                   |   29 ++++++++++++++++++-----------
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/test-certificate-chain.c  |    4 ++++
 gcr/tests/test-certificate.c        |    4 ++++
 gcr/tests/test-pkcs11-certificate.c |    4 ++++
 gcr/tests/test-simple-certificate.c |    3 +++
 gcr/tests/test-trust.c              |    4 ++++
 gcr/tests/unit-test-parser.c        |    4 ++++
 10 files changed, 48 insertions(+), 17 deletions(-)

commit 0df3d4aaa1b665889fe5d43d524cf77f093de9c0
Merge: bae8a84 012ac21
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-22

    Merge branch 'trust-store'

commit 012ac2156d86705648c59453442299cadf885239
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-22

    [gcr] PKCS#11 conf file is now in /etc/xdg
    
    And install a pkcs11.conf.defaults file which is updated along
    with gnome-keyring, and then a pkcs11.conf file which is editable
    and can be overridden by admin/user.

 gcr/Makefile.am          |   17 +++++++++++++++--
 gcr/gcr-library.c        |   35 ++++++++++++++++-------------------
 gcr/pkcs11.conf.defaults |   13 +++++++++++++
 3 files changed, 44 insertions(+), 21 deletions(-)

commit f95bf7c618416347633f60065788a9ea1a4ef07b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-22

    [egg] Don't try to encode optional sequences if empty.

 egg/egg-asn1x.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 132d95b4196a376b74c037d0b583b1e04f3d06a9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-22

    [egg] Remove non-deterministic checks in spawn tests.
    
    These complete in a different thread, and the check is vulnerable
    to a race condition.

 egg/tests/unit-test-spawn.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit c3c628f387cca2f73812a5551222335b6f61ce9a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-22

    [egg] Fix uninitialized list pointers.

 egg/egg-asn1x.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 70ec4f6ec15210591212e5e49c09cbcd29e2e76f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-22

    Add missing files to distribution.

 egg/tests/Makefile.am |    8 ++++----
 gck/tests/Makefile.am |    6 +++---
 gcr/tests/Makefile.am |    2 +-
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 663b7078c0ad8aac67f2599b2fda4bc84557b1c1
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-12-18

    [gcr] Add config file for setting trust slot origin/storage
    
    Looks up which PKCS#11 slots to use for trust assertion lookups
    and storage in /etc/pkcs11.conf

 docs/reference/gcr/gcr-sections.txt |    4 +-
 gcr/Makefile.am                     |    2 +-
 gcr/gcr-library.c                   |  137 +++++++++++++++++++++++++++--------
 gcr/gcr-library.h                   |    8 ++-
 gcr/gcr-trust.c                     |   66 ++++++-----------
 gcr/tests/test-certificate-chain.c  |    6 ++-
 gcr/tests/test-trust.c              |    5 ++
 7 files changed, 152 insertions(+), 76 deletions(-)

commit f70667fbf2e5adc465522d12147fc51694f21944
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-12-18

    [gck] Allow enumeration over slots as well as modules.
    
    Can now enumerate object over a list of slots, as well as
    a list of modules.

 docs/reference/gck/gck-sections.txt |    1 +
 gck/gck-enumerator.c                |  116 ++++++++++++++++-------------------
 gck/gck-modules.c                   |    2 +-
 gck/gck-slot.c                      |   19 ++++++
 gck/gck.h                           |    4 +
 gck/tests/test-gck-enumerator.c     |   38 +++++++++++-
 6 files changed, 113 insertions(+), 67 deletions(-)

commit 38401bd068f67f5d66aaf90f141968be22a6849d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-14

    [gcr] Add distrusted GcrCertificateChainStatus
    
    However no implementation yet.

 gcr/gcr-certificate-chain.c |   68 +++++++++++++++++++++++-------------------
 gcr/gcr-certificate-chain.h |    1 +
 2 files changed, 38 insertions(+), 31 deletions(-)

commit d7ab8843f9af39b028fb4fd1bba0d35dc9c8f5d4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-13

    [gcr] Fix memory leaks in trust lookup tests.

 gcr/tests/test-trust.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit afec88907600a42b6805a4db1d34df30dce2572c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-13

    [gcr] Fix memory leaks in async functions.
    
    g_async_result_get_source_object() refs its result.

 gcr/gcr-pkcs11-certificate.c |    6 ++++--
 gcr/gcr-trust.c              |   12 ++++++++++--
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 1f4b72288fd7898843e123347ac7bb49cfc638bd
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-13

    [gcr] Fix memory leaks in certificate chain code.

 gcr/gcr-certificate-chain.c        |   10 ++++++----
 gcr/tests/test-certificate-chain.c |    5 ++++-
 2 files changed, 10 insertions(+), 5 deletions(-)

commit 8de6a97ebb06217dd1f7e76de897298ae12fb51f
Merge: 14526f5 bae8a84
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-13

    Merge branch 'master' into trust-store

commit bae8a84bedd067dc04dadab53cc9eed63244dab8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-13

    [gcr] Fix memory leaks in gcr test code.

 gcr/tests/unit-test-parser.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b94d196fb85ecd3d111038c45e9364b5bae877cb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-13

    [egg] Fix memory leaks in ASN.1 code.

 egg/egg-asn1x.c |   25 ++++++++++++++-----------
 1 files changed, 14 insertions(+), 11 deletions(-)

commit 437e8b3b3d304ffc4864daf82e506ae6f450e98c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-09

    [gcr] Fix Gtk+ version check.
    
    2.91.6 has the new style-context code, not 2.91.5

 gcr/gcr-display-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 14526f568cb9acb177366792465bf8adcaf68956
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-13

    Use term 'distrust' instead of 'untrust'
    
    Suggested by Yaron Sheffer and describes the concept much
    more aptly.

 gck/gck-dump.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 70d20dfa4502df7581b9e5f89e26a3e6bc644e02
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-11

    [gcr] Documentation fixes for GcrCertificateChain

 gcr/gcr-certificate-chain.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit e6a42ba58e703d44f9272dfa53faad2eca2cdd08
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-11

    [gcr] Certificate chain has a 'status' not a 'type'
    
    This makes things clearer. Also add enum and flags types for
    certificate chain stuff.

 docs/reference/gcr/gcr-sections.txt |    4 +-
 gcr/gcr-certificate-chain.c         |  122 +++++++++++++++++++++++------------
 gcr/gcr-certificate-chain.h         |   27 ++++++--
 gcr/gcr-trust.c                     |    2 +-
 gcr/tests/test-certificate-chain.c  |   36 +++++-----
 5 files changed, 122 insertions(+), 69 deletions(-)

commit 03d5d5c022e398e5dc4c5e0f22cc5d7d55943482
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-11

    [gcr] Fix problem where issuer was returned instead of subject.

 gcr/gcr-certificate.c        |    2 +-
 gcr/tests/test-certificate.c |   44 +++++++++++++++++++++++++++++++++++------
 2 files changed, 38 insertions(+), 8 deletions(-)

commit b3eca4c02fd0b5ba25f46dba0b9c038b21da9e11
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    [gcr] Fix memory leak in certificate chain building.

 gcr/gcr-certificate-chain.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8b789f99bbff8f7059964e92baeeccb2c7075e9c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    Rename CKA_G_ trust prefix to CKA_X_ and move to own file.
    
    Move the PKCS#11 trust extensions to its own file and give it
    its own prefix.

 gck/gck-dump.c                     |   27 ++++++++++++++-------------
 gcr/gcr-trust.c                    |   31 ++++++++++++++++---------------
 gcr/tests/test-certificate-chain.c |   21 ++++++++++++---------
 gcr/tests/test-trust.c             |   10 ++++++----
 4 files changed, 48 insertions(+), 41 deletions(-)

commit cd6eeb3fd4fe5b458c26f58f49ed9120b6ce19b2
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    Change terminology to 'pinned certificate' from 'exception'.
    
    The matching terminology of 'anchored certificate' and 'pinned
    certificate' makes things consistent and understandable.

 docs/reference/gcr/gcr-sections.txt |   24 ++--
 gck/gck-dump.c                      |    6 +-
 gcr/gcr-certificate-chain.c         |    8 +-
 gcr/gcr-trust.c                     |  262 +++++++++++++++++------------------
 gcr/gcr-trust.h                     |   24 ++--
 gcr/tests/test-certificate-chain.c  |    8 +-
 gcr/tests/test-trust.c              |   74 +++++-----
 7 files changed, 201 insertions(+), 205 deletions(-)

commit d8bbb8818a9a5aebb32d25e7d447f544fab5d512
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    [gcr] Add GcrCertificateChain
    
    Represents a certificate chain, and has an operation which builds
    the chain into a complete chain and identifies the type of chain.

 docs/reference/gcr/gcr-docs.sgml          |    1 +
 docs/reference/gcr/gcr-sections.txt       |   28 ++
 docs/reference/gcr/gcr.types              |    3 +-
 gcr/Makefile.am                           |    2 +
 gcr/gcr-certificate-chain.c               |  735 +++++++++++++++++++++++++++++
 gcr/gcr-certificate-chain.h               |  113 +++++
 gcr/gcr.h                                 |    1 +
 gcr/tests/Makefile.am                     |    1 +
 gcr/tests/test-certificate-chain.c        |  580 +++++++++++++++++++++++
 gcr/tests/test-data/collabora-ca.cer      |  Bin 0 -> 1536 bytes
 gcr/tests/test-data/dhansak-collabora.cer |  Bin 0 -> 1200 bytes
 11 files changed, 1463 insertions(+), 1 deletions(-)

commit 5dd722a4c8b9bea851ae45d26f4317a6bedf79b3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    [gcr] Fix type check macros for certificate implementations.
    
    The type check macros for GcrSimpleCertificate and GcrPkcs11Certificate
    were wrong.

 gcr/gcr-pkcs11-certificate.h |   10 +++++-----
 gcr/gcr-simple-certificate.h |   10 +++++-----
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 0339e4817e36be54b25a774d6ab8ba7ee18b1b43
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    [pkcs11] Fix up standalone modules for use in tests.
    
     * Make the standalone modules always resident after loading.
     * Install modules to a path that's published in the pkg-config file.

 gcr/gcr.pc.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 628b69f463e782aa41723d29b878775d1645d343
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    [gcr] Fix leak in gcr_pkcs11_certificate_lookup_issuer()

 gcr/gcr-pkcs11-certificate.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 74731793ec7c4080bb1798e2fef6cd4f5242bad1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    [gcr] Add function to load module from file.
    
    Add gcr_pkcs11_add_module_from_file()

 docs/reference/gcr/gcr-sections.txt |    1 +
 gcr/gcr-library.c                   |   36 ++++++++++++++++++++++++++++++++++-
 gcr/gcr-library.h                   |    4 +++
 3 files changed, 40 insertions(+), 1 deletions(-)

commit 9da17aec70599ab3cea5b0fc0e62e87aed8dc0e9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-10

    [gcr] Expose functions for setting which pkcs11 modules to use.
    
    Add gcr_pkcs11_get_modules(), gcr_pkcs11_set_modules(), gcr_pkcs11_add_module(),
    gcr_pkcs11_get_trust_lookup_modules(), gcr_pkcs11_get_trust_store_slot(),
    gcr_pkcs11_get_trust_store_uri(), gcr_pkcs11_set_trust_store_uri()

 docs/reference/gcr/gcr-docs.sgml    |    4 +
 docs/reference/gcr/gcr-sections.txt |   11 +++
 gcr/Makefile.am                     |    3 +-
 gcr/gcr-import-dialog.c             |    5 +-
 gcr/gcr-internal.h                  |   41 +++++----
 gcr/gcr-library.c                   |  163 +++++++++++++++++++++++++++++++----
 gcr/gcr-library.h                   |   49 +++++++++++
 gcr/gcr-parser.c                    |    1 +
 gcr/gcr-pkcs11-certificate.c        |    4 +-
 gcr/gcr-trust.c                     |   74 ++++++++++++++--
 gcr/gcr.h                           |    1 +
 gcr/tests/test-pkcs11-certificate.c |   10 +--
 gcr/tests/test-trust.c              |   13 +--
 13 files changed, 317 insertions(+), 62 deletions(-)

commit ebd97349604f58863c08bb5fc4f0b3bc0687aa07
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-09

    [gcr] Fix Gtk+ version check.
    
    2.91.6 has the new style-context code, not 2.91.5

 gcr/gcr-display-view.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1589aeaa30ec641c63f1b1525eb566f3a780bf51
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-07

    [gcr] Complete documentation for various certificate types.

 docs/reference/gcr/gcr-docs.sgml    |   41 ++++++++------
 docs/reference/gcr/gcr-sections.txt |   24 ++++++++-
 docs/reference/gcr/gcr.types        |    1 +
 gcr/gcr-certificate.c               |   51 +++++++++++++++--
 gcr/gcr-pkcs11-certificate.c        |  102 ++++++++++++++++++++++++++++++----
 gcr/gcr-pkcs11-certificate.h        |   10 ++--
 gcr/gcr-simple-certificate.c        |   34 ++++++++++++
 gcr/gcr-trust.c                     |    2 +-
 8 files changed, 221 insertions(+), 44 deletions(-)

commit 12622e94f4c2ab2acec53610bb26899204ea9aeb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-07

    [gcr] Document trust storage and lookup functions.

 docs/reference/gcr/gcr-docs.sgml    |    5 +-
 docs/reference/gcr/gcr-sections.txt |   87 ++------
 gcr/gcr-trust.c                     |  427 ++++++++++++++++++++++++++++-------
 gcr/gcr-trust.h                     |   40 ++--
 4 files changed, 388 insertions(+), 171 deletions(-)

commit cab8dc88179e9e38afab0cf3162dacabbe43cf8f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-07

    [gcr] More build fixes.

 gcr/tests/test-certificate.c |    3 +--
 gcr/tests/unit-test-parser.c |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 2c56258d82130b729525ea3254e06954e7af53a8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    [gcr] Implement GcrPkcs11Certificate which loads certs from PKCS#11
    
    In particular we can lookup certs by issuer from the PKCS#11 store.

 gck/gck-mock.c                      |    7 +
 gck/gck-mock.h                      |    5 +
 gcr/gcr-pkcs11-certificate.c        |  334 +++++++++++++++++++++++++++++++++++
 gcr/gcr-pkcs11-certificate.h        |   76 ++++++++
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/test-pkcs11-certificate.c |  255 ++++++++++++++++++++++++++
 6 files changed, 678 insertions(+), 0 deletions(-)

commit beeb8d6a3f13503d67ce15ee15359fc683ffa8d3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    [gcr] Include libgck headers explictly in gcr headers.
    
    When we derive objects from gck objects, we have to include the
    headers properly and not try to hide them.

 gcr/Makefile.am                |    2 ++
 gcr/gcr-certificate-renderer.h |    4 ++--
 gcr/gcr-certificate-widget.h   |    4 ++--
 gcr/gcr-importer.h             |   10 +++++-----
 gcr/gcr-initializer.h          |    4 ++--
 gcr/gcr-key-renderer.h         |    6 +++---
 gcr/gcr-key-widget.h           |    6 +++---
 gcr/gcr-parser.h               |    2 +-
 gcr/gcr-renderer.h             |    4 ++--
 gcr/gcr-types.h                |   16 +++++++++++-----
 gcr/gcr.h                      |    3 ++-
 11 files changed, 35 insertions(+), 26 deletions(-)

commit 167075657e5cb87983f877942e7b052765f66ac6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    [gcr] Move to a single header model.
    
    Similar to gtk, where you can only include <gcr/gcr.h> to prevent
    future API breaks because of headers.

 gcr/Makefile.am                    |    1 +
 gcr/gcr-certificate-renderer.h     |    4 ++++
 gcr/gcr-certificate-widget.h       |    4 ++++
 gcr/gcr-certificate.h              |    4 ++++
 gcr/gcr-importer.h                 |    4 ++++
 gcr/gcr-key-renderer.h             |    4 ++++
 gcr/gcr-key-widget.h               |    4 ++++
 gcr/gcr-parser.h                   |    4 ++++
 gcr/gcr-simple-certificate.h       |    4 ++++
 gcr/gcr-trust.h                    |    4 ++++
 gcr/gcr-types.h                    |   31 +++++++++++++++++++++++++++----
 gcr/gcr-unlock-options-widget.h    |    4 ++++
 gcr/gcr.h                          |   19 ++++++++++++++++++-
 gcr/tests/ui-test-certificate.c    |   25 +++++++++++++++++++++++--
 gcr/tests/ui-test-key.c            |   25 +++++++++++++++++++++++--
 gcr/tests/ui-test-unlock-options.c |   24 +++++++++++++++++++++++-
 16 files changed, 155 insertions(+), 10 deletions(-)

commit d3b11cbaf14481432ef807c6de9587e1e7eb6d19
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    [gcr] Use void pointers instead of unsigned char for data.
    
    Use void pointers to make like simpler and clearer.

 gcr/gcr-certificate-renderer.c |    2 +-
 gcr/gcr-certificate.c          |   14 +++++++-------
 gcr/gcr-certificate.h          |    4 ++--
 gcr/gcr-simple-certificate.c   |    2 +-
 4 files changed, 11 insertions(+), 11 deletions(-)

commit 463fa78333200c369b05956040407f17665b76ad
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    [gcr] Add gcr_certificate_is_issuer() and finish up testing.
    
    Add a function to test if a certificate is the issuer of another,
    and finish up testing, fix some bugs.

 gcr/gcr-certificate.c                       |   58 ++++++++--
 gcr/gcr-certificate.h                       |    3 +
 gcr/tests/Makefile.am                       |    2 +-
 gcr/tests/test-certificate.c                |  181 +++++++++++++++++++++++++++
 gcr/tests/test-data/der-certificate-dsa.cer |  Bin 0 -> 1639 bytes
 gcr/tests/unit-test-certificate.c           |  157 -----------------------
 6 files changed, 235 insertions(+), 166 deletions(-)

commit dd3d82878576fadd3cd861bda1e8ce71ebd503d3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    [gcr] GcrSimpleCertificate tests.

 gcr/gcr-simple-certificate.c        |    2 -
 gcr/tests/Makefile.am               |    1 +
 gcr/tests/test-simple-certificate.c |   84 +++++++++++++++++++++++++++++++++++
 3 files changed, 85 insertions(+), 2 deletions(-)

commit 3073a32c5c6f9fa81efa3a3b210142e05c40b042
Merge: 3e82d4a eb4ce26
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    Merge branch 'master' into trust-store

commit eb4ce2617284ed0c94ce5be47d8daa1065017d53
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    [gck] Don't load *.la files as PKCS#11 modules.
    
    grumble, grumble, libtool, grumble.

 gck/gck-modules.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 3e82d4a2e004ec566701589410dfbe67ef617ad0
Merge: 4310383 46dffd5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    Merge branch 'master' into trust-store

commit 46dffd50d152b429e8bf82b269aa11d79749adcf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-06

    [gcr] Fix build for GTK+3 style-context changes.
    
    Use new gtk_widget_override_background_color() function.

 gcr/gcr-display-view.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 43103837cd963047826941ccdda8c7286ef7b4a2
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-12-02

    [gcr] Make GcrSimpleCertificate constructor accept simple pointer.
    
    Make it easier to deal with data whether unsigned or signed,
    gint8 or char, etc.

 gcr/gcr-simple-certificate.c |    2 +-
 gcr/gcr-simple-certificate.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c74278f525ab829cefbf8f2198ada648b8e669c9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-29

    [gcr] Complete tests of gcr_trust_xxx functionality.

 gck/gck-mock.c         |   16 ++++++++
 gck/gck-mock.h         |   10 +++++
 gcr/gcr-trust.c        |   39 ++++++++++---------
 gcr/gcr-trust.h        |   12 +++---
 gcr/tests/test-trust.c |   98 ++++++++++++++++++++++++++++++++++++------------
 5 files changed, 126 insertions(+), 49 deletions(-)

commit f78a2a1bf8b36b012186f935afc72722a63e2ec1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-29

    [gck] Fix crash in enumerator when C_FindObjects fails.
    
    If C_FindObjects failed when used in a gck_enumerate_xxx()
    and friends, then we would crash.

 gck/gck-enumerator.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 4cb8515c07723612b649f35b3eec8844536c9ff3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-29

    [gck] Add functionality for dumping PKCS#11 attributes.
    
    gck_attribute_dump() and gck_attributes_dump()

 gck/Makefile.am |    1 +
 gck/gck-dump.c  |  348 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gck/gck.h       |    3 +
 3 files changed, 352 insertions(+), 0 deletions(-)

commit aee15f46d356bb249583fa703c3d183e5d3c4e9a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-24

    [pkcs11] Rename CKA_G_REMOTE to CKA_G_PEER (better terminology)
    
     * Also update various locations where we used 'remote' to 'peer'

 gcr/gcr-trust.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 87e3b57f67bb30d6acb061b92cb406d58b059b83
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-24

    [testing] Preprocess test files before searching for tests.
    
     * Allows tests to be commented out or ifdefed.
     * Faster building of tests.
     * Other cleanup of tests.

 egg/tests/Makefile.am             |    6 ++-
 egg/tests/test-asn1.c             |   46 +++++++++++++++---------------
 egg/tests/test-dn.c               |   12 ++++----
 egg/tests/test-padding.c          |   30 ++++++++++----------
 egg/tests/unit-test-asn1.c        |   34 +++++++++++-----------
 egg/tests/unit-test-dh.c          |   20 ++++++------
 egg/tests/unit-test-hex.c         |    8 ++--
 egg/tests/unit-test-oid.c         |    2 +-
 egg/tests/unit-test-openssl.c     |    6 ++--
 egg/tests/unit-test-secmem.c      |   14 ++++----
 egg/tests/unit-test-spawn.c       |   10 +++---
 egg/tests/unit-test-symkey.c      |   12 ++++----
 gck/tests/test-gck-attributes.c   |   56 ++++++++++++++++++------------------
 gck/tests/test-gck-crypto.c       |   22 +++++++-------
 gck/tests/test-gck-enumerator.c   |   18 ++++++------
 gck/tests/test-gck-module.c       |   14 ++++----
 gck/tests/test-gck-modules.c      |   22 +++++++-------
 gck/tests/test-gck-object.c       |   20 ++++++------
 gck/tests/test-gck-session.c      |   16 +++++-----
 gck/tests/test-gck-slot.c         |   18 ++++++------
 gck/tests/test-gck-uri.c          |   30 ++++++++++----------
 gcr/tests/test-trust.c            |   18 ++++++------
 gcr/tests/unit-test-certificate.c |   30 ++++++++++----------
 gcr/tests/unit-test-parser.c      |    6 ++--
 24 files changed, 236 insertions(+), 234 deletions(-)

commit f87d1c43bda33e1abc85661c51f1cb2652d10e1e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-23

    [egg] Add utilities so GByteArray can be used in GHashTable.
    
    Update xdg pkcs11 module to use these new utils.

 egg/Makefile.am      |    1 +
 egg/egg-byte-array.c |   65 ++++++++++++++++++++++++++++++++++++++++++++++++++
 egg/egg-byte-array.h |   33 +++++++++++++++++++++++++
 3 files changed, 99 insertions(+), 0 deletions(-)

commit caeef7ee0997035903ce6808e6da281a6ec83859
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-23

    [egg] Encode empty SET OF and SEQUENCE OF properly.
    
    Make choices based on whether they contain any other real
    valid elements inside.

 egg/egg-asn1x.c |   44 +++++++++++++++++++++++++++++++-------------
 1 files changed, 31 insertions(+), 13 deletions(-)

commit d5a9593db3efd28c72dbe7fcc1f2dde894b93337
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-23

    [egg] Add functions testing ASN.1 and printing out messages.

 egg/egg-asn1x.h            |   11 +++++++++++
 egg/tests/unit-test-asn1.c |    5 ++++-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit 0b499bf7da1ee16b3454d1138f8b88bdd9a96f23
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2010-11-23

    [egg] Must select which choice when building ASN.1.
    
    When building up ASN.1 must select which choice by using
    the egg_asn1x_set_choice() function.

 egg/egg-asn1x.c       |  151 +++++++++++++++++++++++++++++++------------------
 egg/egg-asn1x.h       |    3 +
 egg/tests/test-asn1.c |   56 ++++++++++++++++++
 3 files changed, 154 insertions(+), 56 deletions(-)

commit c3a35aec3b446c13707d51029cade3c835d11b22
